commit df009f9e5bffa46ffdd68d4bf88b047e08148a6c
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Mon Mar 26 21:30:38 2018 +0100

    Update NEWS.

 NEWS | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit f45d299364bbadf8ff5f11307bac711d4f42c2af
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Fri Mar 23 23:58:48 2018 -0400

    Scale cursor size for HiDPI

 src/core/prefs.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 03029b3d597b7b4962f4ad9398a36128958bba63
Author: raveit65 <mate@raveit.de>
Date:   Fri Mar 23 15:50:03 2018 +0100

    release 1.20.1

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 95f4a7a96c20ddb87b0d0a51f458c6be2a1728b6
Author: raveit65 <mate@raveit.de>
Date:   Fri Mar 23 16:09:38 2018 +0100

    fix as.po

 po/as.po | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit bdc938b33b22e4de58ba2b37e55daa670b4b1a7b
Author: raveit65 <mate@raveit.de>
Date:   Fri Mar 23 15:45:43 2018 +0100

    fix po files

 po/af.po          | 4 ++--
 po/am.po          | 4 ++--
 po/ar.po          | 4 ++--
 po/as.po          | 4 ++--
 po/ast.po         | 4 ++--
 po/az.po          | 4 ++--
 po/be.po          | 4 ++--
 po/bg.po          | 4 ++--
 po/bn.po          | 4 ++--
 po/bn_IN.po       | 4 ++--
 po/br.po          | 4 ++--
 po/bs.po          | 4 ++--
 po/ca.po          | 4 ++--
 po/ca@valencia.po | 4 ++--
 po/cmn.po         | 4 ++--
 po/crh.po         | 4 ++--
 po/cs.po          | 4 ++--
 po/cy.po          | 4 ++--
 po/da.po          | 4 ++--
 po/de.po          | 4 ++--
 po/dz.po          | 4 ++--
 po/el.po          | 4 ++--
 po/en_AU.po       | 4 ++--
 po/en_CA.po       | 4 ++--
 po/en_GB.po       | 4 ++--
 po/eo.po          | 4 ++--
 po/es.po          | 4 ++--
 po/es_CO.po       | 4 ++--
 po/et.po          | 4 ++--
 po/eu.po          | 4 ++--
 po/fa.po          | 4 ++--
 po/fi.po          | 4 ++--
 po/fr.po          | 4 ++--
 po/fur.po         | 4 ++--
 po/ga.po          | 4 ++--
 po/gl.po          | 4 ++--
 po/gu.po          | 4 ++--
 po/ha.po          | 4 ++--
 po/he.po          | 4 ++--
 po/hi.po          | 4 ++--
 po/hr.po          | 4 ++--
 po/hu.po          | 4 ++--
 po/hy.po          | 4 ++--
 po/id.po          | 4 ++--
 po/ig.po          | 4 ++--
 po/is.po          | 4 ++--
 po/it.po          | 4 ++--
 po/ja.po          | 4 ++--
 po/ka.po          | 4 ++--
 po/kk.po          | 4 ++--
 po/kn.po          | 4 ++--
 po/ko.po          | 4 ++--
 po/ku.po          | 4 ++--
 po/ku_IQ.po       | 4 ++--
 po/ky.po          | 4 ++--
 po/la.po          | 4 ++--
 po/li.po          | 4 ++--
 po/lt.po          | 4 ++--
 po/lv.po          | 4 ++--
 po/mai.po         | 4 ++--
 po/mg.po          | 4 ++--
 po/mk.po          | 4 ++--
 po/ml.po          | 4 ++--
 po/mn.po          | 4 ++--
 po/mr.po          | 4 ++--
 po/ms.po          | 4 ++--
 po/nb.po          | 4 ++--
 po/nds.po         | 4 ++--
 po/ne.po          | 4 ++--
 po/nl.po          | 4 ++--
 po/nn.po          | 4 ++--
 po/nso.po         | 4 ++--
 po/oc.po          | 4 ++--
 po/or.po          | 4 ++--
 po/pa.po          | 4 ++--
 po/pl.po          | 4 ++--
 po/ps.po          | 4 ++--
 po/pt.po          | 4 ++--
 po/pt_BR.po       | 4 ++--
 po/ro.po          | 4 ++--
 po/ru.po          | 4 ++--
 po/rw.po          | 4 ++--
 po/si.po          | 4 ++--
 po/sk.po          | 4 ++--
 po/sl.po          | 4 ++--
 po/sq.po          | 4 ++--
 po/sr.po          | 4 ++--
 po/sr@latin.po    | 4 ++--
 po/sv.po          | 4 ++--
 po/ta.po          | 4 ++--
 po/te.po          | 4 ++--
 po/th.po          | 4 ++--
 po/tk.po          | 4 ++--
 po/tr.po          | 4 ++--
 po/ug.po          | 4 ++--
 po/uk.po          | 4 ++--
 po/ur.po          | 4 ++--
 po/uz.po          | 4 ++--
 po/vi.po          | 4 ++--
 po/wa.po          | 4 ++--
 po/xh.po          | 4 ++--
 po/yo.po          | 4 ++--
 po/zh_CN.po       | 4 ++--
 po/zh_HK.po       | 4 ++--
 po/zh_TW.po       | 4 ++--
 po/zu.po          | 4 ++--
 106 files changed, 212 insertions(+), 212 deletions(-)

commit e618683915de21f8a30845df8c790136d90d5e78
Author: raveit65 <mate@raveit.de>
Date:   Fri Mar 23 15:40:32 2018 +0100

    tx: update translations

 po/LINGUAS        |    8 +
 po/af.po          | 2241 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/am.po          |   72 +-
 po/ar.po          |  330 +++++---
 po/as.po          |  436 ++++++++---
 po/ast.po         |  441 ++++++++---
 po/az.po          |  219 ++++--
 po/be.po          |  308 ++++++--
 po/bg.po          |  575 ++++++++++----
 po/bn.po          |  443 ++++++++---
 po/bn_IN.po       |  485 +++++++++---
 po/br.po          |  150 ++--
 po/bs.po          |  245 ++++--
 po/ca.po          |  583 ++++++++++----
 po/ca@valencia.po |  603 ++++++++++----
 po/cmn.po         |   83 +-
 po/crh.po         |  408 +++++++---
 po/cs.po          |  481 +++++++++---
 po/cy.po          |  352 ++++++---
 po/da.po          |  462 ++++++++---
 po/de.po          |  552 +++++++++----
 po/dz.po          |  436 ++++++++---
 po/el.po          |  592 ++++++++++----
 po/en_AU.po       |  397 ++++++++--
 po/en_CA.po       |  281 +++++--
 po/en_GB.po       |  412 +++++++---
 po/eo.po          |  135 ++--
 po/es.po          |  600 ++++++++++----
 po/es_CO.po       |   46 +-
 po/et.po          |  393 +++++++---
 po/eu.po          |  444 ++++++++---
 po/fa.po          |  241 ++++--
 po/fi.po          |  414 +++++++---
 po/fr.po          |  682 ++++++++++++----
 po/fur.po         | 2241 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ga.po          |   97 +--
 po/gl.po          |  481 +++++++++---
 po/gu.po          |  385 ++++++---
 po/ha.po          |  266 +++++--
 po/he.po          |  415 +++++++---
 po/hi.po          |  393 +++++++---
 po/hr.po          |  301 ++++---
 po/hu.po          |  527 ++++++++++---
 po/hy.po          |  515 +++++++++---
 po/id.po          |  521 +++++++++----
 po/ig.po          |  240 ++++--
 po/is.po          |   91 ++-
 po/it.po          |  635 +++++++++++----
 po/ja.po          |  302 +++++---
 po/ka.po          |   95 +--
 po/kk.po          |   40 +-
 po/kn.po          |  527 +++++++++----
 po/ko.po          |  281 +++++--
 po/ku.po          |  156 ++--
 po/ku_IQ.po       |   34 +-
 po/ky.po          |   55 +-
 po/la.po          |   32 +-
 po/li.po          | 2241 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/lt.po          |  506 +++++++++---
 po/lv.po          |  412 +++++++---
 po/mai.po         |  278 +++++--
 po/mg.po          |  367 ++++++---
 po/mk.po          |  337 +++++---
 po/ml.po          |  510 ++++++++----
 po/mn.po          |  284 ++++---
 po/mr.po          |  422 +++++++---
 po/ms.po          |  501 +++++++++---
 po/nb.po          |  459 ++++++++---
 po/nds.po         |   49 +-
 po/ne.po          |  311 +++++---
 po/nl.po          |  567 ++++++++++----
 po/nn.po          |  357 ++++++---
 po/nso.po         | 2241 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/oc.po          |  493 +++++++++---
 po/or.po          |  438 ++++++++---
 po/pa.po          |  382 ++++++---
 po/pl.po          |  531 +++++++++----
 po/ps.po          | 2241 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/pt.po          |  547 +++++++++----
 po/pt_BR.po       |  579 ++++++++++----
 po/ro.po          |  409 +++++++---
 po/ru.po          |  542 +++++++++----
 po/rw.po          |   33 +-
 po/si.po          |   37 +-
 po/sk.po          |  442 ++++++++---
 po/sl.po          |  406 +++++++---
 po/sq.po          |  443 ++++++++---
 po/sr.po          |  477 +++++++++---
 po/sr@latin.po    |  426 +++++++---
 po/sv.po          |  482 +++++++++---
 po/ta.po          |  398 +++++++---
 po/te.po          |  415 +++++++---
 po/th.po          |  378 ++++++---
 po/tk.po          |   39 +-
 po/tr.po          |  486 +++++++++---
 po/ug.po          | 2241 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/uk.po          |  490 +++++++++---
 po/ur.po          | 2241 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/uz.po          |   40 +-
 po/vi.po          |  373 ++++++---
 po/wa.po          |   86 +-
 po/xh.po          |  306 +++++---
 po/yo.po          |  301 +++++--
 po/zh_CN.po       |  202 +++--
 po/zh_HK.po       |  210 +++--
 po/zh_TW.po       |  174 +++--
 po/zu.po          | 2241 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 107 files changed, 43363 insertions(+), 9188 deletions(-)

commit 6bfed545b927068b49b32b500462ccebf0b984f3
Author: raveit65 <mate@raveit.de>
Date:   Fri Mar 23 12:38:12 2018 +0100

    tx: update config with branch specific resoures

 .tx/config | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 44b60b06e9283c918003dfcfcf15767a9f17859d
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Wed Mar 21 16:14:02 2018 -0400

    Use frame window to determine scale

 src/ui/frames.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b9fd3c1c0a252051ba9cad18e8427511f240d5da
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Wed Mar 21 15:52:13 2018 -0400

    Support HiDPI window decorations

 src/ui/frames.c       | 99 ++++++++++++++++++++++++++++++++++++---------------
 src/ui/menu.c         |  6 ++--
 src/ui/tabpopup.c     | 28 +++++++--------
 src/ui/tile-preview.c |  7 ++++
 src/ui/ui.c           |  5 ---
 5 files changed, 96 insertions(+), 49 deletions(-)

commit 61686208e5acd2867c14370c751efb2b07eba537
Author: raveit65 <mate@raveit.de>
Date:   Fri Mar 16 14:03:16 2018 +0100

    tx: add makepot and .pot files to srcdir

 makepot   |    5 +
 marco.pot | 2249 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2254 insertions(+)

commit ff52d7bc695ffe7070ae2e229c35568bb0125d9f
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 11 17:09:11 2018 +0100

    transifex: set minimum_perc and type in config file

 .tx/config | 2 ++
 1 file changed, 2 insertions(+)

commit dc6ea05ec724fa8f7e681584d0c0596b236aeed9
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Wed Mar 7 13:37:15 2018 -0500

    Fix mismatched enums in keybinding detection for switch-panels and switch-panels-backward

 src/core/keybindings.c | 4 ++++
 src/include/prefs.h    | 2 ++
 2 files changed, 6 insertions(+)

commit 79f998c1583437f11f4aea3f67075cd520311216
Author: Omar Zeidan <omar@zeidan.io>
Date:   Mon Feb 12 17:32:17 2018 +0100

    Fixes move_to_center moving window between monitors

 src/core/keybindings.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 9ed8fa4daf8024b603a307f35b57982dab61e65b
Author: raveit65 <mate@raveit.de>
Date:   Sun Jan 28 16:24:30 2018 +0100

    release 1.20

 NEWS         | 19 +++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 21 insertions(+), 2 deletions(-)

commit ecd03cb221a0fd7cd17dfc2d2e550801be4e87ba
Author: raveit65 <mate@raveit.de>
Date:   Sun Jan 28 16:17:28 2018 +0100

    sync with transifex

 po/am.po          | 398 ++++++++++++++++++++++-----------------
 po/ar.po          | 394 ++++++++++++++++++++++-----------------
 po/as.po          | 394 ++++++++++++++++++++++-----------------
 po/ast.po         | 394 ++++++++++++++++++++++-----------------
 po/az.po          | 394 ++++++++++++++++++++++-----------------
 po/be.po          | 396 ++++++++++++++++++++++-----------------
 po/bg.po          | 400 +++++++++++++++++++++++-----------------
 po/bn.po          | 394 ++++++++++++++++++++++-----------------
 po/bn_IN.po       | 394 ++++++++++++++++++++++-----------------
 po/br.po          | 394 ++++++++++++++++++++++-----------------
 po/bs.po          | 394 ++++++++++++++++++++++-----------------
 po/ca.po          | 414 +++++++++++++++++++++++------------------
 po/ca@valencia.po | 400 +++++++++++++++++++++++-----------------
 po/cmn.po         | 394 ++++++++++++++++++++++-----------------
 po/crh.po         | 394 ++++++++++++++++++++++-----------------
 po/cs.po          | 415 +++++++++++++++++++++++------------------
 po/cy.po          | 394 ++++++++++++++++++++++-----------------
 po/da.po          | 400 +++++++++++++++++++++++-----------------
 po/de.po          | 404 +++++++++++++++++++++++-----------------
 po/dz.po          | 394 ++++++++++++++++++++++-----------------
 po/el.po          | 413 +++++++++++++++++++++++------------------
 po/en_AU.po       | 398 ++++++++++++++++++++++-----------------
 po/en_CA.po       | 394 ++++++++++++++++++++++-----------------
 po/en_GB.po       | 414 +++++++++++++++++++++++------------------
 po/eo.po          | 394 ++++++++++++++++++++++-----------------
 po/es.po          | 404 +++++++++++++++++++++++-----------------
 po/es_CO.po       | 392 ++++++++++++++++++++++-----------------
 po/es_MX.po       | 392 ++++++++++++++++++++++-----------------
 po/es_PR.po       | 392 ++++++++++++++++++++++-----------------
 po/et.po          | 408 +++++++++++++++++++++++-----------------
 po/eu.po          | 394 ++++++++++++++++++++++-----------------
 po/fa.po          | 394 ++++++++++++++++++++++-----------------
 po/fi.po          | 394 ++++++++++++++++++++++-----------------
 po/fr.po          | 404 +++++++++++++++++++++++-----------------
 po/ga.po          | 394 ++++++++++++++++++++++-----------------
 po/gl.po          | 394 ++++++++++++++++++++++-----------------
 po/gu.po          | 394 ++++++++++++++++++++++-----------------
 po/ha.po          | 394 ++++++++++++++++++++++-----------------
 po/he.po          | 394 ++++++++++++++++++++++-----------------
 po/hi.po          | 394 ++++++++++++++++++++++-----------------
 po/hr.po          | 394 ++++++++++++++++++++++-----------------
 po/hu.po          | 403 +++++++++++++++++++++++-----------------
 po/hy.po          | 398 ++++++++++++++++++++++-----------------
 po/id.po          | 400 +++++++++++++++++++++++-----------------
 po/ig.po          | 394 ++++++++++++++++++++++-----------------
 po/is.po          | 394 ++++++++++++++++++++++-----------------
 po/it.po          | 400 +++++++++++++++++++++++-----------------
 po/ja.po          | 400 +++++++++++++++++++++++-----------------
 po/ka.po          | 392 ++++++++++++++++++++++-----------------
 po/kk.po          | 394 ++++++++++++++++++++++-----------------
 po/kn.po          | 394 ++++++++++++++++++++++-----------------
 po/ko.po          | 408 +++++++++++++++++++++++-----------------
 po/ku.po          | 394 ++++++++++++++++++++++-----------------
 po/ku_IQ.po       | 392 ++++++++++++++++++++++-----------------
 po/ky.po          | 392 ++++++++++++++++++++++-----------------
 po/la.po          | 392 ++++++++++++++++++++++-----------------
 po/lt.po          | 400 +++++++++++++++++++++++-----------------
 po/lv.po          | 394 ++++++++++++++++++++++-----------------
 po/mai.po         | 394 ++++++++++++++++++++++-----------------
 po/mg.po          | 394 ++++++++++++++++++++++-----------------
 po/mk.po          | 394 ++++++++++++++++++++++-----------------
 po/ml.po          | 394 ++++++++++++++++++++++-----------------
 po/mn.po          | 394 ++++++++++++++++++++++-----------------
 po/mr.po          | 394 ++++++++++++++++++++++-----------------
 po/ms.po          | 400 +++++++++++++++++++++++-----------------
 po/nb.po          | 400 +++++++++++++++++++++++-----------------
 po/nds.po         | 394 ++++++++++++++++++++++-----------------
 po/ne.po          | 394 ++++++++++++++++++++++-----------------
 po/nl.po          | 400 +++++++++++++++++++++++-----------------
 po/nn.po          | 394 ++++++++++++++++++++++-----------------
 po/oc.po          | 394 ++++++++++++++++++++++-----------------
 po/or.po          | 394 ++++++++++++++++++++++-----------------
 po/pa.po          | 394 ++++++++++++++++++++++-----------------
 po/pl.po          | 402 +++++++++++++++++++++++-----------------
 po/pt.po          | 400 +++++++++++++++++++++++-----------------
 po/pt_BR.po       | 400 +++++++++++++++++++++++-----------------
 po/ro.po          | 396 ++++++++++++++++++++++-----------------
 po/ru.po          | 402 +++++++++++++++++++++++-----------------
 po/rw.po          | 392 ++++++++++++++++++++++-----------------
 po/si.po          | 392 ++++++++++++++++++++++-----------------
 po/sk.po          | 400 +++++++++++++++++++++++-----------------
 po/sl.po          | 396 ++++++++++++++++++++++-----------------
 po/sq.po          | 394 ++++++++++++++++++++++-----------------
 po/sr.po          | 398 ++++++++++++++++++++++-----------------
 po/sr@latin.po    | 394 ++++++++++++++++++++++-----------------
 po/sv.po          | 541 ++++++++++++++++++++++++++++++------------------------
 po/ta.po          | 394 ++++++++++++++++++++++-----------------
 po/te.po          | 394 ++++++++++++++++++++++-----------------
 po/th.po          | 394 ++++++++++++++++++++++-----------------
 po/tk.po          | 392 ++++++++++++++++++++++-----------------
 po/tr.po          | 412 +++++++++++++++++++++++------------------
 po/uk.po          | 400 +++++++++++++++++++++++-----------------
 po/uz.po          | 394 ++++++++++++++++++++++-----------------
 po/vi.po          | 394 ++++++++++++++++++++++-----------------
 po/wa.po          | 394 ++++++++++++++++++++++-----------------
 po/xh.po          | 394 ++++++++++++++++++++++-----------------
 po/yo.po          | 394 ++++++++++++++++++++++-----------------
 po/zh_CN.po       | 398 ++++++++++++++++++++++-----------------
 po/zh_HK.po       | 394 ++++++++++++++++++++++-----------------
 po/zh_TW.po       | 400 +++++++++++++++++++++++-----------------
 100 files changed, 23014 insertions(+), 16810 deletions(-)

commit 16de6ccd2906b93f79880612b31a12a1e53557c7
Author: monsta <monsta@inbox.ru>
Date:   Sat Jan 27 23:29:02 2018 +0300

    require GTK+ 3.22 and GLib 2.50

 configure.ac                  |  4 ++--
 src/core/display.c            |  9 ---------
 src/tools/marco-window-demo.c |  6 ------
 src/ui/draw-workspace.c       |  7 +------
 src/ui/fixedtip.c             | 13 -------------
 src/ui/metaaccellabel.c       | 15 ---------------
 src/ui/ui.c                   |  9 ---------
 7 files changed, 3 insertions(+), 60 deletions(-)

commit 4525d9b629ed76df0bc7d9b10b52c990fa112351
Author: monsta <monsta@inbox.ru>
Date:   Tue Jan 23 15:08:25 2018 +0300

    build: drop unneeded pangoxft requirement
    
    closes https://github.com/mate-desktop/marco/issues/288

 configure.ac | 6 ------
 1 file changed, 6 deletions(-)

commit e43cf41d6f029af8c3e8c656a70f22ab386b2f89
Author: Omar Zeidan <omar@zeidan.io>
Date:   Sat Dec 30 10:21:29 2017 +0100

    Small bugfix for the move_to_X keybinds

 src/core/constraints.c | 2 +-
 src/core/keybindings.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit dc894ffdd14a61d934af625af10fb384e89ef375
Author: Omar Zeidan <omar@zeidan.io>
Date:   Sat Dec 30 10:20:48 2017 +0100

    Bugfix for monitors of different sizes

 src/core/window.c | 32 ++++++++++++++++++++------------
 1 file changed, 20 insertions(+), 12 deletions(-)

commit fc79bd1c4af4bce121a313cc2777b414c838a73c
Author: Omar Zeidan <omar@zeidan.io>
Date:   Sat Dec 30 06:45:08 2017 +0100

    Restructured monitor keybinds and adjust save_rect

 src/core/keybindings.c    | 43 +++++++++++------------------------
 src/core/window-private.h |  3 +++
 src/core/window.c         | 58 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 74 insertions(+), 30 deletions(-)

commit 7e14f82c4b5e3137bbdc3a4e55dbfe01e5af28c0
Author: Omar Zeidan <omar@zeidan.io>
Date:   Sat Dec 30 03:52:32 2017 +0100

    Implemented simple shourtcuts to move window to another monitor

 src/50-marco-window-key.xml.in | 16 ++++++++++++++++
 src/core/keybindings.c         | 41 +++++++++++++++++++++++++++++++++++++++++
 src/include/all-keybindings.h  | 14 ++++++++++++++
 src/org.mate.marco.gschema.xml | 20 ++++++++++++++++++++
 4 files changed, 91 insertions(+)

commit 11d5b89c337e0ba5a9ffd25dc3404db6afbbefbb
Author: monsta <monsta@inbox.ru>
Date:   Tue Jan 9 21:15:59 2018 +0300

    schema: fix typos

 src/org.mate.marco.gschema.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 59756b8d77dfbd0948d7e4d3349477173aa2728a
Author: Jan Niklas Hasse <jhasse@bixense.com>
Date:   Tue Jan 2 11:55:29 2018 +0100

    compositor: don't try to paint window that is not viewable, fix #324
    
    Based on metacity commit: a0b8c85c4c0cfb9a378d7c5554af15fdd7703155
    From: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

 src/compositor/compositor-xrender.c | 3 +++
 1 file changed, 3 insertions(+)

commit 658399850779e4a3f91cf1f96ddc37e628aaa4ba
Author: Björn Weber <bjoern.weber94@t-online.de>
Date:   Sun Dec 31 14:37:18 2017 +0100

    Fix wrong result in meta_window_titlebar_is_onscreen() for windows without a frame

 src/core/window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2cebadddb41ba4e5c2063ca9ce31fc5ed14300c1
Author: Björn Weber <bjoern.weber94@t-online.de>
Date:   Fri Dec 29 18:52:45 2017 +0100

    Add support for gtk3 _GTK_SHOW_WINDOW_MENU event

 src/core/atomnames.h |  1 +
 src/core/screen.c    |  1 +
 src/core/window.c    | 21 +++++++++++++++++++++
 3 files changed, 23 insertions(+)

commit 52701a81d82cd89525ed883cb046f11f384c8d6c
Author: Omar Zeidan <omar@zeidan.io>
Date:   Mon Jan 1 21:42:21 2018 +0100

    More elegant solution for handling new move-to-workspace keybinds

 src/include/all-keybindings.h | 18 +++++++++---------
 src/include/prefs.h           | 10 +++++-----
 2 files changed, 14 insertions(+), 14 deletions(-)

commit 709fe3eb2f8987ffc598ecbece4997acdf51cdca
Author: Omar Zeidan <omar@zeidan.io>
Date:   Sun Dec 31 16:03:36 2017 +0100

    Implemented a setting to disable top tiling

 src/core/prefs.c               | 32 ++++++++++++++++++++++++--------
 src/core/window.c              | 13 +++++++------
 src/include/prefs.h            |  8 +++++---
 src/org.mate.marco.gschema.xml | 11 ++++++++---
 4 files changed, 44 insertions(+), 20 deletions(-)

commit 9e2b7eff713b6881a60538e08e222dad0d364647
Author: Omar Zeidan <omar@zeidan.io>
Date:   Wed Dec 20 20:30:44 2017 +0100

    Implemented tabpopup when moving window to different workspace

 src/core/display.c     |   5 ++-
 src/core/keybindings.c | 111 ++++++++++++++++++++++++++++++-------------------
 src/include/common.h   |   1 +
 src/include/prefs.h    |   6 ++-
 4 files changed, 79 insertions(+), 44 deletions(-)

commit 294d3ec5a0ae4a818fb2ce53d27a0a935a9ef760
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Dec 31 02:55:38 2017 +0100

    keybindings.c: Fix build warning:
    
    assignment discards ‘const’ qualifier from pointer target type

 src/core/keybindings.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7e2aea33a6fa5ba3bed740b65aaafb872551c150
Author: Omar Zeidan <omar@zeidan.io>
Date:   Fri Dec 29 08:45:00 2017 +0100

    Reset tile_resized to false when fullscreening
    
    After resizing a tiled window, tile_resized gets set to true. Since it
    never got set back to false when fullscreening, it lead to weird
    behavior when unfullscreening the window.

 src/core/window.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 1369489856b3ee6c208de0a96155a294499b6a27
Author: raveit65 <mate@raveit.de>
Date:   Tue Dec 26 14:49:20 2017 +0100

    release 1.19.2

 NEWS         | 19 +++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 20 insertions(+), 1 deletion(-)

commit d0a7345717ec9a48d12d36d76385168edbd6dd16
Author: raveit65 <mate@raveit.de>
Date:   Tue Dec 26 14:45:13 2017 +0100

    sync with transifex

 po/LINGUAS        |    2 +
 po/am.po          |  416 +++++-----
 po/ar.po          |  418 +++++-----
 po/as.po          |  418 +++++-----
 po/ast.po         |  418 +++++-----
 po/az.po          |  418 +++++-----
 po/be.po          |  418 +++++-----
 po/bg.po          |  418 +++++-----
 po/bn.po          |  418 +++++-----
 po/bn_IN.po       |  418 +++++-----
 po/br.po          |  418 +++++-----
 po/bs.po          |  418 +++++-----
 po/ca.po          |  416 +++++-----
 po/ca@valencia.po |  423 +++++------
 po/cmn.po         |  418 +++++-----
 po/crh.po         |  418 +++++-----
 po/cs.po          |  422 +++++------
 po/cy.po          |  418 +++++-----
 po/da.po          |  418 +++++-----
 po/de.po          |  420 +++++------
 po/dz.po          |  418 +++++-----
 po/el.po          |  420 +++++------
 po/en_AU.po       |  418 +++++-----
 po/en_CA.po       |  418 +++++-----
 po/en_GB.po       |  418 +++++-----
 po/eo.po          |  418 +++++-----
 po/es.po          |  437 +++++------
 po/es_CO.po       |  418 +++++-----
 po/es_MX.po       |  418 +++++-----
 po/es_PR.po       | 2179 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/et.po          |  418 +++++-----
 po/eu.po          |  418 +++++-----
 po/fa.po          |  418 +++++-----
 po/fi.po          |  418 +++++-----
 po/fr.po          |  419 +++++-----
 po/frp.po         | 2179 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ga.po          |  418 +++++-----
 po/gl.po          |  418 +++++-----
 po/gu.po          |  418 +++++-----
 po/ha.po          |  418 +++++-----
 po/he.po          |  418 +++++-----
 po/hi.po          |  418 +++++-----
 po/hr.po          |  418 +++++-----
 po/hu.po          |  417 +++++-----
 po/hy.po          |  418 +++++-----
 po/id.po          |  420 +++++------
 po/ig.po          |  418 +++++-----
 po/is.po          |  418 +++++-----
 po/it.po          |  419 +++++-----
 po/ja.po          |  474 +++++-------
 po/jv.po          |  418 +++++-----
 po/ka.po          |  418 +++++-----
 po/kk.po          |  418 +++++-----
 po/kn.po          |  418 +++++-----
 po/ko.po          |  418 +++++-----
 po/ku.po          |  418 +++++-----
 po/ku_IQ.po       |  418 +++++-----
 po/ky.po          |  418 +++++-----
 po/la.po          |  418 +++++-----
 po/lt.po          |  416 +++++-----
 po/lv.po          |  418 +++++-----
 po/mai.po         |  418 +++++-----
 po/mg.po          |  418 +++++-----
 po/mk.po          |  418 +++++-----
 po/ml.po          |  418 +++++-----
 po/mn.po          |  418 +++++-----
 po/mr.po          |  418 +++++-----
 po/ms.po          |  416 +++++-----
 po/nb.po          |  416 +++++-----
 po/nds.po         |  418 +++++-----
 po/ne.po          |  418 +++++-----
 po/nl.po          |  416 +++++-----
 po/nn.po          |  418 +++++-----
 po/oc.po          |  418 +++++-----
 po/or.po          |  418 +++++-----
 po/pa.po          |  418 +++++-----
 po/pl.po          |  419 +++++-----
 po/pt.po          |  417 +++++-----
 po/pt_BR.po       |  420 +++++------
 po/ro.po          |  418 +++++-----
 po/ru.po          |  419 +++++-----
 po/rw.po          |  418 +++++-----
 po/si.po          |  418 +++++-----
 po/sk.po          |  417 +++++-----
 po/sl.po          |  418 +++++-----
 po/sq.po          |  418 +++++-----
 po/sr.po          |  418 +++++-----
 po/sr@latin.po    |  418 +++++-----
 po/sv.po          |  423 +++++------
 po/ta.po          |  418 +++++-----
 po/te.po          |  418 +++++-----
 po/th.po          |  418 +++++-----
 po/tk.po          |  418 +++++-----
 po/tr.po          |  421 +++++------
 po/uk.po          |  417 +++++-----
 po/uz.po          |  418 +++++-----
 po/vi.po          |  418 +++++-----
 po/wa.po          |  418 +++++-----
 po/xh.po          |  418 +++++-----
 po/yo.po          |  418 +++++-----
 po/zh_CN.po       |  421 +++++------
 po/zh_HK.po       |  418 +++++-----
 po/zh_TW.po       |  418 +++++-----
 103 files changed, 22314 insertions(+), 23937 deletions(-)

commit 954c167870f921b0e8bfbe9e491e0856204b6dbc
Author: raveit65 <mate@raveit.de>
Date:   Thu Dec 21 11:26:31 2017 +0100

    building: add back README
    
    fixes https://github.com/mate-desktop/marco/issues/367

 README | 444 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 444 insertions(+)

commit d8ef314fda4caf147162817bae4274910e9abc31
Author: Omar Zeidan <omar@zeidan.io>
Date:   Tue Dec 19 20:38:03 2017 +0100

    Fixes windows not going to save_rect when unmaximimizing

 src/core/keybindings.c | 4 +++-
 src/core/window.c      | 2 ++
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 6219f8e8bcaeefb9185a3c3f5f20de4e2fa8f18f
Author: Omar Zeidan <omar@zeidan.io>
Date:   Mon Dec 11 14:54:17 2017 +0100

    Allow horizontal and vertical resizing when corner tiled

 src/core/constraints.c    | 128 +++++++++++++++++++++++++++++--------
 src/core/keybindings.c    |  27 ++------
 src/core/window-private.h |  16 +++--
 src/core/window.c         | 159 +++++++++++++++++++++++++---------------------
 4 files changed, 207 insertions(+), 123 deletions(-)

commit 01f68e8f9f1541393e6e069db08f834d4ef18691
Author: Omar Zeidan <omar@zeidan.io>
Date:   Mon Dec 11 11:07:14 2017 +0100

    Fixes window getting reset to saved_rect when untiling from corner

 src/core/keybindings.c    | 5 +++--
 src/core/window-private.h | 2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 8828bd7cabc39f0a3564467c2303774dc494fd0b
Author: Omar Zeidan <omar@zeidan.io>
Date:   Sat Dec 2 23:03:45 2017 +0100

    Added keybindings for corner tiling

 src/50-marco-window-key.xml.in | 16 ++++++++++++++++
 src/include/all-keybindings.h  | 12 ++++++++++++
 src/org.mate.marco.gschema.xml | 20 ++++++++++++++++++++
 3 files changed, 48 insertions(+)

commit b471b912d68a05711a95a3c0e033c0577262f18e
Author: Omar Zeidan <omar@zeidan.io>
Date:   Sat Dec 2 20:19:12 2017 +0100

    Implemented simple corner tiling by mouse drag

 src/core/constraints.c     |   8 ++--
 src/core/display-private.h |   6 ++-
 src/core/keybindings.c     |   4 +-
 src/core/screen.c          |  26 +++++------
 src/core/window-private.h  |  16 ++++---
 src/core/window.c          | 110 ++++++++++++++++++++++++++++++++++-----------
 6 files changed, 121 insertions(+), 49 deletions(-)

commit d094cf0297f28b826ca742379750567750dfee9f
Author: Pablo Barciela <scow@riseup.net>
Date:   Mon Dec 4 09:31:43 2017 +0100

    WidthOfScreen and HeightOfScreen implementation
    
    This commit reverts:
    
    https://github.com/mate-desktop/marco/commit/f0541e3dfda29c26fe14c9c9117f95c49006c75c
    https://github.com/mate-desktop/marco/commit/d18c2fb4acb58c408c01700682b9922de86e8b2f
    
    And it applies an alternative to fix the deprecated functions:
    
    gdk_screen_get_width
    
    gdk_screen_width
    gdk_screen_height

 src/tools/marco-window-demo.c | 18 +++++-------------
 src/ui/menu.c                 |  9 +++------
 src/ui/tabpopup.c             |  5 ++---
 src/wm-tester/main.c          | 11 +++++------
 4 files changed, 15 insertions(+), 28 deletions(-)

commit 202a8006e2b551ca909c7aa1b67720d699771df3
Author: Jan Niklas Hasse <jhasse@bixense.com>
Date:   Wed Dec 13 11:30:15 2017 +0100

    Use Markdown for formatting the README

 README => README.md | 45 ++++++++++++++++++++++++++++-----------------
 1 file changed, 28 insertions(+), 17 deletions(-)

commit 6cf1369769b94165c3360945deb47621e957c603
Author: Jan Burgmeier <jan.burgmeier@unicon-software.com>
Date:   Wed Nov 8 16:14:11 2017 +0100

    XFIXES regions are leaked during paint_windows if more than one
    META_COMP_WINDOW_DESKTOP is available (#329)

 src/compositor/compositor-xrender.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 99e0041e07bb3efe3f4253d995a58e7f214df35f
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Mon Oct 23 16:31:52 2017 -0400

    Add stricter logic for running without XPresent support

 src/compositor/compositor-xrender.c | 51 +++++++++++++++++++++----------------
 src/core/display.c                  |  4 ---
 src/core/screen.c                   |  9 +++----
 3 files changed, 33 insertions(+), 31 deletions(-)

commit b5d6dd0341c31e5ce5c528180774d4dce54ee0a9
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Sun Sep 24 11:47:35 2017 -0400

    Make XPresent optional

 configure.ac                        |  2 +-
 src/compositor/compositor-xrender.c | 57 +++++++++++++++++++++++++------------
 2 files changed, 40 insertions(+), 19 deletions(-)

commit 9e4ecf38f639c437d5a2678892e38527ce8ab5ec
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Sat Sep 23 00:58:32 2017 -0400

    Remove debug output

 src/compositor/compositor-xrender.c | 21 +++------------------
 1 file changed, 3 insertions(+), 18 deletions(-)

commit 31a73518670311b43bfe15e2aa84c74b6e48aa2b
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Wed Sep 20 11:51:05 2017 -0400

    Add in some changes from xfwm4

 src/compositor/compositor-xrender.c | 221 +++++++++++++++++++++++++-----------
 1 file changed, 155 insertions(+), 66 deletions(-)

commit 0400a53706337b83598a1f7a51cffbecacd8b9f4
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Tue Sep 12 13:23:46 2017 -0400

    Cancel present_pending flag when erroring out

 src/compositor/compositor-xrender.c | 42 +++++++++++++++++++++++++++----------
 1 file changed, 31 insertions(+), 11 deletions(-)

commit ac93ac087d5a443eae0d052ba9d0bbb38ca44214
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Mon Sep 11 11:02:14 2017 -0400

    XPresent extension support - first pass

 configure.ac                        |  17 +++-
 src/compositor/compositor-xrender.c | 159 ++++++++++++++++++++++++++++++------
 src/core/display.c                  |   4 +
 src/core/screen.c                   |   9 +-
 4 files changed, 157 insertions(+), 32 deletions(-)

commit 5257294e75dd188a26a2848a41370fa3770d2447
Author: raveit65 <mate@raveit.de>
Date:   Mon Nov 6 09:36:31 2017 +0100

    sync with transifex

 po/am.po          |   2 +-
 po/ar.po          |   2 +-
 po/as.po          |   2 +-
 po/ast.po         |   2 +-
 po/az.po          |   2 +-
 po/be.po          |   2 +-
 po/bg.po          |   2 +-
 po/bn.po          |   2 +-
 po/bn_IN.po       |   2 +-
 po/br.po          |   2 +-
 po/bs.po          | 102 +++++++++++++++++++++++++++---------------------------
 po/ca.po          |   4 +--
 po/ca@valencia.po |   4 +--
 po/cmn.po         |   2 +-
 po/crh.po         |   2 +-
 po/cs.po          |  13 +++----
 po/cy.po          |   2 +-
 po/da.po          |   2 +-
 po/de.po          |   2 +-
 po/dz.po          |   2 +-
 po/el.po          |   2 +-
 po/en_AU.po       |   2 +-
 po/en_CA.po       |   2 +-
 po/en_GB.po       |   2 +-
 po/eo.po          |   2 +-
 po/es.po          |   8 ++---
 po/es_CO.po       |   2 +-
 po/et.po          |   2 +-
 po/eu.po          |   2 +-
 po/fa.po          |   2 +-
 po/fi.po          |   2 +-
 po/fr.po          |   2 +-
 po/ga.po          |   2 +-
 po/gl.po          |   2 +-
 po/gu.po          |   2 +-
 po/ha.po          |   2 +-
 po/he.po          |   2 +-
 po/hi.po          |   2 +-
 po/hr.po          |  20 +++++------
 po/hu.po          |   2 +-
 po/hy.po          |   2 +-
 po/id.po          |   2 +-
 po/ig.po          |   2 +-
 po/is.po          |   2 +-
 po/it.po          |   6 ++--
 po/ja.po          |   2 +-
 po/ka.po          |   2 +-
 po/kk.po          |   2 +-
 po/kn.po          |   2 +-
 po/ko.po          |   2 +-
 po/ku.po          |   2 +-
 po/ku_IQ.po       |   2 +-
 po/ky.po          |   2 +-
 po/la.po          |   2 +-
 po/lt.po          |   2 +-
 po/lv.po          |   2 +-
 po/mai.po         |   2 +-
 po/mg.po          |   2 +-
 po/mk.po          |   2 +-
 po/ml.po          |   2 +-
 po/mn.po          |   2 +-
 po/mr.po          |   2 +-
 po/ms.po          |   2 +-
 po/nb.po          |   4 +--
 po/nds.po         |   2 +-
 po/ne.po          |   2 +-
 po/nl.po          |   2 +-
 po/nn.po          |   2 +-
 po/oc.po          |   2 +-
 po/or.po          |   2 +-
 po/pa.po          |   2 +-
 po/pl.po          |   2 +-
 po/pt.po          |   2 +-
 po/pt_BR.po       |   2 +-
 po/ro.po          |   2 +-
 po/ru.po          |   2 +-
 po/rw.po          |   2 +-
 po/si.po          |   2 +-
 po/sk.po          |  22 ++++++------
 po/sl.po          |   2 +-
 po/sq.po          |   2 +-
 po/sr.po          |   2 +-
 po/sr@latin.po    |   4 +--
 po/sv.po          |   2 +-
 po/ta.po          |   2 +-
 po/te.po          |   2 +-
 po/th.po          |   2 +-
 po/tk.po          |   2 +-
 po/tr.po          |   2 +-
 po/uk.po          |   2 +-
 po/uz.po          |   2 +-
 po/vi.po          |   2 +-
 po/wa.po          |   2 +-
 po/xh.po          |   2 +-
 po/yo.po          |   2 +-
 po/zh_CN.po       |   2 +-
 po/zh_HK.po       |   2 +-
 po/zh_TW.po       |   2 +-
 98 files changed, 182 insertions(+), 181 deletions(-)

commit f2a4040524b6dd9a0441b8dbd9b7378e5de0c1ea
Author: raveit65 <mate@raveit.de>
Date:   Mon Sep 4 21:02:20 2017 +0200

    release 1.19.1

 NEWS         | 23 +++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 24 insertions(+), 1 deletion(-)

commit 3c074836967eac24ce7fa93a3db930bcceba7051
Author: raveit65 <mate@raveit.de>
Date:   Mon Sep 4 20:55:39 2017 +0200

    sync with transifex

 po/ca.po    |   4 +-
 po/es_CO.po |  11 +-
 po/fi.po    |   7 +-
 po/hu.po    |  18 +--
 po/ku_IQ.po |  34 +++---
 po/lt.po    |   4 +-
 po/nb.po    |   4 +-
 po/nl.po    | 401 ++++++++++++++++++++++++++++++------------------------------
 po/pl.po    |   6 +-
 po/pt.po    | 113 ++++++++---------
 po/sv.po    |   2 +-
 po/tr.po    |   2 +-
 12 files changed, 305 insertions(+), 301 deletions(-)

commit f396a2bebc9c365527c5c6e4d4d489879e8bbea4
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Wed Aug 30 15:13:58 2017 -0400

    Store a window flag when user resizes from tiled
    
    Use that flag to retain the correct window size when performing other
    operations. Reset when re-tiling.

 src/core/constraints.c    | 8 +++++++-
 src/core/keybindings.c    | 1 +
 src/core/window-private.h | 1 +
 src/core/window.c         | 6 ++++++
 4 files changed, 15 insertions(+), 1 deletion(-)

commit c577f51e1e1258f8a6c55764a8b86d3421c466e7
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Tue Aug 29 15:36:19 2017 -0400

    Allow tiled windows to be resized horizontally
    
    Determine whether the user is initiating a resize action on a tiled
    window. If the user is trying to grab the window for resizing
    horizontally from the edge that's farther away from the screen edge,
    allow the resize to occur. Otherwise maintain the current tile geometry.
    
    Also modified the window hints to allow resizing from the window menu.
    
    Fixes #250

 src/core/constraints.c    | 33 +++++++++++++++++++++++++++++++--
 src/core/window-private.h |  4 ++--
 2 files changed, 33 insertions(+), 4 deletions(-)

commit a5439d2175395763e06e8bec10ad7b914742882a
Author: ZenWalker <scow@riseup.net>
Date:   Mon Aug 14 16:48:02 2017 +0200

    gtk 3.22: avoid deprecated gdk_screen_get_monitor... functions:
    
    avoid deprecated:
    
    gdk_screen_get_monitor_geometry
    gdk_screen_get_monitor_at_point

 src/ui/fixedtip.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit f0541e3dfda29c26fe14c9c9117f95c49006c75c
Author: ZenWalker <scow@riseup.net>
Date:   Fri Aug 11 02:51:02 2017 +0200

    avoid deprecated gdk_screen_width/height

 src/tools/marco-window-demo.c | 17 +++++++++++++----
 src/ui/menu.c                 |  8 ++++++--
 src/wm-tester/main.c          | 10 ++++++----
 3 files changed, 25 insertions(+), 10 deletions(-)

commit d18c2fb4acb58c408c01700682b9922de86e8b2f
Author: ZenWalker <scow@riseup.net>
Date:   Wed Aug 9 01:30:37 2017 +0200

    avoid deprecated gdk_screen_get_width

 src/ui/tabpopup.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c64a516cbca7b8d07e5de0af9223ae0199e18857
Author: raveit65 <mate@raveit.de>
Date:   Mon Aug 14 15:07:42 2017 +0200

    display: don't use deprecated GDK_DEVICE_MANAGER
    
    use GtkSeat for > gtk+-3.20

 src/core/display.c | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit fc513ed9c042f2bcf80a196a38c2f4db2c45252d
Author: raveit65 <mate@raveit.de>
Date:   Mon Aug 14 16:19:04 2017 +0200

    tools: remove marco-mag and marco-grayscaletools
    
    Those were never used in MATE and have a lot of deprecated functions.
    Already droped in metacity.
    https://git.gnome.org/browse/metacity/commit/?id=b580e3e

 src/tools/Makefile.am       |  11 --
 src/tools/marco-grayscale.c | 107 ----------------
 src/tools/marco-mag.c       | 291 --------------------------------------------
 3 files changed, 409 deletions(-)

commit 680dca33ba526ae0d2dc333ac26a1c5872d86120
Author: Victor Kareh <vkareh@vkareh.net>
Date:   Mon Aug 14 06:31:10 2017 -0400

    Fix synthetic keybinding/button-grab window (#342)
    
    * Determine focused window when processing synthetic events
    
    When a client is passively grabbing keybindings that it does not need,
    it sends them up for other clients to process.
    
    Often in this situation, the event contains the wrong window (either
    root, for global keybindings, or the original client itself). This means
    that Marco will attempt to process the event for the wrong window.
    
    This is not an issue for global keybindings within Marco, as the focused
    window does not matter. However, for shortcuts that operate directly on
    specific windows, the event gets lost.
    
    This change addresses this by determining what the currently-focused
    window is, regardless of which client forwarded the event.
    
    * Determine window under pointer when processing synthetic events
    
    When a client is passively grabbing mouse clicks that it does not need,
    it sends them up for other clients to process.
    
    Often in this situation, the event contains the wrong window (either
    root, for global keybindings, or the original client itself). This means
    that Marco will attempt to process the event for the wrong window.
    
    This change addresses this by determining what the current window under
    the mouse pointer is, regardless of which client forwarded the event.
    
    * Remove unused development data

 src/core/display.c     | 14 ++++++++++++++
 src/core/keybindings.c |  8 ++++++++
 2 files changed, 22 insertions(+)

commit d051953c1412ced4a140f7f4253c823bbe358165
Author: Martin Wimpress <code@flexion.org>
Date:   Fri Aug 11 15:10:56 2017 +0100

    Forces a window scale of 1 for the window manager, instead of using the default or user configured scale. Closes #335 (#336)

 src/ui/ui.c | 5 +++++
 1 file changed, 5 insertions(+)

commit ed1a6302c87c6070bbec549ec36c5b56c12a6564
Author: ZenWalker <scow@riseup.net>
Date:   Sat Jul 29 02:10:08 2017 +0200

    avoid deprecated gdk_display_get_screen

 src/core/frame.c           |  3 +--
 src/core/screen.c          |  4 +---
 src/include/tabpopup.h     |  1 -
 src/include/tile-preview.h |  2 +-
 src/include/ui.h           |  3 +--
 src/ui/fixedtip.c          |  5 ++---
 src/ui/fixedtip.h          |  3 +--
 src/ui/frames.c            | 11 +++--------
 src/ui/frames.h            |  2 +-
 src/ui/resizepopup.c       |  3 +--
 src/ui/tabpopup.c          |  4 +---
 src/ui/tile-preview.c      |  4 ++--
 src/ui/ui.c                |  9 ++++-----
 13 files changed, 19 insertions(+), 35 deletions(-)

commit c3ab92182c2a97d74c5b8cbd6dade9b48fab5c95
Author: raveit65 <mate@raveit.de>
Date:   Tue Jul 18 14:58:07 2017 +0200

    update issue_template

 .github/issue_template.md | 3 +++
 1 file changed, 3 insertions(+)

commit 127e003ef6912473f3e52b49b937c13fab172c1b
Author: ZenWalker <scow@riseup.net>
Date:   Fri Jul 14 15:07:27 2017 +0200

    avoid deprecated gdk_screen_get_number

 src/ui/frames.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7c69bcf4d5b195902c770bcbf84bd8b8c3427059
Author: Pierre-Louis Dubouilh <pldubouilh@gmail.com>
Date:   Thu Jul 13 14:11:08 2017 +0200

    Alt/tab - define arrow keycode + numpad arrows

 src/core/keybindings.c | 4 ++--
 src/core/keybindings.h | 6 ++++++
 2 files changed, 8 insertions(+), 2 deletions(-)

commit c4750c85961777e6ab00b46fb12b1ba0253796d5
Author: Pierre-Louis Dubouilh <pldubouilh@gmail.com>
Date:   Sat Jun 24 17:12:07 2017 +0200

    Allow use of arrows while in alt+tab popup

 src/core/keybindings.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit b1fa86962a0a264cb0f1d05212fa855474a2350a
Author: Ikey Doherty <ikey@solus-project.com>
Date:   Tue Jun 20 22:07:16 2017 +0100

    ui: Fix invalid object construction in frames
    
    This legacy construct was carried over from the gtk2/gtk3 port, and
    attempts to initialise MetaFrames with a GtkWindow `type` property.
    This property doesn't actually exist, and will cause marco to completely
    crash when running with `MARCO_DEBUG=1` for local build testing.
    
    Signed-off-by: Ikey Doherty <ikey@solus-project.com>

 src/ui/frames.c | 4 ----
 1 file changed, 4 deletions(-)

commit c4530a4304d82051243a9faad9c194670d537c67
Author: monsta <monsta@inbox.ru>
Date:   Sun Jun 25 14:41:16 2017 +0300

    README: fix names of GSettings keys
    
    thanks to James Ward for spotting it

 README | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit ad794cbd1e83d8954ac58a794361e0a67cdf7c6d
Author: raveit65 <mate@raveit.de>
Date:   Thu Jun 8 16:05:43 2017 +0200

    move issue_template.md again

 .github/issue_template.md | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 72aa66ddd6e8ff60e8965e09b05303c851afccc0
Author: raveit65 <mate@raveit.de>
Date:   Thu Jun 8 16:00:15 2017 +0200

    move issue_template.md

 issue_template.md | 16 ----------------
 1 file changed, 16 deletions(-)

commit 90bb9edfa5045e1074403dac36cd4b818b0f82ca
Author: raveit65 <raveit65@users.noreply.github.com>
Date:   Thu Jun 8 15:51:00 2017 +0200

    Create issue_template.md

 issue_template.md | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit a5a3813d18be1080130535d2b281bdf2363e59ba
Author: monsta <monsta@inbox.ru>
Date:   Mon Jun 5 17:15:11 2017 +0300

    keybindings: remove uppercase from "current workspace"
    
    for consistency with all the other bindings

 src/50-marco-desktop-key.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5ded52f5e98d60abb903cc9194714a9b293ad482
Author: Felipe Barriga Richards <spam@felipebarriga.cl>
Date:   Fri Jan 6 13:48:20 2017 -0300

    Added hotkey to rename current workspace

 src/50-marco-desktop-key.xml.in |   2 +
 src/core/keybindings.c          | 154 ++++++++++++++++++++++++++++++++++++++++
 src/core/util.c                 |  88 +++++++++++++++++++++++
 src/include/all-keybindings.h   |   1 +
 src/include/util.h              |   9 +++
 src/org.mate.marco.gschema.xml  |   5 ++
 6 files changed, 259 insertions(+)

commit 669e59f9caa7d8d738a189fee899cbfbe5de97a0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat May 20 16:58:37 2017 +0200

    Restore Polish translation credits from GNOME

 po/gnome-copyrights.txt | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit 7e0c0f756308f451641167a94898128c599ea74f
Author: raveit65 <mate@raveit.de>
Date:   Wed May 10 17:11:01 2017 +0200

    release 1.19.0

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 252fc72c8a74af7577054f96fd90fb17e7d8eaa1
Author: raveit65 <mate@raveit.de>
Date:   Wed May 10 17:06:37 2017 +0200

    sync with transifex

 po/am.po |  40 +++++++--------
 po/kk.po |  71 +++++++++++++-------------
 po/lt.po |  24 ++++-----
 po/ms.po |   4 +-
 po/pl.po |   4 +-
 po/pt.po |  16 +++---
 po/ru.po |   2 +-
 po/sl.po | 175 ++++++++++++++++++++++++++++++++-------------------------------
 8 files changed, 169 insertions(+), 167 deletions(-)

commit 38940edf002a137a7e6c041462d334967fd9ff29
Author: raveit65 <mate@raveit.de>
Date:   Mon May 1 14:35:34 2017 +0200

    Revert "compositor: fix possible crash closing/destroying window"
    
    This reverts commit 768fdd8d3852e67555a585da28b6404a97853cbd.
    
    fixes probably "strange window switching foreground/background behavior"
    https://github.com/mate-desktop/marco/issues/251

 src/compositor/compositor-private.h |  3 ---
 src/compositor/compositor-xrender.c | 34 +++++++++-------------------------
 src/compositor/compositor.c         |  4 ----
 3 files changed, 9 insertions(+), 32 deletions(-)

commit 6d9adde1f91d399f5e429f9f09f996aecb7cfa35
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Apr 23 13:00:23 2017 +0200

    ui: avoid deprecated GdkDeviceManager
    
    taken from:
    https://git.gnome.org/browse/metacity/commit/?id=7ec9a6f

 src/ui/ui.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 76ed712251aeab04ce7e7b5d9c421baf9b9f34cd
Author: Dmitry Shachnev <mitya57@gmail.com>
Date:   Sun Apr 23 11:28:37 2017 +0200

    build: Use non-deprecated feature test macros
    
    _SVID_SOURCE has been deprecated in newer versions of glibc breaking -WError;
    the recommended replacement of _DEFAULT_SOURCE is fairly new, so switch to
    _XOPEN_SOURCE instead.
    
    Based on mutter commits b159d6a5e17219557574defb6c3788d9b0c39757
    and b159d6a5e17219557574defb6c3788d9b0c39757.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763782
    
    taken from:
    https://git.gnome.org/browse/metacity/commit/?id=56bcf350fb599ec2caf68af4f0f92b1c3999027c

 src/core/delete.c       | 2 +-
 src/core/keybindings.c  | 2 +-
 src/core/main.c         | 2 +-
 src/core/window-props.c | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit e48528e58dbebbe94ea05a78946615b2378e5fd2
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Apr 23 09:54:57 2017 +0200

    tile-preview: avoid a deprecation warning
    
    Taken from:
    https://git.gnome.org/browse/metacity/commit/?id=3380502

 src/ui/tile-preview.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 0604f8055a242b7d88034686e20669c0eddee49f
Author: raveit65 <mate@raveit.de>
Date:   Thu Mar 30 16:44:43 2017 +0200

    pre-bump version

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 3471649b14590f4a9cb193dafcb4e5a77905ef43
Author: raveit65 <mate@raveit.de>
Date:   Mon Mar 13 11:22:01 2017 +0100

    release 1.18.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6fa5f265d49b8952c49271f3b018d0d113a2f25e
Author: monsta <monsta@inbox.ru>
Date:   Mon Mar 13 12:50:52 2017 +0300

    update NEWS for the latest compositing change

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 113a97395643250bf3c7afb36d19e12a9e5950bf
Author: monsta <monsta@inbox.ru>
Date:   Mon Mar 13 12:49:12 2017 +0300

    schema: make compositing on by default

 src/org.mate.marco.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f70d31c2d72d6465731b38c28f383a10958a65f6
Author: raveit65 <mate@raveit.de>
Date:   Mon Mar 13 10:39:51 2017 +0100

    sync with transifex

 po/am.po    | 290 +++++++++++++--------------
 po/bg.po    | 559 ++++++++++++++++++++++++++-------------------------
 po/ca.po    |  44 ++---
 po/de.po    | 559 ++++++++++++++++++++++++++-------------------------
 po/el.po    | 648 ++++++++++++++++++++++++++++++------------------------------
 po/fi.po    | 561 ++++++++++++++++++++++++++--------------------------
 po/hu.po    | 565 ++++++++++++++++++++++++++--------------------------
 po/id.po    |   4 +-
 po/it.po    |   2 +-
 po/ja.po    | 579 +++++++++++++++++++++++++++--------------------------
 po/ku_IQ.po | 561 ++++++++++++++++++++++++++--------------------------
 po/la.po    | 563 ++++++++++++++++++++++++++--------------------------
 po/nb.po    | 591 +++++++++++++++++++++++++++---------------------------
 po/pl.po    |  17 +-
 po/pt_BR.po | 562 ++++++++++++++++++++++++++--------------------------
 po/ro.po    | 561 ++++++++++++++++++++++++++--------------------------
 po/sv.po    | 565 ++++++++++++++++++++++++++--------------------------
 po/tr.po    |   9 +-
 po/uk.po    |   6 +-
 19 files changed, 3607 insertions(+), 3639 deletions(-)

commit c2a306a7ed160ccf5404660645624503c6f80d87
Author: monsta <monsta@inbox.ru>
Date:   Mon Mar 13 12:31:16 2017 +0300

    update NEWS for 1.18

 NEWS | 21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

commit 34599278fd3f77a37ef565494b3a7f3c407e17ce
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Feb 7 21:37:34 2017 +0100

    theme-viewer: don't use deprecated gtk_widget_override_font
    
    taken from:
    https://git.gnome.org/browse/metacity/commit/?id=02fa1e1

 src/ui/theme-viewer.c | 24 +++++++++++++++++++++++-
 1 file changed, 23 insertions(+), 1 deletion(-)

commit f145d407235388b1ea8f866b44ee2bdd1eff58af
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Feb 7 21:10:31 2017 +0100

    theme-viewer: don't use deprecated GtkAlignment
    
    taken from:
    https://git.gnome.org/browse/metacity/commit/?id=66d54f5

 src/ui/theme-viewer.c | 27 ++++++++++-----------------
 1 file changed, 10 insertions(+), 17 deletions(-)

commit d8bbc62e9fdd8e0833c123742493f827f61db9f5
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Feb 7 20:47:28 2017 +0100

    theme-viewer: port GtkAction to GAction

 src/ui/theme-viewer.c | 199 ++++++++++++++++++++++++++++----------------------
 1 file changed, 113 insertions(+), 86 deletions(-)

commit 2f953695fc3d46fb1d6aae4654024e406cd08277
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Feb 7 20:09:43 2017 +0100

    theme-viewer: don't use deprecated gtk_scrolled_window_add_with_viewport

 src/ui/theme-viewer.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 65ae1ed5026a5d067c08fef1915fc504f71a8f0e
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Feb 5 18:35:00 2017 +0100

    theme-viewer: port GtkTable to GtkGrid

 src/ui/theme-viewer.c | 74 +++++++++++++++++++++++++--------------------------
 1 file changed, 36 insertions(+), 38 deletions(-)

commit 5a92d0b24a661e160c98c7ecfaf7da0b043d4ef6
Author: Kevin S.C. Decker <kevin.decker@fu-berlin.de>
Date:   Thu Dec 29 00:06:19 2016 +0100

    workspace: switch wrapping behavior for 'classic' and 'toroidal'

 src/core/workspace.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 238373df58d4ba275b7aead36f4d47971fbed18d
Author: Illia Danko <ilyuha21st@gmail.com>
Date:   Fri Oct 28 19:27:37 2016 +0300

    Added functionality to ignore applications while show-desktop is triggered

 src/core/prefs.c               | 50 ++++++++++++++++++++++++++++++++++++++++++
 src/core/screen.c              |  5 +++--
 src/include/prefs.h            |  4 +++-
 src/org.mate.marco.gschema.xml |  5 +++++
 4 files changed, 61 insertions(+), 3 deletions(-)

commit fc8b044ed84265918f10674fc5a502bfada367bb
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Tue Jan 17 17:27:22 2017 +0000

    Bump version to 1.17.1

 NEWS         | 9 ++++++++-
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 2736c68d1c05ea8b79de1c096e4261844db0f22d
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Tue Jan 17 17:25:56 2017 +0000

    Sync translations.

 po/am.po          | 615 +++++++++++++++++++++++++++---------------------------
 po/ar.po          | 559 ++++++++++++++++++++++++-------------------------
 po/as.po          | 559 ++++++++++++++++++++++++-------------------------
 po/ast.po         | 559 ++++++++++++++++++++++++-------------------------
 po/az.po          | 559 ++++++++++++++++++++++++-------------------------
 po/be.po          | 561 +++++++++++++++++++++++++------------------------
 po/bn.po          | 559 ++++++++++++++++++++++++-------------------------
 po/bn_IN.po       | 559 ++++++++++++++++++++++++-------------------------
 po/br.po          | 559 ++++++++++++++++++++++++-------------------------
 po/bs.po          | 561 +++++++++++++++++++++++++------------------------
 po/ca.po          | 559 ++++++++++++++++++++++++-------------------------
 po/ca@valencia.po | 561 +++++++++++++++++++++++++------------------------
 po/cmn.po         | 559 ++++++++++++++++++++++++-------------------------
 po/crh.po         | 559 ++++++++++++++++++++++++-------------------------
 po/cs.po          | 561 +++++++++++++++++++++++++------------------------
 po/cy.po          | 559 ++++++++++++++++++++++++-------------------------
 po/da.po          | 559 ++++++++++++++++++++++++-------------------------
 po/dz.po          | 559 ++++++++++++++++++++++++-------------------------
 po/en_AU.po       | 561 +++++++++++++++++++++++++------------------------
 po/en_CA.po       | 559 ++++++++++++++++++++++++-------------------------
 po/en_GB.po       | 561 +++++++++++++++++++++++++------------------------
 po/eo.po          | 559 ++++++++++++++++++++++++-------------------------
 po/es.po          | 561 +++++++++++++++++++++++++------------------------
 po/es_CO.po       | 561 +++++++++++++++++++++++++------------------------
 po/es_MX.po       | 559 ++++++++++++++++++++++++-------------------------
 po/et.po          | 559 ++++++++++++++++++++++++-------------------------
 po/eu.po          | 559 ++++++++++++++++++++++++-------------------------
 po/fa.po          | 559 ++++++++++++++++++++++++-------------------------
 po/fr.po          | 563 +++++++++++++++++++++++++------------------------
 po/ga.po          | 559 ++++++++++++++++++++++++-------------------------
 po/gl.po          | 559 ++++++++++++++++++++++++-------------------------
 po/gu.po          | 559 ++++++++++++++++++++++++-------------------------
 po/ha.po          | 559 ++++++++++++++++++++++++-------------------------
 po/he.po          | 559 ++++++++++++++++++++++++-------------------------
 po/hi.po          | 559 ++++++++++++++++++++++++-------------------------
 po/hr.po          | 559 ++++++++++++++++++++++++-------------------------
 po/hy.po          | 559 ++++++++++++++++++++++++-------------------------
 po/id.po          | 565 ++++++++++++++++++++++++-------------------------
 po/ig.po          | 559 ++++++++++++++++++++++++-------------------------
 po/is.po          | 559 ++++++++++++++++++++++++-------------------------
 po/it.po          | 564 +++++++++++++++++++++++++------------------------
 po/jv.po          | 559 ++++++++++++++++++++++++-------------------------
 po/ka.po          | 559 ++++++++++++++++++++++++-------------------------
 po/kk.po          | 559 ++++++++++++++++++++++++-------------------------
 po/kn.po          | 559 ++++++++++++++++++++++++-------------------------
 po/ko.po          | 559 ++++++++++++++++++++++++-------------------------
 po/ku.po          | 559 ++++++++++++++++++++++++-------------------------
 po/ky.po          | 559 ++++++++++++++++++++++++-------------------------
 po/lt.po          | 559 ++++++++++++++++++++++++-------------------------
 po/lv.po          | 559 ++++++++++++++++++++++++-------------------------
 po/mai.po         | 559 ++++++++++++++++++++++++-------------------------
 po/mg.po          | 559 ++++++++++++++++++++++++-------------------------
 po/mk.po          | 559 ++++++++++++++++++++++++-------------------------
 po/ml.po          | 559 ++++++++++++++++++++++++-------------------------
 po/mn.po          | 559 ++++++++++++++++++++++++-------------------------
 po/mr.po          | 559 ++++++++++++++++++++++++-------------------------
 po/ms.po          | 559 ++++++++++++++++++++++++-------------------------
 po/nds.po         | 559 ++++++++++++++++++++++++-------------------------
 po/ne.po          | 559 ++++++++++++++++++++++++-------------------------
 po/nl.po          | 562 +++++++++++++++++++++++++------------------------
 po/nn.po          | 559 ++++++++++++++++++++++++-------------------------
 po/oc.po          | 559 ++++++++++++++++++++++++-------------------------
 po/or.po          | 559 ++++++++++++++++++++++++-------------------------
 po/pa.po          | 559 ++++++++++++++++++++++++-------------------------
 po/pl.po          | 564 +++++++++++++++++++++++++------------------------
 po/pt.po          | 573 +++++++++++++++++++++++++-------------------------
 po/ru.po          | 563 +++++++++++++++++++++++++------------------------
 po/rw.po          | 559 ++++++++++++++++++++++++-------------------------
 po/si.po          | 559 ++++++++++++++++++++++++-------------------------
 po/sk.po          | 562 +++++++++++++++++++++++++------------------------
 po/sl.po          | 559 ++++++++++++++++++++++++-------------------------
 po/sq.po          | 559 ++++++++++++++++++++++++-------------------------
 po/sr.po          | 559 ++++++++++++++++++++++++-------------------------
 po/sr@latin.po    | 559 ++++++++++++++++++++++++-------------------------
 po/ta.po          | 559 ++++++++++++++++++++++++-------------------------
 po/te.po          | 559 ++++++++++++++++++++++++-------------------------
 po/th.po          | 559 ++++++++++++++++++++++++-------------------------
 po/tk.po          | 559 ++++++++++++++++++++++++-------------------------
 po/tr.po          | 563 +++++++++++++++++++++++++------------------------
 po/uk.po          | 565 +++++++++++++++++++++++++------------------------
 po/uz.po          | 561 +++++++++++++++++++++++++------------------------
 po/vi.po          | 559 ++++++++++++++++++++++++-------------------------
 po/wa.po          | 559 ++++++++++++++++++++++++-------------------------
 po/xh.po          | 559 ++++++++++++++++++++++++-------------------------
 po/yo.po          | 559 ++++++++++++++++++++++++-------------------------
 po/zh_CN.po       | 559 ++++++++++++++++++++++++-------------------------
 po/zh_HK.po       | 559 ++++++++++++++++++++++++-------------------------
 po/zh_TW.po       | 559 ++++++++++++++++++++++++-------------------------
 88 files changed, 24532 insertions(+), 24788 deletions(-)

commit 87b33507c276cf07c8fcd0d3ed02c80ca65ed065
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Fri Jan 13 16:13:03 2017 +0000

    Update marco NEWS to use consistent, project wide, markdown-like formatting. This will make generating release announcements easier.

 NEWS | 135 ++++++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 72 insertions(+), 63 deletions(-)

commit 5759a070c1b02cc9f07b4a1670cecca34d25e2b0
Author: monsta <monsta@inbox.ru>
Date:   Fri Jan 6 18:02:30 2017 +0300

    theme-viewer: use GtkStyleContext
    
    picked from upstream:
    https://git.gnome.org/browse/metacity/commit/src/ui/theme-viewer.c?id=238e83a98cf014c9b1082d21541e63f102d441d6
    https://git.gnome.org/browse/metacity/commit/src/ui/theme-viewer.c?id=c9099b4a90932a22c86b960c8b4dc7cd1458defe

 src/ui/theme-viewer.c | 32 ++++++++++++++++++++++----------
 1 file changed, 22 insertions(+), 10 deletions(-)

commit 1cdde13577525fda5609ed2a494f743e979f6e10
Author: monsta <monsta@inbox.ru>
Date:   Fri Jan 6 17:54:38 2017 +0300

    theme-viewer: use GdkRGBA instead of GdkColor

 src/ui/theme-viewer.c | 31 +++++++++++++++++--------------
 1 file changed, 17 insertions(+), 14 deletions(-)

commit fb3226178463ccbf3effa1e7445731e2edf2fa7c
Author: monsta <monsta@inbox.ru>
Date:   Fri Jan 6 17:15:05 2017 +0300

    theme-viewer: remove unused code
    
    same as done upstream:
    https://git.gnome.org/browse/metacity/commit/?id=93e8c8d8b399200291965357f893fff404426eae

 src/ui/theme-viewer.c | 307 --------------------------------------------------
 1 file changed, 307 deletions(-)

commit 9a4b1e0bb71cd991cd1d86d4fb432377ba4f4eab
Author: Illia Danko <ilyuha21st@gmail.com>
Date:   Fri Oct 7 23:58:41 2016 +0300

    Added functionality to disable display preselected tab window border

 src/core/prefs.c               | 16 +++++++++
 src/core/screen.c              | 74 +++++++++++++++++++++++-------------------
 src/include/prefs.h            |  2 ++
 src/include/tabpopup.h         |  7 ++++
 src/org.mate.marco.gschema.xml |  5 +++
 src/ui/tabpopup.c              | 22 ++++++++-----
 6 files changed, 84 insertions(+), 42 deletions(-)

commit d2a4748d7df1c160eb4d7e15d898c2ae4219e88f
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 28 12:37:05 2016 +0300

    po: actually add new language from Transifex

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 5affeb3562e1598db12e1ec2469d505541d6bb8d
Author: monsta <monsta@inbox.ru>
Date:   Fri Nov 25 19:01:56 2016 +0300

    Revert "fix distcheck" (use translations for theme-viewer again)
    
    This reverts commit 562f3d4cc6e9674a602e8b4bf796c00a41e69368.

 po/POTFILES.in   | 1 +
 po/POTFILES.skip | 1 -
 2 files changed, 1 insertion(+), 1 deletion(-)

commit 002ed5cc25e48b9cc08140061e2c20432b26018c
Author: monsta <monsta@inbox.ru>
Date:   Fri Nov 25 19:01:39 2016 +0300

    actually build theme-viewer

 src/Makefile.am | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit 3cc4fa72622a1a5b5f5fd13c0efc4adaf0eb686f
Author: monsta <monsta@inbox.ru>
Date:   Fri Nov 25 18:46:18 2016 +0300

    theme-viewer: fix build

 src/ui/theme-viewer.c | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 07d3145fb4756e846e75491ac57f9af2fee2e926
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Nov 23 20:18:50 2016 +0100

    release 1.17.0

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 8553fae516e6e73cded3f14ef27e1859ef16d8a3
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Nov 23 20:16:48 2016 +0100

    sync with transiflex

 po/bg.po    |  193 ++---
 po/de.po    |    6 +-
 po/el.po    |   27 +-
 po/fi.po    |    4 +-
 po/hu.po    |    6 +-
 po/ja.po    |    2 +-
 po/ku_IQ.po | 2242 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/la.po    |    4 +-
 po/nb.po    |   44 +-
 po/pt.po    |   39 +-
 po/pt_BR.po |    2 +-
 po/ro.po    |   10 +-
 po/sv.po    |    7 +-
 13 files changed, 2416 insertions(+), 170 deletions(-)

commit 562f3d4cc6e9674a602e8b4bf796c00a41e69368
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Nov 8 08:30:32 2016 +0100

    fix distcheck
    
    move theme-viewer.c to POTFILES.skip temporary
    until marco-theme-viewer is buildable for gtk+-3

 po/POTFILES.in   | 1 -
 po/POTFILES.skip | 1 +
 2 files changed, 1 insertion(+), 1 deletion(-)

commit 40e26ed6d0e9ef84522ad0723f630bd7d796beec
Author: monsta <monsta@inbox.ru>
Date:   Sat Oct 15 15:39:12 2016 +0300

    move to GTK+3 (>= 3.14), drop GTK+2 code and --with-gtk build option

 Makefile.am                         |   3 -
 NEWS                                |   2 +
 README                              |   4 +-
 configure.ac                        |  37 +--
 src/Makefile.am                     |  16 +-
 src/compositor/compositor-private.h |   5 -
 src/compositor/compositor-xrender.c |  29 --
 src/compositor/compositor.c         |  16 -
 src/core/display.c                  |  11 +-
 src/core/errors.c                   | 264 ---------------
 src/core/main.c                     |   3 -
 src/core/screen.c                   |  15 -
 src/core/window-private.h           |   1 +
 src/include/compositor.h            |   7 +-
 src/include/errors.h                |   1 -
 src/include/ui.h                    |   6 +-
 src/libmarco-private.pc.in          |   2 +-
 src/tools/marco-mag.c               |  37 ---
 src/tools/marco-window-demo.c       | 324 +------------------
 src/ui/draw-workspace.c             |  80 -----
 src/ui/draw-workspace.h             |   4 -
 src/ui/fixedtip.c                   |  65 +---
 src/ui/fixedtip.h                   |   3 -
 src/ui/frames.c                     | 463 ++------------------------
 src/ui/frames.h                     |  12 -
 src/ui/gradient.c                   | 177 +---------
 src/ui/gradient.h                   |  21 --
 src/ui/menu.c                       |   8 -
 src/ui/metaaccellabel.c             | 181 +----------
 src/ui/preview-widget.c             | 178 +---------
 src/ui/preview-widget.h             |  12 +-
 src/ui/resizepopup.c                |   4 -
 src/ui/tabpopup.c                   | 302 +----------------
 src/ui/testgradient.c               | 160 ---------
 src/ui/theme-viewer.c               |  30 +-
 src/ui/theme.c                      | 627 ------------------------------------
 src/ui/theme.h                      | 115 -------
 src/ui/tile-preview.c               | 111 +------
 src/ui/ui.c                         | 206 ------------
 src/wm-tester/main.c                |  24 --
 40 files changed, 88 insertions(+), 3478 deletions(-)

commit 3b69fd200912e27ce64caf3bf5d4338aab73177b
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Sep 19 06:14:56 2016 +0200

    release 1.16.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4cecc01860e84a0d3ed0681e0f6fe3628b7bb3d1
Author: monsta <monsta@inbox.ru>
Date:   Sun Sep 18 14:22:35 2016 +0300

    update NEWS for 1.16

 NEWS | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 361e6756d14a454a2a116eb8cc5f0da1eb8f076a
Author: monsta <monsta@inbox.ru>
Date:   Sun Sep 18 14:20:57 2016 +0300

    sync with Transifex

 po/bs.po          |   9 +-
 po/ca.po          |  35 +++---
 po/ca@valencia.po | 339 +++++++++++++++++++++++++++---------------------------
 po/cs.po          |  17 +--
 po/de.po          |   8 +-
 po/en_AU.po       |   2 +-
 po/es.po          |  36 +++---
 po/es_CO.po       |  12 +-
 po/id.po          | 161 +++++++++++++-------------
 po/lt.po          |   6 +-
 po/pt.po          |  11 +-
 po/sk.po          |  24 ++--
 12 files changed, 337 insertions(+), 323 deletions(-)

commit c0b5d27ee1cb409ee8e8723009999f840f96a105
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 15 19:43:46 2016 +0200

    distcheck: explicitly use currently selected GTK+ version

 Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit ad3a761a026493f49561158559f04c26225f03f4
Author: monsta <monsta@inbox.ru>
Date:   Fri Jul 1 16:00:58 2016 +0300

    po: drop languages not present on Transifex

 po/LINGUAS     |    2 -
 po/be@latin.po | 3877 --------------------------------------------------------
 po/en@shaw.po  | 2291 ---------------------------------
 3 files changed, 6170 deletions(-)

commit 1e101463d501e4ac8717bdfa9c8be8ebbcf5e368
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jun 8 16:45:10 2016 +0200

    release 1.15.0

 NEWS         | 4 ++++
 configure.ac | 4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 5ee586904dd8797664a6564dc6b1d146454c455d
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jun 8 16:43:06 2016 +0200

    sync with Transiflex

 po/hu.po |  6 +++---
 po/pt.po | 24 ++++++++++++------------
 po/sk.po | 29 +++++++++++++++--------------
 3 files changed, 30 insertions(+), 29 deletions(-)

commit 9b3955f61a48da86e835322d42a9557c2a26a948
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat May 21 13:23:16 2016 +0200

    update to 1.14.2 release

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 7fcd664df18541ff0f57ba4383304e01536dcab8
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat May 21 12:48:53 2016 +0200

    sync with transiflex

 po/cs.po    |  7 ++++---
 po/el.po    | 16 ++++++++--------
 po/es.po    | 11 ++++++-----
 po/hu.po    |  7 ++++---
 po/la.po    | 25 +++++++++++++------------
 po/nb.po    |  4 ++--
 po/pt_BR.po | 11 ++++++-----
 po/sv.po    | 18 +++++++++---------
 po/uz.po    | 18 +++++++++---------
 9 files changed, 61 insertions(+), 56 deletions(-)

commit 829591e31abd4500aef72b1c49037d61a854c391
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue May 17 01:14:57 2016 +0200

    fix a typo with deprecated GtkMisc

 src/ui/theme-viewer.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4ab26c4748b13590c350bc7b3cb4cfc83cb15225
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue May 3 22:17:47 2016 +0200

    GTK+3 fixedtip: add style class tooltip

 src/ui/fixedtip.c | 1 +
 1 file changed, 1 insertion(+)

commit f1a2bc89a89f60827beba19969a02d858f85f56a
Author: monsta <monsta@inbox.ru>
Date:   Wed Apr 20 15:13:24 2016 +0300

    release 1.14.1

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 3b8543d30c9df810db9fc61c5396e2eb9b7ab3c4
Author: monsta <monsta@inbox.ru>
Date:   Wed Apr 20 15:02:36 2016 +0300

    po: add new languages from Transifex

 po/LINGUAS  |    3 +
 po/es_CO.po | 2241 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_MX.po | 2241 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/jv.po    | 2241 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 6726 insertions(+)

commit 9540484bdf14956cdb445762d80d33600ecc205d
Author: monsta <monsta@inbox.ru>
Date:   Wed Apr 20 15:01:39 2016 +0300

    update translations from Transifex

 po/am.po          | 2 +-
 po/ar.po          | 2 +-
 po/as.po          | 2 +-
 po/ast.po         | 2 +-
 po/az.po          | 2 +-
 po/be.po          | 2 +-
 po/bg.po          | 2 +-
 po/bn.po          | 2 +-
 po/bn_IN.po       | 2 +-
 po/br.po          | 2 +-
 po/bs.po          | 2 +-
 po/ca.po          | 2 +-
 po/ca@valencia.po | 2 +-
 po/cmn.po         | 2 +-
 po/crh.po         | 2 +-
 po/cs.po          | 2 +-
 po/cy.po          | 2 +-
 po/da.po          | 2 +-
 po/de.po          | 2 +-
 po/dz.po          | 2 +-
 po/el.po          | 4 ++--
 po/en_AU.po       | 2 +-
 po/en_CA.po       | 2 +-
 po/en_GB.po       | 2 +-
 po/eo.po          | 2 +-
 po/es.po          | 6 +++---
 po/et.po          | 2 +-
 po/eu.po          | 2 +-
 po/fa.po          | 2 +-
 po/fi.po          | 2 +-
 po/fr.po          | 2 +-
 po/ga.po          | 2 +-
 po/gl.po          | 2 +-
 po/gu.po          | 2 +-
 po/ha.po          | 2 +-
 po/he.po          | 2 +-
 po/hi.po          | 2 +-
 po/hr.po          | 2 +-
 po/hu.po          | 4 ++--
 po/hy.po          | 2 +-
 po/id.po          | 2 +-
 po/ig.po          | 2 +-
 po/is.po          | 2 +-
 po/it.po          | 7 ++++---
 po/ja.po          | 2 +-
 po/ka.po          | 2 +-
 po/kk.po          | 2 +-
 po/kn.po          | 2 +-
 po/ko.po          | 2 +-
 po/ku.po          | 2 +-
 po/ky.po          | 2 +-
 po/la.po          | 2 +-
 po/lt.po          | 2 +-
 po/lv.po          | 2 +-
 po/mai.po         | 2 +-
 po/mg.po          | 2 +-
 po/mk.po          | 2 +-
 po/ml.po          | 2 +-
 po/mn.po          | 2 +-
 po/mr.po          | 2 +-
 po/ms.po          | 2 +-
 po/nb.po          | 2 +-
 po/nds.po         | 2 +-
 po/ne.po          | 2 +-
 po/nl.po          | 2 +-
 po/nn.po          | 2 +-
 po/oc.po          | 2 +-
 po/or.po          | 2 +-
 po/pa.po          | 2 +-
 po/pl.po          | 4 ++--
 po/pt.po          | 2 +-
 po/pt_BR.po       | 2 +-
 po/ro.po          | 2 +-
 po/ru.po          | 2 +-
 po/rw.po          | 2 +-
 po/si.po          | 2 +-
 po/sk.po          | 2 +-
 po/sl.po          | 2 +-
 po/sq.po          | 2 +-
 po/sr.po          | 2 +-
 po/sr@latin.po    | 2 +-
 po/sv.po          | 2 +-
 po/ta.po          | 2 +-
 po/te.po          | 2 +-
 po/th.po          | 2 +-
 po/tk.po          | 2 +-
 po/tr.po          | 2 +-
 po/uk.po          | 2 +-
 po/uz.po          | 2 +-
 po/vi.po          | 2 +-
 po/wa.po          | 2 +-
 po/xh.po          | 2 +-
 po/yo.po          | 2 +-
 po/zh_CN.po       | 2 +-
 po/zh_HK.po       | 2 +-
 po/zh_TW.po       | 2 +-
 96 files changed, 104 insertions(+), 103 deletions(-)

commit 758e41a133afb4e95dd91f1cbb66039f7636e4e3
Author: monsta <monsta@inbox.ru>
Date:   Tue Apr 12 13:46:13 2016 +0300

    fix crash on showing alt-tab thumbnails with compositor on (GTK+2)
    
    was my mistake in 9212dacb2bfd5985d8426bf0bdb88f2aca03444e :-/

 src/core/screen.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit dbc5c7a32bd6ded8ac49d0d258412cd24c9d18ee
Author: monsta <monsta@inbox.ru>
Date:   Thu Apr 7 11:06:23 2016 +0300

    update NEWS

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 926a3ff5d2b03eef93bf8e8fa0b62cba80d7a6e8
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 11:21:36 2016 +0200

    release 1.14.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit afaacd71c5aa173fdebbe76fd5492c0566a824a6
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 11:20:39 2016 +0200

    Add Changelog generation

 Makefile.am | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 25f55e742317f5d16cddfef0ce246d278e5c73c2
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 11:19:26 2016 +0200

    add new languages and sync with transiflex

 po/LINGUAS        |    1 +
 po/am.po          |  131 ++--
 po/ar.po          |  131 ++--
 po/as.po          |  131 ++--
 po/ast.po         |  131 ++--
 po/az.po          |  131 ++--
 po/be.po          |  238 +++---
 po/bg.po          |  131 ++--
 po/bn.po          |  131 ++--
 po/bn_IN.po       |  131 ++--
 po/br.po          |  131 ++--
 po/bs.po          |  131 ++--
 po/ca.po          |  139 ++--
 po/ca@valencia.po |  131 ++--
 po/cmn.po         |  131 ++--
 po/crh.po         |  131 ++--
 po/cs.po          |  166 ++--
 po/cy.po          |  133 ++--
 po/da.po          |  213 ++---
 po/de.po          |  135 ++--
 po/dz.po          |  131 ++--
 po/el.po          |  131 ++--
 po/en_AU.po       |  135 ++--
 po/en_CA.po       |  131 ++--
 po/en_GB.po       |  177 ++---
 po/eo.po          |  131 ++--
 po/es.po          |  154 ++--
 po/et.po          |  131 ++--
 po/eu.po          |  131 ++--
 po/fa.po          |  131 ++--
 po/fi.po          |  138 ++--
 po/fr.po          |  137 ++--
 po/ga.po          |  131 ++--
 po/gl.po          |  131 ++--
 po/gu.po          |  131 ++--
 po/ha.po          |  131 ++--
 po/he.po          |  131 ++--
 po/hi.po          |  131 ++--
 po/hr.po          |  131 ++--
 po/hu.po          |  135 ++--
 po/hy.po          |  135 ++--
 po/id.po          |  158 ++--
 po/ig.po          |  131 ++--
 po/is.po          |  131 ++--
 po/it.po          |  135 ++--
 po/ja.po          |  139 ++--
 po/ka.po          |  131 ++--
 po/kk.po          |  131 ++--
 po/kn.po          |  131 ++--
 po/ko.po          |  138 ++--
 po/ku.po          |  131 ++--
 po/ky.po          |  131 ++--
 po/la.po          |  131 ++--
 po/lt.po          |  197 ++---
 po/lv.po          |  131 ++--
 po/mai.po         |  131 ++--
 po/mg.po          |  131 ++--
 po/mk.po          |  131 ++--
 po/ml.po          |  131 ++--
 po/mn.po          |  131 ++--
 po/mr.po          |  131 ++--
 po/ms.po          |  175 ++---
 po/nb.po          |  345 +++++----
 po/nds.po         |  131 ++--
 po/ne.po          |  131 ++--
 po/nl.po          |  138 ++--
 po/nn.po          |  131 ++--
 po/oc.po          |  131 ++--
 po/or.po          |  131 ++--
 po/pa.po          |  131 ++--
 po/pl.po          |  300 +++----
 po/pt.po          |  131 ++--
 po/pt_BR.po       |  311 ++++----
 po/ro.po          |  137 ++--
 po/ru.po          |  140 ++--
 po/rw.po          |  131 ++--
 po/si.po          |  131 ++--
 po/sk.po          |  227 +++---
 po/sl.po          |  131 ++--
 po/sq.po          |  131 ++--
 po/sr.po          |  317 ++++----
 po/sr@latin.po    |  131 ++--
 po/sv.po          |  131 ++--
 po/ta.po          |  131 ++--
 po/te.po          |  131 ++--
 po/th.po          |  131 ++--
 po/tk.po          |  131 ++--
 po/tr.po          |  133 ++--
 po/uk.po          |  281 +++----
 po/uz.po          | 2242 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/vi.po          |  131 ++--
 po/wa.po          |  131 ++--
 po/xh.po          |  131 ++--
 po/yo.po          |  131 ++--
 po/zh_CN.po       |  142 ++--
 po/zh_HK.po       |  131 ++--
 po/zh_TW.po       |  135 ++--
 97 files changed, 9282 insertions(+), 6928 deletions(-)

commit 817efab827813ea2ca56f815fb95b6d1228274c2
Author: monsta <monsta@inbox.ru>
Date:   Tue Apr 5 11:12:36 2016 +0300

    update NEWS and pack 1.13.x changes into single 1.14.0 entry

 NEWS | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 6c5b3375d0562e4244de369c4d365efb90f11e32
Author: monsta <monsta@inbox.ru>
Date:   Wed Mar 9 17:47:03 2016 +0300

    proper description of compositing-fast-alt-tab key

 src/org.mate.marco.gschema.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3309d14d44cf85be76f3487da2df25f65616847b
Author: monsta <monsta@inbox.ru>
Date:   Fri Mar 4 14:51:25 2016 +0300

    remove duplicate function declaration

 src/core/workspace.h | 2 --
 1 file changed, 2 deletions(-)

commit 9212dacb2bfd5985d8426bf0bdb88f2aca03444e
Author: monsta <monsta@inbox.ru>
Date:   Thu Mar 3 15:19:33 2016 +0300

    [GTK+3] re-add ability to show alt-tab thumbnails when compositor is on
    
    adapted from:
    https://git.gnome.org/browse/metacity/commit/?id=e6828a3ee2cab1ec1acbdd5a444dc1cb98215a75
    https://git.gnome.org/browse/metacity/commit/?id=758902aef22629943738241cea1f597b6db4b18e
    https://git.gnome.org/browse/metacity/commit/?id=c6ba6dc7f458720d9f8666881f45a830580468cb
    https://git.gnome.org/browse/metacity/commit/?id=68bdf1ab9de815e07f5cd75b2e1fa24ba92ae319
    https://git.gnome.org/browse/metacity/commit/?id=78bbf4423f72797a05bfaddd4121d70db30de9a3

 src/compositor/compositor-private.h |  5 ++++
 src/compositor/compositor-xrender.c | 50 +++++++++++++++++++++++++++++++++++++
 src/compositor/compositor.c         | 16 ++++++++++++
 src/core/screen.c                   | 31 ++++++++++++++++-------
 src/include/compositor.h            |  6 +++++
 src/include/ui.h                    |  4 ++-
 src/ui/ui.c                         | 13 +++++++++-
 7 files changed, 114 insertions(+), 11 deletions(-)

commit ee01366b6659c9f4238a9a89706aa2b78903ead8
Author: monsta <monsta@inbox.ru>
Date:   Thu Mar 3 15:59:43 2016 +0300

    fix typo in b4d2708dbae8708fe4e50b2fb4d823c20d9d829a

 src/ui/ui.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b4d2708dbae8708fe4e50b2fb4d823c20d9d829a
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Feb 28 10:38:41 2016 +0100

    GTK+3: Get values from GtkStyleContext states properly
    
    this avoids warnings like this:
    Warning of Windowmanagement:Log level 16: State 4 for context 0x55988f9ad950
    doesn't match state 128 set via gtk_style_context_set_state ()

 src/ui/tile-preview.c | 7 ++++++-
 src/ui/ui.c           | 9 ++++++++-
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 60690d6edddf480fb36a28144c9f4bb358ae95c6
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Feb 21 16:59:18 2016 +0100

    release 1.13.1

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit a17e84cb9913477ea7ae10457ef63529b15bc1ee
Author: Martin Wimpress <code@flexion.org>
Date:   Fri Feb 19 14:17:51 2016 +0000

    Sync with Transifex

 po/br.po    |  10 +-
 po/ca.po    | 264 +++++++++++++++++++++---------------------
 po/cs.po    |  32 +++--
 po/cy.po    |  40 +++----
 po/da.po    | 120 +++++++++----------
 po/el.po    |  71 ++++++------
 po/es.po    |  44 +++----
 po/he.po    |   7 +-
 po/hu.po    | 119 +++++++++----------
 po/hy.po    | 378 ++++++++++++++++++++++++++++++------------------------------
 po/is.po    |   8 +-
 po/it.po    | 212 +++++++++++++++++-----------------
 po/lt.po    |  80 ++++++-------
 po/nb.po    |   2 +-
 po/ro.po    |   8 +-
 po/ru.po    |  39 ++++---
 po/sk.po    | 102 ++++++++--------
 po/sv.po    |  48 ++++----
 po/tr.po    |  91 +++++++--------
 po/uk.po    |  96 +++++++--------
 po/zh_CN.po | 108 ++++++++---------
 21 files changed, 952 insertions(+), 927 deletions(-)

commit 054f0fc4ac62613ef5734ac65de6bfe67239b183
Author: Sorokin Alexei <sor.alexei@meowr.ru>
Date:   Fri Feb 5 17:45:32 2016 +0300

    Bump libmarco-private's sover when Gtk3

 src/Makefile.am | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit c887ada6fdf5b810e06e77f49281a81be41d2152
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 25 22:06:17 2016 +0100

    release 1.13.0

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit d01ea186be7abed6593d95dc234c6d0ea88916ca
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 25 21:26:11 2016 +0100

    fix dprecated GtkMisc

 src/ui/fixedtip.c     | 6 +++---
 src/ui/menu.c         | 2 +-
 src/ui/tabpopup.c     | 2 +-
 src/ui/theme-viewer.c | 5 +++++
 4 files changed, 10 insertions(+), 5 deletions(-)

commit e40b7891762f54214fbd6b308e1a2291893444ed
Author: monsta <monsta@inbox.ru>
Date:   Thu Jan 21 17:29:02 2016 +0300

    [GTK+3] theme viewer: fix deprecated usage of GtkHButtonBox

 src/ui/theme-viewer.c | 4 ++++
 1 file changed, 4 insertions(+)

commit c6437bda0a9e7e26477c27fc355d9119b65d9d0d
Author: Romero Malaquias <romero.malaquias@gmail.com>
Date:   Mon Dec 21 13:09:53 2015 -0300

    Avoiding conditional directives that break statements.

 src/core/screen.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 740898e85fc9b8339a3aca0c5f6dd897b2c69fcf
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 5 02:12:24 2016 +0100

    pre-bump version to 1.13.0

 NEWS         | 2 ++
 configure.ac | 4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit ccff2b41c033cb431898c49c032710a6af8d447d
Author: Monsta <monsta@inbox.ru>
Date:   Sat Jan 2 22:44:13 2016 +0300

    drop MateConf migration script

 src/Makefile.am   |   4 --
 src/marco.convert | 155 ------------------------------------------------------
 2 files changed, 159 deletions(-)

commit a04f17f520ffb8d0282dcc1e3a7094b29edc0471
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 31 11:14:36 2015 +0300

    window: remove excessive initialization

 src/core/window.c | 1 -
 1 file changed, 1 deletion(-)

commit 6c1fe100755895272c0165d1c884ade8d464a7be
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Sep 19 03:02:06 2015 +0300

    compositor-xrender: include old shape in damage
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755001

 src/compositor/compositor-xrender.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 7040bfa954775937bf3d524d8b714335adb766fa
Author: monsta <monsta@inbox.ru>
Date:   Fri Dec 11 15:12:54 2015 +0300

    add a missing line from metacity
    
    line is taken from
    https://github.com/GNOME/metacity/commit/632d3983fbc402432c6ceae05bea8903ad2f11c0
    
    was forgotten in
    https://github.com/mate-desktop/marco/commit/ad9db61aabc2cbf743a1157ddc42ff76127f3fab

 src/core/window.c | 1 +
 1 file changed, 1 insertion(+)

commit 0cfb02ca611bc305d768c3caaaae7e56ccbeb877
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Wed Dec 2 22:44:26 2015 +0100

    Gtk3: fix a fogotten GtkMisc deprecation

 src/ui/tabpopup.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit d62e47b12e49500884839a14bb816babbf3ecdd7
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Wed Dec 2 22:42:21 2015 +0100

    GTK3: fix GtkMisc deprecation fixes for gtk+-3.14

 src/ui/menu.c           | 2 +-
 src/ui/metaaccellabel.c | 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit e84228adee604e1d01dde545c3afd10c1025c508
Author: Monsta <monsta@inbox.ru>
Date:   Sun Nov 29 21:42:31 2015 +0300

    Bump version to 1.12.1

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 2da5a2bddf41e0dfa99781fa4c8128e4854b2076
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Nov 13 18:23:44 2015 +0100

    Gtk+-3.14 tabpopup.c: don't use deprecated GtkAlignment
    
    taken from:
    https://git.gnome.org/browse/metacity/commit/?id=5aeb6e9

 src/ui/tabpopup.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 5f322a120154fda341bbdcd379f9051c742e5ab9
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Nov 13 18:18:00 2015 +0100

    Gtk+-3.14 tabpopup.c: don't use deprecated GtkMisc
    
    partially taken from:
    https://git.gnome.org/browse/metacity/commit/?id=51b9e57

 src/ui/tabpopup.c | 5 +++++
 1 file changed, 5 insertions(+)

commit d2504280ecf6d509c1f17b75b8e0aeecde03effc
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Nov 13 18:12:28 2015 +0100

    Gtk+-3.14 resizepopup.c: don't use deprecated GtkMisc
    
    taken from:
    https://git.gnome.org/browse/metacity/commit/?id=1f2ea05

 src/ui/resizepopup.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 2806828e15d85f82c84d889e5eca8ec4ddbe23e5
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Nov 13 18:09:29 2015 +0100

    Gtk+-3.14 menu.c + metaaccellable.c: don't use deprecated GtkMisc
    
    taken from:
    https://git.gnome.org/browse/metacity/commit/?id=7a5c50c

 src/ui/menu.c           |  4 ++++
 src/ui/metaaccellabel.c | 21 +++++++++++++++++++++
 2 files changed, 25 insertions(+)

commit f06e8d7315c41caf5784822c227084216af7513c
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Nov 13 18:03:18 2015 +0100

    Gtk+-3.14 fixedtip.c: don't use deprecated GtkMisc
    
    taken from:
    https://git.gnome.org/browse/metacity/commit/?id=e00996a

 src/ui/fixedtip.c | 5 +++++
 1 file changed, 5 insertions(+)

commit e51cc4ecddbd57cb900610ac8f1dcc0b350b8d68
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Nov 13 18:29:14 2015 +0100

    Gtk+-3.16 draw-workspace.c: don't use deprecated gtk_style_context_get_background_color
    
    partially taken from:
    https://git.gnome.org/browse/metacity/commit/?id=33ad43f

 src/ui/draw-workspace.c | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit d525c5cd5f5a759911b2d1083e101ce58b07a69a
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Nov 13 17:56:27 2015 +0100

    GTK+-3.16: don't use deprecated gtk_widget_override_background_color
    
    partially taken from:
    https://git.gnome.org/browse/metacity/commit/?id=542a2b4

 src/tools/marco-window-demo.c | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 8f36c551693cb81a386b6f48178189b5eea38d91
Author: Balló György <ballogyor@gmail.com>
Date:   Fri Nov 20 03:13:14 2015 +0100

    Gtk3: fix colors
    
    Add GTK_STYLE_CLASS_BACKGROUND class to context, so we have correct colors from the GTK+ theme instead of white text over black background.

 src/ui/theme.c | 4 ++++
 1 file changed, 4 insertions(+)

commit c5062a8c60e083af863557ce6dbc57bae80c862b
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Fri Nov 20 14:08:55 2015 +0000

    Updated translations

 po/am.po          | 1256 ++++++++++-----
 po/ar.po          | 1126 +++++++++----
 po/as.po          | 1120 +++++++++----
 po/ast.po         | 1120 +++++++++----
 po/az.po          | 1120 +++++++++----
 po/be.po          | 1134 +++++++++----
 po/bg.po          | 1138 +++++++++----
 po/bn.po          | 1120 +++++++++----
 po/bn_IN.po       | 1120 +++++++++----
 po/br.po          | 1199 ++++++++++----
 po/bs.po          | 1120 +++++++++----
 po/ca.po          | 1143 +++++++++----
 po/ca@valencia.po | 1120 +++++++++----
 po/cmn.po         | 1122 +++++++++----
 po/crh.po         | 1120 +++++++++----
 po/cs.po          | 1124 +++++++++----
 po/cy.po          | 1138 +++++++++----
 po/da.po          | 1124 +++++++++----
 po/de.po          | 1147 ++++++++++----
 po/dz.po          | 1120 +++++++++----
 po/el.po          | 1124 +++++++++----
 po/en_AU.po       | 1125 +++++++++----
 po/en_CA.po       | 1120 +++++++++----
 po/en_GB.po       | 1126 +++++++++----
 po/eo.po          | 1098 +++++++++----
 po/es.po          | 1128 +++++++++----
 po/et.po          | 1124 +++++++++----
 po/eu.po          | 1120 +++++++++----
 po/fa.po          | 1108 +++++++++----
 po/fi.po          | 1120 +++++++++----
 po/fr.po          | 1124 +++++++++----
 po/ga.po          | 1098 +++++++++----
 po/gl.po          | 1122 +++++++++----
 po/gu.po          | 1120 +++++++++----
 po/ha.po          | 1120 +++++++++----
 po/he.po          | 1122 +++++++++----
 po/hi.po          | 1122 +++++++++----
 po/hr.po          | 1144 +++++++++----
 po/hu.po          | 1123 +++++++++----
 po/hy.po          | 1323 +++++++++++-----
 po/id.po          | 1131 +++++++++----
 po/ig.po          | 1120 +++++++++----
 po/is.po          | 1098 +++++++++----
 po/it.po          | 1124 +++++++++----
 po/ja.po          | 1127 +++++++++----
 po/ka.po          | 1096 +++++++++----
 po/kk.po          | 1096 +++++++++----
 po/kn.po          | 1120 +++++++++----
 po/ko.po          | 1123 +++++++++----
 po/ku.po          | 1110 +++++++++----
 po/ky.po          | 1116 +++++++++----
 po/la.po          | 2052 ++++++++++++------------
 po/lt.po          | 1259 ++++++++++-----
 po/lv.po          | 1122 +++++++++----
 po/mai.po         | 1120 +++++++++----
 po/mg.po          | 1120 +++++++++----
 po/mk.po          | 1120 +++++++++----
 po/ml.po          | 1120 +++++++++----
 po/mn.po          | 1120 +++++++++----
 po/mr.po          | 1122 +++++++++----
 po/ms.po          | 1126 +++++++++----
 po/nb.po          | 1120 +++++++++----
 po/nds.po         | 1096 +++++++++----
 po/ne.po          | 1120 +++++++++----
 po/nl.po          | 1126 +++++++++----
 po/nn.po          | 1120 +++++++++----
 po/oc.po          | 1120 +++++++++----
 po/or.po          | 1120 +++++++++----
 po/pa.po          | 1120 +++++++++----
 po/pl.po          | 1124 +++++++++----
 po/pt.po          | 1135 +++++++++----
 po/pt_BR.po       | 1125 +++++++++----
 po/ro.po          | 1130 +++++++++----
 po/ru.po          | 1127 +++++++++----
 po/rw.po          | 4584 +++++++++++++++++++++--------------------------------
 po/si.po          | 1096 +++++++++----
 po/sk.po          | 1124 +++++++++----
 po/sl.po          | 1124 +++++++++----
 po/sq.po          | 1124 +++++++++----
 po/sr.po          | 1124 +++++++++----
 po/sr@latin.po    | 1120 +++++++++----
 po/sv.po          | 1122 +++++++++----
 po/ta.po          | 1120 +++++++++----
 po/te.po          | 1120 +++++++++----
 po/th.po          | 1120 +++++++++----
 po/tk.po          | 1098 +++++++++----
 po/tr.po          | 1130 +++++++++----
 po/uk.po          | 1167 ++++++++++----
 po/vi.po          | 1120 +++++++++----
 po/wa.po          | 1096 +++++++++----
 po/xh.po          | 1120 +++++++++----
 po/yo.po          | 1120 +++++++++----
 po/zh_CN.po       | 1127 +++++++++----
 po/zh_HK.po       | 1120 +++++++++----
 po/zh_TW.po       | 1122 +++++++++----
 95 files changed, 80575 insertions(+), 30890 deletions(-)

commit dea2e6f9679900895a723b6f7de8fa926ef812ed
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Nov 15 20:04:22 2015 +0100

    GTK3 fixedtip: use a tooltip style
    
    - this fixes the bg/fg color mismatch between normal tooltips,
      which are styleable in themes
    
    taken from:
    https://git.gnome.org/browse/metacity/commit/?id=3aa71b7

 src/ui/fixedtip.c | 102 +++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 70 insertions(+), 32 deletions(-)

commit 2153a1cc972d71b68e165680e2c09ddffc820498
Merge: 2283906 3ed3bab
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Mon Nov 16 12:28:55 2015 +0000

    Merge pull request #231 from mate-desktop/we-dont-need-no-animation
    
    Revert animation changes

commit 3ed3babc3ed31c7b03f7475205acc6c5e52bac81
Author: Monsta <monsta@inbox.ru>
Date:   Sun Nov 8 00:00:39 2015 +0300

    Revert "Merge pull request #115 from Samsagax/animation-fix-clean"
    
    This reverts commit 567890a8a1884247de29e9f97cf9cd8110247c04, reversing
    changes made to a65a66d49bd0d6ec6c94b8e3ecd551cb570cec95.

 src/core/effects.c        |  43 ++---------
 src/core/effects.h        |   1 -
 src/core/window-private.h |   4 -
 src/core/window.c         | 183 +++++++++++++++++++---------------------------
 4 files changed, 83 insertions(+), 148 deletions(-)

commit 228390697c5b89aee45796677cf1c98a8b50ba97
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Tue Nov 3 14:06:55 2015 +0000

    1.12.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 66a66d0226d178481b42ada5f3ac271a4bfef51d
Author: Monsta <monsta@inbox.ru>
Date:   Sat Oct 31 11:31:06 2015 +0300

    NEWS: add missing 1.10.3 entries

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 38b283b97d288224cdac088846f9beed8de7cac6
Author: monsta <monsta@inbox.ru>
Date:   Fri Oct 30 15:15:12 2015 +0300

    update NEWS for 1.12

 NEWS | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit 647e37dde11b3425f8a4b9ecc695e37829913f85
Author: monsta <monsta@inbox.ru>
Date:   Tue Oct 27 12:42:23 2015 +0300

    some corrections in NEWS

 NEWS | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 45c8f70ec963901b3a35969cd03f1b6fb786517c
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Oct 26 15:29:52 2015 +0100

    release 1.11.1

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 0303e70565fe5a0ede31c2c4591028ed34cbb3a2
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Oct 11 00:12:34 2014 +0300

    window: initialize fullscreen to FALSE
    
    This fix random bug when applications without reason opens in
    fullscreen mode.

 src/core/window.c | 1 +
 1 file changed, 1 insertion(+)

commit eceb8d7994859c4ebbee493539a6ce6fd2842e50
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Fri Oct 31 19:18:18 2014 +0200

    window: initialize custom_frame_extents

 src/core/window.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 4007ca1c695c84a3a82d1fcdf81950d4062ccdf0
Author: monsta <monsta@inbox.ru>
Date:   Fri Oct 23 14:34:54 2015 +0300

    constraints: take into account _GTK_FRAME_EXTENTS
    
    ported from
    https://git.gnome.org/browse/metacity/commit/?id=8f699b71bd7e5581ec2f2804ea9650597618dfe1

 src/core/constraints.c | 104 ++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 78 insertions(+), 26 deletions(-)

commit c340832a15d4b718f85e11fcc2d0bd73d492e102
Author: monsta <monsta@inbox.ru>
Date:   Mon Oct 26 11:02:34 2015 +0300

    configure.ac: some cleanup

 configure.ac | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 11e421ee416870992414c21c02a836f30e00d838
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Wed Sep 23 17:15:25 2015 +0300

    effects: remove hack that made Marco crash in certain situations
    
    fixes https://github.com/mate-desktop/marco/issues/200
    
    ported to Marco from https://github.com/GNOME/metacity/commit/f25b7760b7430b674afdb4de1e2072cd99ea3fbc

 src/core/effects.c | 21 +--------------------
 1 file changed, 1 insertion(+), 20 deletions(-)

commit e3ff9c41192776810a7870b4e56edb59ce0f1f6f
Merge: a50c76d 5333fe1
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Oct 23 20:58:54 2015 +0200

    Merge pull request #230 from Gymnasiast/patch-1
    
    Fix 'center-new-windows' summary and description

commit 5333fe16651a02165ab4373837d0428d4e6e439e
Author: Michael Steenbeek <m.o.steenbeek@gmail.com>
Date:   Fri Oct 23 19:02:34 2015 +0200

    Fix 'center-new-windows' summary and description

 src/org.mate.marco.gschema.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a50c76d27cc53defeb0969ecc4717d60d905eb79
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Oct 13 16:01:38 2015 +0200

    update to 1.11.0 release

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 95a70f2dcd5820175458f9ea597cd1c231778f2e
Author: Monsta <monsta@inbox.ru>
Date:   Tue Oct 13 12:16:50 2015 +0300

    Revert "Repaint area of deleted shadowed windows (fixes #27)"
    
    This reverts commit b53fb913abe7da1e8d56bd50151f673c90cf121d.
    
    Fixes https://github.com/mate-desktop/marco/issues/226

 src/compositor/compositor-xrender.c | 19 -------------------
 1 file changed, 19 deletions(-)

commit d347a30393c2de70570ca2cba51ee4f76bb83864
Author: Monsta <monsta@inbox.ru>
Date:   Tue Oct 13 12:14:36 2015 +0300

    use Alt-` for switching between windows of the same application
    
    closes https://github.com/mate-desktop/marco/issues/90

 src/org.mate.marco.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd4b92691203a5ba84721c31d28f466f429cc9ca
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Oct 6 17:19:22 2015 +0200

    pre-bump version to 1.11.0

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit f935ba608b009c6a8d193da0634aa73412dee842
Merge: 28e496a 8be368f
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Sep 25 12:44:13 2015 +0200

    Merge pull request #225 from monsta/description
    
    Make center-new-windows true after all, and change the description to better match it

commit 8be368fbb88527c09b01e5e8dc2cc80d4b90b657
Author: Monsta <monsta@inbox.ru>
Date:   Fri Sep 25 13:24:53 2015 +0300

    Make center-new-windows true after all, and change the description
    to better match it.
    
    This reverts commit 8ca77c72992ab6c1ccf7191b1b38d967b2d68348.

 src/org.mate.marco.gschema.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 28e496adbd7d4733629ef60ff5d390fa5897b1b5
Merge: 2c7a8dc 95953a4
Author: No_name <chat-to-me@raveit.de>
Date:   Fri Sep 25 11:36:06 2015 +0200

    Merge pull request #224 from dnk/assertion
    
    gtk3: fix assertion 'gtk_widget_get_realized (widget)' failed

commit 2c7a8dc81ff5871d3807f2ec6772fbad290d5066
Merge: 7aafd68 7fa4796
Author: No_name <chat-to-me@raveit.de>
Date:   Fri Sep 25 11:35:28 2015 +0200

    Merge pull request #221 from dnk/uninitialized_variable
    
    gtk3: unintialized variable

commit 7aafd687aee69acdec49cd28062294c9984b9a2c
Merge: 2380955 8ca77c7
Author: No_name <chat-to-me@raveit.de>
Date:   Fri Sep 25 11:34:42 2015 +0200

    Merge pull request #203 from bjlaur/master
    
    Reverting center-new-windows default to false.

commit 2380955609c8bb383226951660d6fd1944481e9b
Merge: 5a5236d da35f0b
Author: No_name <chat-to-me@raveit.de>
Date:   Fri Sep 25 11:33:36 2015 +0200

    Merge pull request #168 from robertek/swith_to_workspace_prev
    
    Possible keybinding to switch to previous workspace.

commit 5a5236d833230939333fb9a66422e88e40f0f54d
Merge: 1bb2f34 77e1f50
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Sep 24 17:59:01 2015 +0100

    Merge pull request #223 from dnk/tile_border
    
    gtk3: draw tile border

commit 95953a48746624332ae69296da031ea2450306b4
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Tue Sep 22 18:38:15 2015 +0300

    gtk3: fix assertion 'gtk_widget_get_realized (widget)' failed
    
    gtk3 can use style context before widget realization

 src/ui/theme.c | 2 ++
 1 file changed, 2 insertions(+)

commit 77e1f5059cea5d0cf027086d9536f207ca95ccda
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Fri Sep 18 18:49:54 2015 +0300

    gtk3: draw 1px tile border

 src/ui/tile-preview.c | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit 1bb2f34586f78697713e38681402f7099bc87078
Author: infirit <infirit@gmail.com>
Date:   Fri Sep 18 14:47:15 2015 +0200

    Revert "Remove unused function handle_run_terminal"
    
    This reverts commit 437b085f123f3c019bca2481000e936ee87e7c31.

 src/core/keybindings.c        | 37 +++++++++++++++++++++++++++++++++++++
 src/include/all-keybindings.h |  2 ++
 2 files changed, 39 insertions(+)

commit 7fa47961f8790f2d8f2e83bad66e75bdd63cfaa9
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Fri Sep 18 14:40:36 2015 +0300

    gtk3: unintialized variable

 src/tools/marco-window-demo.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit dee034771c8f3b519c8011faf78d277d6af76933
Author: Faidon Liambotis <paravoid@debian.org>
Date:   Mon Sep 14 03:06:18 2015 +0300

    Add manual and by-pointer window placement
    
    This adds a window placement preference: the existing behavior is now
    called "automatic" and is the default. Two new modes are being
    introduced: "pointer", which means that windows are placed according to
    the mouse pointer position; and "manual" which means that the user must
    manually place the new window with the mouse or keyboard.
    
    This is a straight port from muffin, commit 3257671.

 src/core/place.c               | 52 ++++++++++++++++++++++++++++++++++++++++++
 src/core/prefs.c               | 16 +++++++++++++
 src/core/window-private.h      |  3 +++
 src/core/window.c              |  8 +++++++
 src/include/common.h           | 10 ++++++++
 src/include/prefs.h            |  5 +++-
 src/org.mate.marco.gschema.xml | 10 ++++++++
 7 files changed, 103 insertions(+), 1 deletion(-)

commit e12e55167107adaa0b45decdb2f57cf7c870d2aa
Author: infirit <infirit@gmail.com>
Date:   Wed Sep 16 13:49:07 2015 +0200

    tile-preview: Small cleanup
    
    * GDK_DISPLAY_XDISPLAY and gdk_display_get_default are in Gtk2
    * Get window from GdkEvent

 src/ui/tile-preview.c | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

commit 59c218b6067263cb1667656a85a15483a01e8c5a
Author: infirit <infirit@gmail.com>
Date:   Wed Sep 16 13:01:09 2015 +0200

    preview-widget: Small GTK_CHECK_VERSION cleanup

 src/ui/preview-widget.c | 15 +++++----------
 1 file changed, 5 insertions(+), 10 deletions(-)

commit 1ea80cdee4c3824c9317473e60ca5b707e6c9602
Author: infirit <infirit@gmail.com>
Date:   Wed Sep 16 12:19:33 2015 +0200

    ui: Small cleanups
    
    * No point in checking for Gtk2 with GTK_CHECK_VERSION in Gtk2 only code
    * We have gdk_x11_window_lookup_for_display in Gtk2.24

 src/ui/ui.c | 19 -------------------
 1 file changed, 19 deletions(-)

commit 0f78f71ba16b975921944c4436e4e4e9400b4b74
Author: infirit <infirit@gmail.com>
Date:   Wed Sep 16 11:40:39 2015 +0200

    Remove more unused functions

 src/include/ui.h |  14 --------
 src/ui/ui.c      | 105 -------------------------------------------------------
 2 files changed, 119 deletions(-)

commit 437b085f123f3c019bca2481000e936ee87e7c31
Author: infirit <infirit@gmail.com>
Date:   Tue Sep 15 12:42:56 2015 +0200

    Remove unused function handle_run_terminal

 src/core/keybindings.c        | 37 -------------------------------------
 src/include/all-keybindings.h |  2 --
 2 files changed, 39 deletions(-)

commit b04c37a7641b474ca066627da27d42e6134c4e17
Author: infirit <infirit@gmail.com>
Date:   Mon Sep 14 19:07:06 2015 +0200

    Remove deprecated GTK+ symbols and use accessor functions
    
    Direct struct access has been deprecated, so use the appropriate
    replacements to build with GSEAL enabled.

 src/tools/marco-window-demo.c | 344 ++++++++++++++++++++++--------------------
 src/ui/fixedtip.c             |   2 +-
 src/ui/frames.c               |  28 +++-
 src/ui/menu.c                 |  11 +-
 src/ui/metaaccellabel.c       |  39 +++--
 src/ui/preview-widget.c       |   4 -
 src/ui/tabpopup.c             |  52 ++++---
 src/ui/theme-viewer.c         | 138 +++++++++--------
 src/ui/ui.c                   |  10 +-
 9 files changed, 339 insertions(+), 289 deletions(-)

commit 768fdd8d3852e67555a585da28b6404a97853cbd
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Jul 21 03:40:32 2015 +0200

    compositor: fix possible crash closing/destroying window

 src/compositor/compositor-private.h |  3 +++
 src/compositor/compositor-xrender.c | 34 +++++++++++++++++++++++++---------
 src/compositor/compositor.c         |  4 ++++
 3 files changed, 32 insertions(+), 9 deletions(-)

commit a9b261b5c6a49ed3fa9400304e52ea9fdb528a0c
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Jul 21 03:11:34 2015 +0200

    compositor: don't use invalid back_pixmap
    
    XCompositeNameWindowPixmap can generate BadMatch error. If this
    error is generated then returned pixmap is not valid. Just set
    back_pixmap to None in case of error.

 src/compositor/compositor-xrender.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 4f9d40353e3b8c6c99aca3866a3686a8835f6551
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Jul 21 03:08:45 2015 +0200

    bump xcomposite required version to 0.3 and simplify code
    
    Version 0.3 is available more then 8 years.

 configure.ac                        |   2 +-
 src/compositor/compositor-xrender.c | 199 +++++++++---------------------------
 src/core/display-private.h          |   2 -
 src/core/display.c                  |  28 ++---
 src/include/display.h               |   3 -
 5 files changed, 59 insertions(+), 175 deletions(-)

commit 49d830417d9ef75241eb63d6d08a51603cfda18f
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Tue Jul 21 03:14:33 2015 +0200

    window: load NET_WM_USER_TIME from the right window
    
    On subsequent changes, if there is a NET_WM_USER_TIME_WINDOW, then
    read the property from that rather than from the main window.
    (Fix an accidental regression: the right Window was being computed
    but no longer passed in.)
    
    Original patch author - Owen Taylor:
    https://bugzilla.gnome.org/show_bug.cgi?id=585979

 src/core/window.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit ee8de316b3e0ff382d41012e78edf5bc58895f54
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Sat Sep 27 23:44:41 2014 +0200

    theme: Rename button_rect() to get_button_rect()
    
    Basically it's odd to have "button_rect" be a function with all the
    foo_rect GdkRectangles around - renaming to get_button_rect() will
    free the name for the generically named "rect" once buttons are the
    only movable pieces in the frame.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741917

 src/ui/theme.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 58eedd315c3935741500115c34fe81c86ce9b88b
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Jul 20 23:56:10 2015 +0200

    ui: Refactor the default image lookup

 src/ui/ui.c | 35 +++++++++++++++--------------------
 1 file changed, 15 insertions(+), 20 deletions(-)

commit b4b73de038caffbca46e3f94e4ec056c16734f5c
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Jul 20 23:54:12 2015 +0200

    xprop: Don't use GDK for reading text properties

 src/core/xprops.c | 26 ++++++++++++++++++++++++--
 src/include/ui.h  |  3 ---
 src/ui/ui.c       | 32 --------------------------------
 3 files changed, 24 insertions(+), 37 deletions(-)

commit e959355cbae2b4ed4dcd9124b0ffe1e328965ef0
Author: William Jon McCann <jmccann@redhat.com>
Date:   Sun Apr 19 04:06:45 2015 +0200

    Don't allow multiline window titles
    
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=683056

 src/ui/frames.c | 2 ++
 1 file changed, 2 insertions(+)

commit e84e5ffa84180bffb2ca32bf072d065797a4621b
Author: Dan Winship <danw@gnome.org>
Date:   Thu Jan 21 10:10:44 2010 -0500

    Work around Xlib 64-bit "specialness"
    
    When putting 32-bit properties into longs on 64-bit architectures,
    XGetWindowProperty assumes the values are supposed to be signed, and
    so it sign-extends values greater than 0x7fffffff. So if they *aren't*
    supposed to be signed, we need to chop off the high bits ourselves.
    
    (Most CARDINAL-valued properties only end up using small values
    anyway, so it doesn't matter, but _NET_WM_WINDOW_OPACITY uses the full
    range, and so was previously failing on 64-bit machines.)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=605678

 src/core/xprops.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 8bcb4f8f0348d1a2971dbd741d48af9de2934ae6
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Wed Oct 6 18:47:57 2010 +0200

    Clean up antialiasing fixes
    
    Simplify the code by noting that when we have square end-caps, the
    results of generic line path give the right pixel-aligned rectangle
    for horizontal/vertical lines.
    
    Add comments and remove some extra braces.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=630426

 src/ui/theme.c | 35 +++++++++++------------------------
 1 file changed, 11 insertions(+), 24 deletions(-)

commit 6674089ba3e66d6ac671d02be03dd5dcaa8eb784
Author: infirit <infirit@gmail.com>
Date:   Tue Jul 21 03:16:58 2015 +0200

    Fix typo

 src/ui/frames.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 79a74501f12e6b452a29d2047c3ea72dc948e6ef
Author: infirit <infirit@gmail.com>
Date:   Tue Jul 21 16:04:11 2015 +0200

    Drop deprecated use of GTK_WIDGET_DRAWABLE, GTK_WIDGET_STATE and gtk_widget_set_uposition

 src/ui/metaaccellabel.c | 4 ++--
 src/wm-tester/main.c    | 8 --------
 2 files changed, 2 insertions(+), 10 deletions(-)

commit 2d0ba5568ccc8d98746f2af3aa9c9ff4c1adca62
Author: infirit <infirit@gmail.com>
Date:   Tue Jul 21 16:02:45 2015 +0200

    Drop deprecated use of gtk_signal_connect_full

 src/ui/menu.c | 18 ------------------
 1 file changed, 18 deletions(-)

commit 2acee834bec5a86358772b3d88ea241beaffb669
Author: infirit <infirit@gmail.com>
Date:   Sun Sep 6 20:53:20 2015 +0200

    Remove removed file from POTFILES.skip

 po/POTFILES.skip | 2 --
 1 file changed, 2 deletions(-)

commit 15afa1c4635316657e4ead310bf9561fc5172942
Author: infirit <infirit@gmail.com>
Date:   Sun Sep 6 20:53:00 2015 +0200

    Allow gsettings schema be translated

 configure.ac   | 2 +-
 po/POTFILES.in | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 384998d3b199bcdad410eb382f417ba0db6e301b
Merge: b53fb91 f5784fc
Author: Martin Wimpress <code@flexion.org>
Date:   Mon Aug 31 17:45:01 2015 +0100

    Merge pull request #217 from monsta/check
    
    check for GTK+ release, not pre-release

commit f5784fc4e5a3cfbf9443f9310738f3d1eeecd5ff
Author: Monsta <monsta@inbox.ru>
Date:   Mon Aug 31 17:38:30 2015 +0300

    check for GTK+ release, not pre-release

 src/ui/ui.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b53fb913abe7da1e8d56bd50151f673c90cf121d
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Sun Jun 22 11:43:37 2014 -0400

    Repaint area of deleted shadowed windows (fixes #27)

 src/compositor/compositor-xrender.c | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 5890f59f1510e8cd3ff3b9440140d917a1c9e2ff
Merge: f609b19 cd4182d
Author: Martin Wimpress <code@flexion.org>
Date:   Tue Aug 25 16:45:16 2015 +0100

    Merge pull request #216 from monsta/patch-1
    
    configure.ac: removed suspicious reference to win32

commit cd4182d21ad96e6823036635887047024830118c
Author: monsta <monsta@inbox.ru>
Date:   Tue Aug 25 16:11:36 2015 +0300

    configure.ac: removed suspicious reference to win32

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit f609b199f23783930be251da0b5820dfdebd978f
Author: infirit <infirit@gmail.com>
Date:   Thu Aug 20 14:25:29 2015 +0200

    Remove mate-desktop leftovers from configure.ac

 configure.ac | 5 -----
 1 file changed, 5 deletions(-)

commit 6ca27a4743078f5905f8e1382faae8979261d5ba
Author: infirit <infirit@gmail.com>
Date:   Thu Aug 20 13:59:33 2015 +0200

    Gtk3: Fix background color
    
    Also drop the mate-desktop dark/light color functions in favour
    of internal ones.

 src/ui/draw-workspace.c | 11 ++-----
 src/ui/theme.c          | 81 +++++++++++++++++++++++++++++++++++++++++++------
 src/ui/theme.h          |  8 +++++
 3 files changed, 82 insertions(+), 18 deletions(-)

commit 105c6eb2116ab5db0157b272a22243bba1ae50ef
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Thu Aug 20 13:58:07 2015 +0200

    Fix crash when struts change during grab operation
    
    Since meta_workspace_invalidate_work_area() frees the edges
    workspace->screen_edges and workspace->monitor_edges, we must clean up
    our cached edge resistance data when the invalidate_work_area() is
    called on the active workspace, or when the workspace changes.
    
    Make the computation of the edge resistance data lazy so that it
    will be recomputed the next time we try to access it.
    meta_display_compute_resistance_and_snapping_edges() is made
    private to edge-resistance.c
    
    Invaliding the data when active workspace changes also will improve
    correctness for edge resistance when the current workspace changes
    during a grab operation. (Even with this fix we still don't try to
    handle window positions changing during a grab operation; that can't
    cause a crash since, unlike screen and monitor edges, the window edges
    are freshly allocated, it will just cause slight oddness in that
    corner case.)
    
    Root cause tracked down due to much effort by Jon Nettleton.
    https://bugzilla.gnome.org/show_bug.cgi?id=608800

 src/core/display-private.h |  3 +--
 src/core/display.c         | 12 ------------
 src/core/edge-resistance.c | 18 ++++++++++++++----
 src/core/workspace.c       |  9 +++++++++
 4 files changed, 24 insertions(+), 18 deletions(-)

commit 4329a0666214c368715cb9804063cce5dbd44944
Author: monsta <monsta@inbox.ru>
Date:   Wed Aug 19 10:46:55 2015 +0300

    configure.ac: drop obsolete macro
    
    It's been a no-op for a long time.
    See https://mail.gnome.org/archives/commits-list/2011-December/msg00681.html for example.

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit 335b75772988824a5e16167c0f70dc8eb1647d49
Author: Monsta <monsta@inbox.ru>
Date:   Sat Aug 1 13:44:00 2015 +0300

    window menu: make minimize item insensitive when window should not
    be minimized (e.g. delete confirmation dialog, logout dialog...)

 src/core/window.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2847fefe1ae96a795b08115e3e9d8fc45ec939ca
Author: Stefan Dösinger <stefandoesinger@gmail.com>
Date:   Thu Nov 20 14:56:35 2014 +0100

    Allow programmatic minimization without MWM_FUNC_MINIMIZE
    
    This fixes switching out of fullscreen Direct3D applications running in
    Wine. See issue 166 for more details.

 src/core/window.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 627d2bac855ed34c3e5bb122078e078a06fa264e
Author: Yaakov Selkowitz <yselkowi@redhat.com>
Date:   Fri Jul 17 13:14:35 2015 -0500

    theme: Remove outdated assertion
    
    The theme state used to use GtkStateType, but was ported over to GtkStateFlags,
    leaving behind a broken assertion that fails when using certain Metacity
    themes, for example Nodoka.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661286
    https://git.gnome.org/browse/mutter/commit/?id=28deea4
    https://git.gnome.org/browse/metacity/commit/?id=c9099b4
    https://github.com/mate-desktop/marco/issues/205

 src/ui/theme.c | 1 -
 src/ui/theme.h | 2 --
 2 files changed, 3 deletions(-)

commit 8ca77c72992ab6c1ccf7191b1b38d967b2d68348
Author: Bryan Laur <bjlaur@gmail.com>
Date:   Sat Jul 11 17:45:57 2015 -0400

    Reverting center-new-windows default to false. This is changed to match the description of the settings. In addition, the behavior to open new windows on the top left of the screen has been consistent for over a decade. I beleive it's counter-productive to change this now.

 src/org.mate.marco.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9d5a24638c306bce86244750de082faa09f1f8cd
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Fri Jun 12 09:45:22 2015 +0200

    Sync translations with transifex

 po/cy.po | 18 +++++++++---------
 po/es.po | 11 ++++++-----
 po/id.po | 13 +++++++------
 po/pt.po |  8 ++++----
 po/ro.po | 21 +++++++++++----------
 po/sl.po | 25 +++++++++++++------------
 po/sq.po | 25 +++++++++++++------------
 po/sv.po |  7 ++++---
 8 files changed, 67 insertions(+), 61 deletions(-)

commit fea3311a440a92cd85c4bb63184d88e5f59a5943
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Jun 11 23:26:55 2015 +0100

    Bump version to 1.10.1

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 6c5d2c56bccfd9c681e9a5bbeeafe815b93bb8f8
Merge: 7770b75 cd1c4c3
Author: Martin Wimpress <code@flexion.org>
Date:   Wed Jun 10 18:22:32 2015 +0100

    Merge pull request #164 from dnk/tile_preview_glitch
    
    tile preview: invalidate window before showing

commit 7770b75d007a8c303aa7bd4bdae439cc3b00d269
Merge: 78416ca 0608388
Author: Martin Wimpress <code@flexion.org>
Date:   Wed Jun 10 18:21:45 2015 +0100

    Merge pull request #160 from micove/add-tile-keybinds
    
    Add tile keybinds (Fix #104, #127)

commit 78416ca9529b236d39e0701e40314b2484090cf9
Merge: 37c287f 6eb2149
Author: Martin Wimpress <code@flexion.org>
Date:   Tue Jun 9 22:18:13 2015 +0100

    Merge pull request #187 from monsta/patch-1
    
    prefs: make workspace name actually change

commit 37c287f0a695b58f3261aeeb0954e17f1ae272d2
Merge: 1d47265 862476b
Author: Martin Wimpress <code@flexion.org>
Date:   Tue Jun 9 22:18:00 2015 +0100

    Merge pull request #189 from monsta/keybindings-fix
    
    prefs: make keybindings change notifications work with GLib >= 2.43

commit 1d47265e8aab0424be8500a40dc9de87eaf0e972
Merge: 0ed6e1d f16eda9
Author: Martin Wimpress <code@flexion.org>
Date:   Tue Jun 9 22:16:06 2015 +0100

    Merge pull request #191 from GiedriusS/cleanup
    
    Remove information about non-existent tool run-marco.sh in HACKING

commit 0ed6e1d0cd4fd29370bfe08fd707931b50822267
Merge: 0235124 a2612db
Author: Martin Wimpress <code@flexion.org>
Date:   Tue Jun 9 22:15:19 2015 +0100

    Merge pull request #198 from sgerd/bugfix
    
    fix uninitialized data field for sending _NET_WM_SYNC_REQUEST event

commit a2612db555e904be27aad46bc0802741091cb2ae
Author: Sebastian Gerhardt <sebgerhardt@gmx.net>
Date:   Tue Jun 9 18:50:06 2015 +0200

    fix uninitialized data field for sending _NET_WM_SYNC_REQUEST event
    
    If this field is left uninitialized, a client may mistake Marco to support more than the single update request counter described in EWMH 1.5.

 src/core/window.c | 1 +
 1 file changed, 1 insertion(+)

commit f16eda9abeeabbf56dd202bb6e655bc27efb57f1
Author: Giedrius Statkevičius <giedrius.statkevicius@gmail.com>
Date:   Fri Apr 17 22:21:53 2015 +0300

    Remove information about non-existent tool run-marco.sh in HACKING
    
    run-marco.sh doesn't exist so remove information about it from the
    HACKING file

 HACKING | 10 ----------
 1 file changed, 10 deletions(-)

commit 862476b1381596a6ec0a05d56e243bfdff91f00c
Author: Monsta <monsta@inbox.ru>
Date:   Thu Apr 9 11:10:02 2015 +0300

    prefs: make keybindings change notifications work with GLib >= 2.43
    
    this is achieved by using the same GSettings instance for listening
    and reading data. it's an additional fix for the issue with GLib >= 2.43,
    https://git.gnome.org/browse/glib/commit/?id=8ff5668a458344da22d30491e3ce726d861b3619

 src/core/prefs.c | 45 +++++++++++++++++++++++++--------------------
 1 file changed, 25 insertions(+), 20 deletions(-)

commit 6eb2149298555a47f3cc3e31d3b4eda5b02ae925
Author: monsta <monsta@inbox.ru>
Date:   Wed Apr 8 13:29:03 2015 +0300

    prefs: make workspace name actually change
    
    now workspace names actually change on-the-fly when you change them in dconf-editor.
    and this works with GLib 2.43 as well.

 src/core/prefs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0235124b6d7a12f388910009dd505d38c07996b3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 6 18:48:59 2015 +0200

    Bump version to 1.10.0

 NEWS         | 3 ++-
 configure.ac | 4 ++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 7880073b44a555b8dadd9860a2af680352371542
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Mon Apr 6 18:47:41 2015 +0200

    Sync translations with transifex

 po/be.po |  156 ++++----
 po/sk.po |   10 +-
 po/tk.po | 1243 ++++++++++++++++++++------------------------------------------
 po/uk.po |   64 ++--
 4 files changed, 519 insertions(+), 954 deletions(-)

commit 3b0718460046cdbd1fd33cb2a6f21ef2f4949052
Author: Monsta <monsta@inbox.ru>
Date:   Mon Mar 23 15:03:22 2015 +0300

    keybindings: pass screen name instead of number to error dialog
    
    makes error dialogs on wrong command/terminal command actually work,
    and fixes https://github.com/mate-desktop/marco/issues/150
    
    Closes https://github.com/mate-desktop/marco/pull/185
    Closes https://github.com/mate-desktop/marco/issues/150

 src/core/keybindings.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 6cc333ef29fc0ec9f2d874eb91113af52caa4956
Author: No_name <chat-to-me@raveit.de>
Date:   Fri Mar 27 11:08:24 2015 +0100

    silent automake-1.14
    
    silent automake warnings about subdir warnings
    
    Closes https://github.com/mate-desktop/marco/pull/186

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8f607ff46112ad3692f1652eb0d71f631ddd9c92
Author: monsta <monsta@inbox.ru>
Date:   Thu Feb 26 15:56:48 2015 +0300

    preview-widget: use correct name for missing icon
    
    from https://git.gnome.org/browse/metacity/commit/?id=5f8df557b8dbe962f19e8b641c007073665ff878
    
    Closes https://github.com/mate-desktop/marco/pull/178

 src/ui/preview-widget.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 350e69301f17ead7b2af5c7f08f0a70b0e53504a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Feb 25 23:29:41 2015 +0100

    Bump version to 1.9.90

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 22045b677209b131144eb6971c1ff0e1325218ba
Author: Monsta <monsta@inbox.ru>
Date:   Wed Feb 18 15:45:38 2015 +0300

    prefs: first connect to settings, then read them.
    
    fixes the issue with GLib >= 2.43,
    https://git.gnome.org/browse/glib/commit/?id=8ff5668a458344da22d30491e3ce726d861b3619
    
    Closes https://github.com/mate-desktop/marco/pull/174

 src/core/prefs.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 778962012e82d3b1b5049660bab9db3617096247
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Wed Feb 25 23:29:08 2015 +0100

    Sync translations with transifex

 po/de.po |  6 +++---
 po/ja.po | 25 +++++++++++++------------
 po/ru.po |  4 ++--
 3 files changed, 18 insertions(+), 17 deletions(-)

commit da35f0b35b46682d3566cb0ffc7ec2136317a1c9
Author: Robert David <robert.david.public@gmail.com>
Date:   Thu Jan 22 22:40:44 2015 +0100

    Possible keybinding to switch to previous workspace.
    Disabled at default.

 src/50-marco-global-key.xml.in | 3 +++
 src/core/keybindings.c         | 8 ++++++++
 src/core/screen-private.h      | 3 +++
 src/core/workspace.c           | 9 +++++++++
 src/core/workspace.h           | 3 ++-
 src/include/all-keybindings.h  | 3 +++
 src/org.mate.marco.gschema.xml | 5 +++++
 7 files changed, 33 insertions(+), 1 deletion(-)

commit 05ac791462644b0d9dd909e995be996fdfa139cc
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Tue Jan 20 19:09:18 2015 +0100

    Sync translations with transifex

 po/am.po          |  26 +--
 po/ar.po          |  29 +--
 po/as.po          |   6 +-
 po/ast.po         |   6 +-
 po/az.po          |   6 +-
 po/be.po          |  48 ++---
 po/bg.po          |   6 +-
 po/bn.po          |   6 +-
 po/bn_IN.po       |   6 +-
 po/br.po          |   6 +-
 po/bs.po          |   6 +-
 po/ca.po          |   6 +-
 po/ca@valencia.po |   6 +-
 po/cmn.po         |   6 +-
 po/crh.po         |   6 +-
 po/cs.po          |  29 +--
 po/cy.po          | 157 +++++++++--------
 po/da.po          |  30 ++--
 po/de.po          |  12 +-
 po/dz.po          |   6 +-
 po/el.po          |  29 +--
 po/en_AU.po       |  30 ++--
 po/en_CA.po       |   6 +-
 po/en_GB.po       |  28 +--
 po/eo.po          |   6 +-
 po/es.po          |  36 ++--
 po/et.po          |  10 +-
 po/eu.po          |   6 +-
 po/fa.po          |   6 +-
 po/fi.po          |  17 +-
 po/fr.po          |   6 +-
 po/ga.po          |   6 +-
 po/gl.po          |   6 +-
 po/gu.po          |   6 +-
 po/ha.po          |   6 +-
 po/he.po          |   6 +-
 po/hi.po          |   6 +-
 po/hr.po          |  38 ++--
 po/hu.po          |  30 ++--
 po/hy.po          |   6 +-
 po/id.po          |  11 +-
 po/ig.po          |   6 +-
 po/is.po          |   6 +-
 po/it.po          |   6 +-
 po/ja.po          |   6 +-
 po/ka.po          |   6 +-
 po/kk.po          |   6 +-
 po/kn.po          |   6 +-
 po/ko.po          |  50 +++---
 po/ku.po          |   6 +-
 po/ky.po          |   6 +-
 po/lt.po          |  28 +--
 po/lv.po          |   6 +-
 po/mai.po         |   6 +-
 po/mg.po          |   6 +-
 po/mk.po          |   6 +-
 po/ml.po          |   6 +-
 po/mn.po          |   6 +-
 po/mr.po          |   6 +-
 po/ms.po          |   8 +-
 po/nb.po          |   6 +-
 po/nds.po         |   6 +-
 po/ne.po          |   6 +-
 po/nl.po          |  29 +--
 po/nn.po          |   6 +-
 po/oc.po          |   6 +-
 po/or.po          |   6 +-
 po/pa.po          |   6 +-
 po/pl.po          |   8 +-
 po/pt.po          |  82 ++++-----
 po/pt_BR.po       |  29 +--
 po/ro.po          |  28 +--
 po/ru.po          |  10 +-
 po/si.po          |   6 +-
 po/sk.po          |  28 +--
 po/sl.po          |   6 +-
 po/sq.po          |   6 +-
 po/sr.po          | 517 +++++++++++++++++++++++++++---------------------------
 po/sr@latin.po    |   6 +-
 po/sv.po          |   6 +-
 po/ta.po          |   6 +-
 po/te.po          |   6 +-
 po/th.po          |   6 +-
 po/tr.po          |  29 +--
 po/uk.po          |  10 +-
 po/vi.po          |   6 +-
 po/wa.po          |   6 +-
 po/xh.po          |   6 +-
 po/yo.po          |   6 +-
 po/zh_CN.po       |  29 +--
 po/zh_HK.po       |   6 +-
 po/zh_TW.po       |   6 +-
 92 files changed, 915 insertions(+), 902 deletions(-)

commit da4f7675d08c49301f0048e0b72ced8e9a5ea375
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Tue Jan 13 21:19:25 2015 +0300

    check compositor status

 src/core/screen-private.h  |  1 +
 src/core/screen.c          | 27 +++++++++++++--------------
 src/include/screen.h       |  1 +
 src/include/tile-preview.h |  4 +++-
 src/ui/tile-preview.c      | 31 ++++++++++++++++---------------
 5 files changed, 34 insertions(+), 30 deletions(-)

commit be94f8e1788788920c7473ecefe2ee28526f8388
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Wed Jan 7 15:13:43 2015 +0300

    show tile preview with external compositor

 src/core/screen.c          | 4 +---
 src/include/tile-preview.h | 5 ++---
 src/ui/tile-preview.c      | 7 +++----
 3 files changed, 6 insertions(+), 10 deletions(-)

commit 3e695af4ef435949d9a1f13c6de17bb005406250
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 14 11:04:07 2015 +0100

    Bump version to 1.9.4

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit cd1c4c3b1e0e28129f1a2c938e50d08b40b9d284
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Wed Jan 14 09:47:20 2015 +0300

    tile preview: invalidate window before showing

 src/ui/tile-preview.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 060838853303871a9fbb1ddfe0228668318070e7
Author: Miguel A. Colón Vélez <debian.micove@gmail.com>
Date:   Thu Jan 1 22:44:29 2015 -0500

    BugFix: Can't retile to a different corner with keybindings.
    
    has_maximize_func implies
     window->has_resize_func
     !window->fullscreen
    window->has_resize_func implies
     (window->size_hints.min_width < window->size_hints.max_width) ||
     (window->size_hints.min_height < window->size_hints.max_height)
    A tiled window implies that it could be tiled.
    A maximized window implies that it could be tiled.
    .
    Therefore simplify the if and add window->shaded to make it equivalent to the
    macro but allowing to tile already maximized/tiled windows.
    .
    If this commit causes a regression it probably means that a call to
    meta_window_recalc_features is missing.
    .
    This bug already existed but can only be triggered by the new keybindings.

 src/core/window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07f6f968dbe96ff7c8eb4347f2bbb4457f73c30a
Author: Miguel A. Colón Vélez <debian.micove@gmail.com>
Date:   Thu Jan 1 21:24:40 2015 -0500

    BugFix: Can't unmaximize a tiled window.
    
    The removed code did not allow tiled windows to be unmaximized. The code was
    trying to retile a tiled window when it was asked to unmaximize it. The only
    thing it did was turn a maximized window into a tiled window but that is not
    the normal expected behaviour of unmaximization.
    .
    I also reset window->tile_mode to ensure we always unmaximize correctly.
    Some duplicate code was also removed.
    .
    This bug affects tiling with:
    - tile-to-side-w
    - tile-to-side-e
    - Mouse dragging to the west corner
    - Mouse dragging to the east corner
    .
    Therefore it's an old bug unrelated to the new keybindings.

 src/core/window.c | 16 +---------------
 1 file changed, 1 insertion(+), 15 deletions(-)

commit 8a34cf4df4214f8e15e46568ee581b672e559fe8
Author: Miguel A. Colón Vélez <debian.micove@gmail.com>
Date:   Thu Jan 1 20:27:31 2015 -0500

    Update handle_toggle_tiled.
    
    These are the minimal changes needed to make the keybinds work. Anything
    else should be fixed outside handle_toggle_tiled.

 src/core/keybindings.c | 26 +++++++++++++++++++-------
 1 file changed, 19 insertions(+), 7 deletions(-)

commit 0103f18326f7be7075933235f8c04264d2892528
Author: Miguel A. Colón Vélez <debian.micove@gmail.com>
Date:   Thu Jan 1 19:16:35 2015 -0500

    Add the tile-to-side options to the appropiate files.
    
    This is just a copy/paste from move-to-side-{e,w} with:
    s/move/tile/g
    s/Move/Tile/g
    .
    It uses the existing handle_toggle_tiled as the backend.

 src/50-marco-window-key.xml.in |  8 ++++++++
 src/include/all-keybindings.h  |  5 +++++
 src/marco.convert              |  2 ++
 src/org.mate.marco.gschema.xml | 10 ++++++++++
 4 files changed, 25 insertions(+)

commit 094bf425195d75b2c4c530fd81a7bdd9b62045ab
Author: monsta <monsta@inbox.ru>
Date:   Sat Dec 6 16:07:36 2014 +0300

    updated README

 README | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit df6bf1ce7a3a40b29aa6d244d39f159a48ed846d
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Nov 24 14:02:07 2014 +0200

    ui: use correct name for missing icon

 src/ui/ui.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f34849f43c3197db67d6f7b4099c08505f25764d
Author: Monsta <monsta@inbox.ru>
Date:   Thu Nov 27 11:31:59 2014 +0300

    removed unused function argument
    
    Closes https://github.com/mate-desktop/marco/pull/152

 src/core/keybindings.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit e2961502ad666b76e835612a5c9e8ad49f87e7d1
Author: monsta <monsta@inbox.ru>
Date:   Sun Nov 2 14:23:34 2014 +0300

    compositor: fix possible dereference of NULL pointer
    
    Closes https://github.com/mate-desktop/marco/pull/145

 src/compositor/compositor-xrender.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 10e21cca0552688d8abf3e69de265370558e40d1
Author: monsta <monsta@inbox.ru>
Date:   Sun Nov 2 14:07:00 2014 +0300

    wm-tester: correct NULL pointer check
    
    Closes https://github.com/mate-desktop/marco/pull/144

 src/wm-tester/test-resizing.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b25395fab6fe9ee38bc0cd359941d0a825d88451
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Thu Jul 24 10:37:41 2014 +0400

    merge metacity(gtk3) changes
    
    merge metacity(gtk3) changes
    fix warnings
    clean up unused variables
    replace UNUSED_VARIABLE by G_GNUC_UNUSED

 configure.ac                        |   5 +
 src/compositor/compositor-xrender.c |  11 +-
 src/core/display.c                  |  21 +-
 src/core/errors.c                   |  11 +-
 src/core/keybindings.c              |   1 +
 src/core/main.c                     |   8 +-
 src/core/testasyncgetprop.c         |  19 +-
 src/core/window.c                   |  22 +-
 src/tools/marco-mag.c               |   4 +-
 src/tools/marco-window-demo.c       | 452 ++++++++++++++++++++++++-------
 src/ui/draw-workspace.c             |  60 ++++-
 src/ui/fixedtip.c                   |   2 +-
 src/ui/fixedtip.h                   |   3 +-
 src/ui/frames.c                     |  49 ++--
 src/ui/gradient.c                   | 174 +++++++++++-
 src/ui/gradient.h                   |  20 ++
 src/ui/menu.c                       |  15 +-
 src/ui/preview-widget.c             | 120 ++++-----
 src/ui/resizepopup.c                |   2 +-
 src/ui/tabpopup.c                   |  60 ++++-
 src/ui/testgradient.c               | 117 ++++++---
 src/ui/theme-parser.c               |  12 +-
 src/ui/theme.c                      | 511 +++++++++++++++++++++++++-----------
 src/ui/theme.h                      |  74 ++++--
 src/ui/tile-preview.c               |  74 +++++-
 src/ui/ui.c                         |   8 +-
 src/wm-tester/main.c                |  30 ++-
 27 files changed, 1407 insertions(+), 478 deletions(-)

commit b8d8e52f0effbf76ff909f88932098d4daf4336e
Author: infirit <infirit@gmail.com>
Date:   Tue Nov 25 17:19:11 2014 +0100

    Replace gtkstock icon usage

 src/tools/marco-window-demo.c | 4 ++--
 src/ui/theme-viewer.c         | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit f1c78bf12b539430e2327b83e64a86649ed2faa9
Author: infirit <infirit@gmail.com>
Date:   Tue Nov 25 17:18:24 2014 +0100

    Gtk3: Silence the GtkVBox and GtkHBox deprecations warnings

 src/tools/marco-window-demo.c | 5 +++++
 src/ui/tabpopup.c             | 2 ++
 src/ui/theme-viewer.c         | 6 ++++++
 3 files changed, 13 insertions(+)

commit f6b6f2be4d109ecf899ccee2b2fae2f0a2beecbe
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 19 09:08:11 2014 +0100

    Bump version to 1.9.3

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit f739a114a6704aea4f7cada4c769476c8c9db812
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Nov 18 08:54:04 2014 +0100

    Add missing ';'
    
    Closes https://github.com/mate-desktop/marco/issues/149

 src/ui/theme.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5a5b0de331276f1d6297e6552213aac713c287ba
Author: infirit <infirit@gmail.com>
Date:   Wed Nov 12 20:13:22 2014 +0100

    Unconditionally reset minimize_after_placement on placement
    
    GTK+ has now started using _NET_WM_STATE_HIDDEN for iconified windows.
    For windows iconified at creation time, this causes metacity to set
    minimize_after_placement, which then causes the window to become
    minimized immediately after the first time it has been activated by
    the user.
    
    This happens because:
    
     (1) minimize_after_placement is reset after placing the window
     (2) if a window is minimized, placement is deferred
    
    Reset minimize_after_placement unconditionally in place_window_if_needed()
    to solve the issue.
    
    Reported and tested by Daniel Drake <dsd@laptop.org>
    
    Based on metacity commit: b0700e20b79896de7d28d2ff2bb18be324d8e19f
    From: Florian Müllner <fmuellner@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=684741

 src/core/constraints.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 109f0c7975cfe640071fbedb733fc157a0357985
Author: infirit <infirit@gmail.com>
Date:   Wed Nov 12 19:33:48 2014 +0100

    Work around usage of XPointer
    
    XLib has historically used "char*" for "generic pointer" but
    compliers rightly complain when casting this to a structure.
    
    Work around this by casting to void * and letting the implicit
    conversion to a structure type take effect.
    
    Based on metacity commit: 687376bb549b3d60ba848c9d4105fe41087f3a77
    From: Colin Walters <walters@verbum.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=611644

 src/core/async-getprop.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7116f6e03be3a709062685a47a982554201899aa
Author: infirit <infirit@gmail.com>
Date:   Wed Nov 12 19:28:14 2014 +0100

    buttons: Fix background functions for non-default layouts
    
    While the configured layout is taken into account for positioning
    the buttons, the mapping from button function states to button
    position states just assumed the default button layout in LTR
    locales.
    Do a proper mapping depending on the actual layout instead.
    
    Based on metacity commit: 6a52883c2b670ad645257373515d1e704408b93d
    From: Florian Müllner <fmuellner@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=638700

 src/ui/frames.c |  14 --------
 src/ui/theme.c  | 105 ++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 src/ui/theme.h  |   5 +++
 3 files changed, 108 insertions(+), 16 deletions(-)

commit a65e3c4165a5433de49e94bfb86f9c3e9ba32dce
Author: infirit <infirit@gmail.com>
Date:   Wed Nov 12 19:01:48 2014 +0100

    Fix drawing of <arc> elements
    
    This patch fixes the drawing of <arc> theme elements to appear in the desired orientation
    
    Based on metacity commit: 120c7790d6c5a837372ef1e0105e89ac674facd8
    From: Nickolas Lloyd <ultrageek.lloyd@gmail.com>

 src/ui/theme.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d817c619c77795b9fd438ff5b3931df6b2d38184
Author: infirit <infirit@gmail.com>
Date:   Wed Nov 12 18:42:00 2014 +0100

    Unify keymap-reloading code branches
    
    Simplify the keymap loading logic by unifying the different
    branches; in the reorganization this patch fixes a bug where when
    we got a MappingKeyboard event we wouldn't update virtual modifiers
    correctly.
    
    Based on a patch by Thomas Thurman <tthurman@gnome.org>
    
    Based on metacity commit: ba2e5f7f541446931299814bafa642d09047f386
    From: "Owen W. Taylor" <otaylor@fishsoup.net>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=565540

 src/core/keybindings.c | 38 ++++++++++++++++++++++++--------------
 1 file changed, 24 insertions(+), 14 deletions(-)

commit 1de3cf470353049ee9974bd6d9a437f556931bea
Author: infirit <infirit@gmail.com>
Date:   Wed Nov 12 18:35:06 2014 +0100

    Update keybindings when XKB keyboard layout changes
    
    * Select for XKB keyboard notification events explicitly; since GTK+
      has selected for XKB events, delivery of old-school MappingNotify
      events is disabled.
    
    * Fix a bug where once a keycode was loaded for a key binding,
      it would never be reassigned; we want to laod new keycodes for
      all bindings that have a key symbol rather than a fixed
      keycode.
    
    [ With fixes from Owen W. Taylor <otaylor@fishsoup.net> ]
    
    Based on metacity commit: c262e3d65a37abedc507705cddfec72c901c321f
    From: Derek Poon <gnomebugs@acrotect.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=565540

 src/core/display.c     |  4 ++++
 src/core/keybindings.c | 28 +++++++++++++++++++++++++++-
 2 files changed, 31 insertions(+), 1 deletion(-)

commit ad9db61aabc2cbf743a1157ddc42ff76127f3fab
Author: infirit <infirit@gmail.com>
Date:   Wed Nov 12 17:04:27 2014 +0100

    Allow explicit raises from same client, not just same app
    
    We currently allow XRaiseWindow when the same application (defined
    by the window group) is focused, but the kind of old applications
    that XRaiseWindow are frequently not setting the window group.
    
    Expand the check to allow the same X client (defined by the looking
    at client ID) to raise windows above the focus window.
    
    Based on metacity commit: 632d3983fbc402432c6ceae05bea8903ad2f11c0
    From: "Owen W. Taylor" <otaylor@fishsoup.net>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=567528

 src/core/window.c | 23 ++++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

commit e8b2d2156a6f530812d9958b3675e2402e44ecab
Author: infirit <infirit@gmail.com>
Date:   Thu Nov 6 18:09:32 2014 +0100

    Revert "Possible keybinding to switch to previous workspace."
    
    This reverts commit 69b7a0ad9277f21ad761c84ac1bae5455a2f879e.
    
    It has the unintended side-effect that it reverses the alt+tab
    behaviour.

 src/50-marco-global-key.xml.in | 7 -------
 src/core/keybindings.c         | 8 --------
 src/core/screen-private.h      | 3 ---
 src/core/workspace.c           | 3 ---
 src/core/workspace.h           | 3 +--
 src/include/all-keybindings.h  | 3 ---
 src/org.mate.marco.gschema.xml | 5 -----
 7 files changed, 1 insertion(+), 31 deletions(-)

commit e2f29ace20f74e1e62e80ba13d8d6bbe36d65212
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Mon Oct 27 13:26:39 2014 +0100

    Fixup Gtk3 Gdk device handling

 src/core/display.c | 15 +++++++++------
 src/ui/frames.c    | 10 ++++++++++
 src/ui/ui.c        | 15 +++++++++++++--
 3 files changed, 32 insertions(+), 8 deletions(-)

commit aaa378feaff4331c8c78afb390f99d867ddf9b88
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Sun Jul 6 17:03:50 2014 +0400

    don't change use settings by command line argument

 src/core/main.c     |  2 +-
 src/core/prefs.c    | 14 ++++++++------
 src/include/prefs.h |  2 +-
 3 files changed, 10 insertions(+), 8 deletions(-)

commit bec068ef5ddc73f23ffd6298122bf818fd4d2084
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 21:59:58 2014 +0200

    Rework tiling code based off Consortium
    
    Taken from
    https://github.com/SolusOS-discontinued/consortium/commit/b463e03f5bdeab307ceee6b969c681f29537c76d

 src/core/boxes.c           | 123 +++++++++------------------------
 src/core/constraints.c     |   6 +-
 src/core/display-private.h |   9 +++
 src/core/display.c         |  23 +++++++
 src/core/frame.c           |   6 ++
 src/core/keybindings.c     |  43 ++++++++++++
 src/core/screen-private.h  |   2 +
 src/core/screen.c          |  36 +++++++++-
 src/core/testboxes.c       |   8 ++-
 src/core/window-private.h  |  19 ++++--
 src/core/window.c          | 166 +++++++++++++++++++++++++++++++++------------
 src/core/workspace.c       |   3 +-
 src/include/boxes.h        |   3 +-
 src/include/common.h       |   4 +-
 src/ui/theme-parser.c      |  44 ++++++++++++
 src/ui/theme.c             |  63 ++++++++++++++++-
 src/ui/theme.h             |   8 +++
 17 files changed, 414 insertions(+), 152 deletions(-)

commit f814451acc48aec6d2fa1c217468f74e57a84340
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 25 17:16:09 2014 +0200

    Revert the new atom changes as they also got reverted later by metacity
    
    Revert "Rename new ATOM from bc8eb8bd2f943b69c87eb7c9e154928f1dd861bb"
    This reverts commit 1bd64c3b7eca544f0722cb4c3ee7aa0ca5dd5ec4.
    
    Revert "compositor-xrender: add new atom - METACITY_WINDOW_HAVE_SHADOW"
    This reverts commit bc8eb8bd2f943b69c87eb7c9e154928f1dd861bb.

 src/compositor/compositor-xrender.c | 57 +------------------------------------
 1 file changed, 1 insertion(+), 56 deletions(-)

commit 1bd64c3b7eca544f0722cb4c3ee7aa0ca5dd5ec4
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 25 15:45:19 2014 +0200

    Rename new ATOM from bc8eb8bd2f943b69c87eb7c9e154928f1dd861bb

 src/compositor/compositor-xrender.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit c14275b9c95d351b920b59342294e1c0ea039488
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 25 15:28:41 2014 +0200

    Make sure to always call va_end
    
    Based on metacity commit: b235d3e78670e30a55f3f746f13003577988bed6
    From: Jasper St. Pierre <jstpierre@mecheye.net>

 src/core/core.c       | 5 +++--
 src/ui/theme-parser.c | 6 +++++-
 2 files changed, 8 insertions(+), 3 deletions(-)

commit 5a302cfa3549e0b371b21a765ba14acff2162073
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 25 15:24:42 2014 +0200

    Add in XDG_USER_DATA_DIR when looking for themes
    
    Based off metacity commit: 52a524ee4a7e14d99451ea3f596b353ddf7957d4
    From: Jasper St. Pierre <jstpierre@mecheye.net>

 src/ui/theme-parser.c | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit 860429f9c9e08b1f27a01c74691f5e7bccd09018
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 25 13:47:29 2014 +0200

    Clean up code to find themes
    
    Simplify code to find the right theme to load and loading it by
    moving all the loading code into a load_theme() helper function,
    and making meta_load_theme() use that as it searches through the
    directories.
    
    Look for old-version themes even when loading relative to the
    working in debug mode. Don't unnecessarily duplicate and then free
    info->theme_file and info->theme_dir.
    
    http://bugzilla.gnome.org/show_bug.cgi?id=592503
    
    NOTE: Patch copied from mutter and adapted for metacity.
    
    Based on metacity commit: bc45c9b68849687d456ec339588d15a63c391046
    From: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

 src/ui/theme-parser.c | 290 ++++++++++++++++++++------------------------------
 1 file changed, 118 insertions(+), 172 deletions(-)

commit 85a2fb10b791b76d49568473cd181d5fe98dcbed
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 25 13:22:09 2014 +0200

    theme-viewer: stop using gtk_misc_set_alignment for Gtk+3
    
    Based on metacity commit: 99bfe2d27c6babeeea3539b990505895750d3541
    From: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

 src/ui/theme-viewer.c | 5 +++++
 1 file changed, 5 insertions(+)

commit bc8eb8bd2f943b69c87eb7c9e154928f1dd861bb
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 23:14:55 2014 +0200

    compositor-xrender: add new atom - METACITY_WINDOW_HAVE_SHADOW
    
    Based on metacity commit: c52cd2e1d6ae50627bc9056ea6eae773e2aedfe5
    From: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

 src/compositor/compositor-xrender.c | 57 ++++++++++++++++++++++++++++++++++++-
 1 file changed, 56 insertions(+), 1 deletion(-)

commit a3ebadff7d433a4d5c481b194587891b2aecdb9f
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 25 12:59:51 2014 +0200

    Drop support for Glib < 2.32

 src/core/prefs.c | 4 ----
 1 file changed, 4 deletions(-)

commit b831ed3ec6337a21a9048bc39e989a7de8280c5f
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 25 12:58:42 2014 +0200

    Drop support for Gtk+ < 2.24

 configure.ac    |  2 +-
 src/ui/frames.c | 48 ------------------------------------------------
 2 files changed, 1 insertion(+), 49 deletions(-)

commit 20615934a9d4faf8cd45de56c51357d985461267
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 25 12:35:42 2014 +0200

    Cleanup GTK_CHECK_VERSION and unify where possible
    
    gdk_x11_window_lookup_for_display since 2.24
    GDK_WINDOW_XID since always
    gtk_widget_get_visible since 2.18
    gtk_widget_set_mapped since 2.20
    gdk_event_new since 2.2
    gdk_x11_window_lookup_for_display since 2.24
    gdk_text_property_to_utf8_list_for_display since 2.2
    gtk_widget_get_realized since 2.20
    gdk_visual_get_depth since 2.22
    gtk_widget_get_window since 2.14
    gtk_widget_set_allocation since 2.18

 src/core/display.c            |  5 +----
 src/tools/marco-window-demo.c |  8 ++------
 src/ui/frames.c               |  7 +------
 src/ui/menu.c                 |  7 -------
 src/ui/preview-widget.c       | 16 ----------------
 src/ui/resizepopup.c          | 18 ++----------------
 src/ui/tabpopup.c             |  9 ++-------
 src/ui/tile-preview.c         |  6 +-----
 src/ui/ui.c                   | 30 ------------------------------
 9 files changed, 9 insertions(+), 97 deletions(-)

commit 4134fe7aaf52512403e5a1319ed61fab0ce288d8
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 16:45:45 2014 +0200

    keybindings.c: fix deprecated warning
    
    Based on metacity commit: 8f49828169efb43976e23dd15c6dc4d630346f50

 src/core/keybindings.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eac511111f4e818d1002a64c3c94c33e90d860c9
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 16:41:39 2014 +0200

    Add error handling to glibtop_get_proc_uid
    
    Author: Tomaž Šolc
    Based on commit: 4ecd6e49164ee027cee8dfdbb51fd8389694ff43
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=603240

 src/core/window-props.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 49e91bc9093010e269816da1df763a0374dbc515
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 16:31:11 2014 +0200

    Update meta_show_dialog for gtk's removal of --screen
    
    gtk3 no longer has the --screen command-line argument, which
    metacity was passing to zenity. Use --display (with an
    explicitly-specified screen number) instead.
    Author: Dan Winship
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=687938
    
    Based on metacity commit: 8d19afdcccaec28a5512b0a707d8238b9dd4e2f3

 src/core/delete.c  | 4 ++--
 src/core/session.c | 2 +-
 src/core/util.c    | 8 +++-----
 src/include/util.h | 4 ++--
 4 files changed, 8 insertions(+), 10 deletions(-)

commit bbdef45fbb7c7addea5a3be99fbebf823d83192d
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 16:11:38 2014 +0200

    Fix new window focus
    
    Based on metacity commit: cd481d37ec2551e98db758ff640d02f3745259db
    From: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=534752

 src/core/window.c | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit c8d59e4f2176c5afcefcc02d88f8b47141284f16
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 15:39:04 2014 +0200

    frames.c: don't try to remove source that does not exist
    
    Based on metacity commit: 5ae71b165df2fbaae933de41db11726a79aea820
    From: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

 src/ui/frames.c | 2 ++
 1 file changed, 2 insertions(+)

commit c4d1981feed921b9044eb90aec99ea9b2269522f
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 15:36:27 2014 +0200

    use force_save_user_rect=TRUE for maximized windows too
    
    Force to save user rect for maximized windows too, otherwise when
    launching maximized application on non left monitor it will be moved
    to left monitor.
    Ubuntu bug: https://bugs.launchpad.net/ubuntu/+source/metacity/+bug/727928
    
    Based on metacity commit: fbfcbc5e35e35063c8ff71b399a0bf72a31852e7
    From: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

 src/core/window.c | 2 --
 1 file changed, 2 deletions(-)

commit 75e7c40a57d31c6e9ac640804af9cf73df5ea44f
Author: monsta <monsta@inbox.ru>
Date:   Fri Oct 24 15:19:23 2014 +0400

    Fix the resizing of CSD windows

 src/ui/frames.c | 33 ++++++++++-----------------------
 1 file changed, 10 insertions(+), 23 deletions(-)

commit b1f7974c587a06f31d2e693f0da02e5a2cf5f232
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 14:26:25 2014 +0200

    Remove some dead code

 src/tools/marco-window-demo.c | 24 ------------------------
 1 file changed, 24 deletions(-)

commit d42ed7669335e67507b506c7e74368a99469c4d9
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 14:24:38 2014 +0200

    GDK_KEY_* is also available in Gtk+-2.

 src/tools/marco-mag.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit e10d87f85996697b6623723640802dafc0c03174
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 14:21:04 2014 +0200

    Replace in GTK3 deprecated Gdk api
    
    Taken from metacity commit: 238e83a98cf014c9b1082d21541e63f102d441d6
    From: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

 src/tools/marco-mag.c | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

commit 897be1b007ea4789a88716d5889e5b9f8c88fbf7
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 14:01:20 2014 +0200

    Properly ifdef some KXB code.
    
    Taken out of metacity commit: 238e83a98cf014c9b1082d21541e63f102d441d6
    From: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

 src/core/display.c     | 16 +++++++---------
 src/core/keybindings.c |  5 ++++-
 2 files changed, 11 insertions(+), 10 deletions(-)

commit 1e7c923638600f865601bda3e2f294cadea7a244
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 13:48:16 2014 +0200

    Remove deprecated glib thread api calls.
    
    Also bump minimum required glib version to 2.32.

 configure.ac                | 2 +-
 src/core/main.c             | 9 ---------
 src/tools/marco-grayscale.c | 2 --
 3 files changed, 1 insertion(+), 12 deletions(-)

commit 97fb53f44158608e56e236f2bb620752d3c04b4e
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 13:41:32 2014 +0200

    themewidget: remove, it is unused
    
    Based on metacity commit: 202a3712a97c2df6f0410050835898795f75a1b6
    From: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

 src/Makefile.am      |   2 -
 src/ui/menu.c        |   1 -
 src/ui/themewidget.c | 312 ---------------------------------------------------
 src/ui/themewidget.h |  93 ---------------
 4 files changed, 408 deletions(-)

commit 470fed7e80a741e43e53f2e2186f9470db132983
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 13:38:54 2014 +0200

    don't show shadow for maximized windows
    
    based on metacity commit: 72d1c6a6b9a85391444bb5ff8c5de1e3aabd3fd9
    From: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

 src/compositor/compositor-private.h |  5 +++++
 src/compositor/compositor-xrender.c | 43 ++++++++++++++++++++++++++++++++++++-
 src/compositor/compositor.c         | 20 +++++++++++++++++
 src/core/window.c                   | 10 +++++++++
 src/include/compositor.h            | 10 ++++-----
 src/include/window.h                |  1 +
 6 files changed, 82 insertions(+), 7 deletions(-)

commit 13741f524e5f8b780a96872f534237186fa78741
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 12:52:46 2014 +0200

    Fix identification of CSD windows when checking whether to force fullscreen
    
    We try to exempt CSD windows from being forced fullscreen if they are
    undecorated and the size of the screen; however, we also catch almost
    all windows that *do* need to be forced fullscreen in this check, since
    they also have decorations turned off.
    
    Identify actual CSD windows by checking whether _GTK_FRAME_EXTENTS is set -
    GTK+ will always set this on CSD windows even if they have no invisible
    borders or shadows at the current time.
    
    Based on metacity commit: 41dd72bc5dd08d7d0cb136f694a6d9a30e38b341
    From: Owen W. Taylor <otaylor@fishsoup.net>
    
    Metacity gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=723029

 src/core/constraints.c    |  2 +-
 src/core/window-private.h |  2 ++
 src/core/window.c         | 18 ++++++++++++++++++
 3 files changed, 21 insertions(+), 1 deletion(-)

commit bcbc109d2801e2c8898ebb558febe99945358d53
Author: infirit <infirit@gmail.com>
Date:   Fri Oct 24 12:51:12 2014 +0200

    add support for _GTK_FRAME_EXTENTS
    
    Support for _GTK_FRAME_EXTENTS are based on mutter.
    
    Based on metacity commit: e132e2a700c4b50c93eae064d8fd1769b67baf06
    By: Alberts Muktupāvels <alberts.muktupavels@gmail.com>

 src/core/atomnames.h      |  2 +-
 src/core/window-private.h |  3 +++
 src/core/window-props.c   | 56 ++++++++++++++++++++++++++++++++++++++++++++++-
 src/core/window.c         | 13 ++++++++++-
 4 files changed, 71 insertions(+), 3 deletions(-)

commit 0ee6f6db3f405c13c88f75760f88296560cf9fd6
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Sat Jun 28 20:58:28 2014 +0400

    don't switch workspace when switching to sticky window
    
    Closes https://github.com/mate-desktop/marco/pull/121
    Closes https://github.com/mate-desktop/marco/issues/18

 src/core/keybindings.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit ea3d424d7ea4824121498ae15af82d56c8378ed5
Author: Martin Wimpress <code@flexion.org>
Date:   Tue Oct 21 16:32:10 2014 +0100

    compositor-xrender: don't add shadows to ARGB windows

 src/compositor/compositor-xrender.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit c0e2e498140a413190dcf8e6436072ee2fe59f94
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Oct 12 18:07:49 2014 +0200

    Fix typo in keybindings xml file

 src/50-marco-window-key.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f79189da3efc2bd68467389b0b23626d199b9692
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Oct 12 14:35:51 2014 +0200

    Bump version to 1.9.2

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit edc23ee868c977e6dde002a28cbcfa03442ee5d0
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sun Oct 12 14:34:53 2014 +0200

    Sync translations with transifex

 po/am.po          | 254 +++++++++++++++++++---------------
 po/ar.po          | 250 ++++++++++++++++++++--------------
 po/as.po          | 244 +++++++++++++++++++--------------
 po/ast.po         | 245 +++++++++++++++++++--------------
 po/az.po          | 244 +++++++++++++++++++--------------
 po/be.po          | 248 ++++++++++++++++++++--------------
 po/bg.po          | 246 +++++++++++++++++++--------------
 po/bn.po          | 242 +++++++++++++++++++--------------
 po/bn_IN.po       | 242 +++++++++++++++++++--------------
 po/br.po          | 242 +++++++++++++++++++--------------
 po/bs.po          | 242 +++++++++++++++++++--------------
 po/ca.po          | 246 +++++++++++++++++++--------------
 po/ca@valencia.po | 242 +++++++++++++++++++--------------
 po/cmn.po         | 246 +++++++++++++++++++--------------
 po/crh.po         | 242 +++++++++++++++++++--------------
 po/cs.po          | 246 +++++++++++++++++++--------------
 po/cy.po          | 242 +++++++++++++++++++--------------
 po/da.po          | 244 +++++++++++++++++++--------------
 po/de.po          | 275 +++++++++++++++++++++----------------
 po/dz.po          | 242 +++++++++++++++++++--------------
 po/el.po          | 246 +++++++++++++++++++--------------
 po/en_AU.po       | 246 +++++++++++++++++++--------------
 po/en_CA.po       | 242 +++++++++++++++++++--------------
 po/en_GB.po       | 246 +++++++++++++++++++--------------
 po/eo.po          | 242 +++++++++++++++++++--------------
 po/es.po          | 246 +++++++++++++++++++--------------
 po/et.po          | 249 ++++++++++++++++++++--------------
 po/eu.po          | 242 +++++++++++++++++++--------------
 po/fa.po          | 242 +++++++++++++++++++--------------
 po/fi.po          | 242 +++++++++++++++++++--------------
 po/fr.po          | 245 +++++++++++++++++++--------------
 po/ga.po          | 242 +++++++++++++++++++--------------
 po/gl.po          | 246 +++++++++++++++++++--------------
 po/gu.po          | 242 +++++++++++++++++++--------------
 po/ha.po          | 242 +++++++++++++++++++--------------
 po/he.po          | 244 +++++++++++++++++++--------------
 po/hi.po          | 244 +++++++++++++++++++--------------
 po/hr.po          | 244 +++++++++++++++++++--------------
 po/hu.po          | 244 +++++++++++++++++++--------------
 po/hy.po          | 242 +++++++++++++++++++--------------
 po/id.po          | 249 ++++++++++++++++++++--------------
 po/ig.po          | 242 +++++++++++++++++++--------------
 po/is.po          | 244 +++++++++++++++++++--------------
 po/it.po          | 244 +++++++++++++++++++--------------
 po/ja.po          | 246 +++++++++++++++++++--------------
 po/ka.po          | 242 +++++++++++++++++++--------------
 po/kk.po          | 244 +++++++++++++++++++--------------
 po/kn.po          | 242 +++++++++++++++++++--------------
 po/ko.po          | 247 +++++++++++++++++++--------------
 po/ku.po          | 242 +++++++++++++++++++--------------
 po/ky.po          | 244 +++++++++++++++++++--------------
 po/lt.po          | 251 ++++++++++++++++++++--------------
 po/lv.po          | 244 +++++++++++++++++++--------------
 po/mai.po         | 242 +++++++++++++++++++--------------
 po/mg.po          | 242 +++++++++++++++++++--------------
 po/mk.po          | 242 +++++++++++++++++++--------------
 po/ml.po          | 242 +++++++++++++++++++--------------
 po/mn.po          | 242 +++++++++++++++++++--------------
 po/mr.po          | 246 +++++++++++++++++++--------------
 po/ms.po          | 244 +++++++++++++++++++--------------
 po/nb.po          | 242 +++++++++++++++++++--------------
 po/nds.po         | 242 +++++++++++++++++++--------------
 po/ne.po          | 263 +++++++++++++++++++++---------------
 po/nl.po          | 244 +++++++++++++++++++--------------
 po/nn.po          | 242 +++++++++++++++++++--------------
 po/oc.po          | 242 +++++++++++++++++++--------------
 po/or.po          | 242 +++++++++++++++++++--------------
 po/pa.po          | 242 +++++++++++++++++++--------------
 po/pl.po          | 246 +++++++++++++++++++--------------
 po/pt.po          | 365 +++++++++++++++++++++++++++----------------------
 po/pt_BR.po       | 244 +++++++++++++++++++--------------
 po/ro.po          | 251 ++++++++++++++++++++--------------
 po/ru.po          | 243 +++++++++++++++++++--------------
 po/si.po          | 242 +++++++++++++++++++--------------
 po/sk.po          | 246 +++++++++++++++++++--------------
 po/sl.po          | 246 +++++++++++++++++++--------------
 po/sq.po          | 246 +++++++++++++++++++--------------
 po/sr.po          | 242 +++++++++++++++++++--------------
 po/sr@latin.po    | 242 +++++++++++++++++++--------------
 po/sv.po          | 244 +++++++++++++++++++--------------
 po/ta.po          | 242 +++++++++++++++++++--------------
 po/te.po          | 242 +++++++++++++++++++--------------
 po/th.po          | 244 +++++++++++++++++++--------------
 po/tr.po          | 244 +++++++++++++++++++--------------
 po/uk.po          | 398 ++++++++++++++++++++++++++++++------------------------
 po/vi.po          | 242 +++++++++++++++++++--------------
 po/wa.po          | 242 +++++++++++++++++++--------------
 po/xh.po          | 242 +++++++++++++++++++--------------
 po/yo.po          | 242 +++++++++++++++++++--------------
 po/zh_CN.po       | 246 +++++++++++++++++++--------------
 po/zh_HK.po       | 242 +++++++++++++++++++--------------
 po/zh_TW.po       | 247 +++++++++++++++++++--------------
 92 files changed, 13233 insertions(+), 9539 deletions(-)

commit 2febd2015d042d17a770f614f06b47844c1ac6b8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Oct 6 10:31:07 2014 +0200

    Make shortcuts to move windows editable by control center

 src/50-marco-window-key.xml.in | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

commit 4f7d02f0adedb658a59c828a8db8259134afa384
Author: monsta <monsta@inbox.ru>
Date:   Sun Oct 5 17:11:15 2014 +0400

    Fixed a typo in README

 README | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 234bbf42adb091b203d27bbb001fab8f22f8025d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Oct 2 14:51:29 2014 +0200

    Update keybindings files with new name

 src/50-marco-desktop-key.xml.in | 2 +-
 src/50-marco-global-key.xml.in  | 2 +-
 src/50-marco-window-key.xml.in  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit cbf24f5d78719b930fc0cd6c0c80e00e9d62c95a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Sep 23 11:05:38 2014 +0200

    Tell we are Metacity to avoid issues with maximized Java applications
    
    Not the best solution, but the only way to fix the issue at the moment
    
    See https://github.com/linuxmint/muffin/pull/11
    Closes https://github.com/mate-desktop/marco/issues/133

 src/core/display.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eba0559d55ccad074e8241c6f276e6e4442dd669
Merge: f98f0f0 c3e9737
Author: Sander Sweers <infirit@gmail.com>
Date:   Tue Aug 19 13:57:23 2014 +0200

    Merge pull request #131 from dnk/effect_finished
    
    fix seqfault when animation is disabled

commit c3e9737339c8b8beabd892d7040c564b5842d892
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Mon Aug 18 20:23:51 2014 +0400

    fix seqfault when animation is disabled

 src/core/effects.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f98f0f0f62a2655ea9bd3708ab78686337d2a68b
Merge: d9cfc6e 4a9af00
Author: Sander Sweers <infirit@gmail.com>
Date:   Thu Jul 24 22:55:51 2014 +0200

    Merge pull request #130 from dnk/draw_workspace
    
    gtk3: fix draw workspace

commit 4a9af00b226292933b17577f0a4863aba1e68153
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Thu Jul 24 20:42:28 2014 +0400

    gtk3: fix draw workspace

 src/ui/draw-workspace.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d9cfc6eaa4a17887cab641ebc3fa2b09a148afec
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sat Jul 12 10:24:16 2014 +0200

    Sync translations with transifex

 po/sv.po | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 4460e99bde7b4e122c3a857399df1da1c6fea5aa
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 1 18:53:39 2014 +0200

    Bump version to 1.9.1

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 567890a8a1884247de29e9f97cf9cd8110247c04
Merge: a65a66d 5b41515
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 1 10:58:02 2014 +0200

    Merge pull request #115 from Samsagax/animation-fix-clean
    
    Experimental animation fix (clean)

commit 5b415150cf3676ee95e1da7d5a29093cd20e6c4e
Author: Joaquín Ignacio Aramendía <samsagax@gmail.com>
Date:   Wed Jun 25 23:21:28 2014 -0300

    Remove misleading comment in effect_free function
    
    The new behaviour is the animation callback function should run the
    finished function once it's done with the animation.

 src/core/effects.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 12e9874307e73f613036ad8f370bc05650c84298
Author: Joaquín Ignacio Aramendía <samsagax@gmail.com>
Date:   Wed Jun 25 22:43:17 2014 -0300

    Bugfix: Correct was_minimized flag transition

 src/core/window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f08084b0ff11e1a7ebbdd5385fd6b2969b7f36e
Author: Joaquín Ignacio Aramendía <samsagax@gmail.com>
Date:   Tue Jun 24 12:05:25 2014 -0300

    Bugfix: If the window shown was minimized, grab focus.

 src/core/window.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 25fc06391ca02c65dd9830e03a729a68f66c3220
Author: Joaquín Ignacio Aramendía <samsagax@gmail.com>
Date:   Tue Jun 24 12:04:45 2014 -0300

    Bugfix: run finished function if animations are disabled

 src/core/effects.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 9a7b1d9a02542171aa31f8340bbb16fa096793c0
Author: Joaquín Ignacio Aramendía <samsagax@gmail.com>
Date:   Tue Jun 24 12:04:02 2014 -0300

    Implement animation handling in implement_showing
    
    Functions meta_window_animate_[un]minimize will handle [un]minimization animations.
    Maybe this should be done in effects.c file to trigger animations based on context,
    compositing, preferences etc.

 src/core/window.c | 106 +++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 101 insertions(+), 5 deletions(-)

commit f96f358816b7f4c94f1575a9e0dfe81f9fb26efd
Author: Joaquín Ignacio Aramendía <samsagax@gmail.com>
Date:   Tue Jun 24 12:02:44 2014 -0300

    Fix: the effect "finished" callback needs to be called after the effect ends
    
    Added two fields to BoxAnimationContext to handle finish callback inside
    box_animation_timeout function instead of effect_free. Now the finish
    function is called after the effect is finished.

 src/core/effects.c | 29 +++++++++++++++++++++++------
 1 file changed, 23 insertions(+), 6 deletions(-)

commit f3263ee47c1ad6cacd359668ef967af9c8d2beb7
Author: Joaquín Ignacio Aramendía <samsagax@gmail.com>
Date:   Tue Jun 24 11:54:06 2014 -0300

    Remove "icky" timestamp pinging on finish_minimize

 src/core/window.c | 13 -------------
 1 file changed, 13 deletions(-)

commit e1d87e891c43c4c40b0bdd2f2627286e9bffdef5
Author: Joaquín Ignacio Aramendía <samsagax@gmail.com>
Date:   Tue Jun 24 11:49:47 2014 -0300

    Add "effect_pending" flag
    
    Initialized at META_EFFECT_NONE. The management of this should be done by
    caller functions to effect functions.

 src/core/effects.h        | 1 +
 src/core/window-private.h | 4 ++++
 src/core/window.c         | 1 +
 3 files changed, 6 insertions(+)

commit 5675f355396d58bcbb16f8e7fabd60d5d3bc69e1
Author: Joaquín Ignacio Aramendía <samsagax@gmail.com>
Date:   Tue Jun 24 11:46:02 2014 -0300

    Add a simple unminimize effect the same as minimize

 src/core/effects.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5807acda35eba4a1c7d0f515586d138a0bd95be4
Author: Joaquín Ignacio Aramendía <samsagax@gmail.com>
Date:   Mon Jun 23 21:29:30 2014 -0300

    Remove all effects code for a fresh and clean start

 src/core/window.c | 66 +++++--------------------------------------------------
 1 file changed, 5 insertions(+), 61 deletions(-)

commit a65a66d49bd0d6ec6c94b8e3ecd551cb570cec95
Author: Joaquín Ignacio Aramendía <samsagax@gmail.com>
Date:   Wed Jun 25 19:06:17 2014 -0300

    Remove all trailing whitespaces in the code tree
    
    Just run:
     $ find -name '*.c' -print0 | xargs -r0 sed -e 's/[[:blank:]]\+$//' -i
     $ find -name '*.h' -print0 | xargs -r0 sed -e 's/[[:blank:]]\+$//' -i

 src/compositor/compositor-xrender.c |   2 +-
 src/compositor/compositor-xrender.h |   6 +-
 src/compositor/compositor.c         |   8 +-
 src/core/async-getprop.c            |  62 ++--
 src/core/async-getprop.h            |   6 +-
 src/core/atomnames.h                |   8 +-
 src/core/constraints.c              |  72 ++---
 src/core/constraints.h              |   6 +-
 src/core/core.c                     |  90 +++---
 src/core/display-private.h          |  40 +--
 src/core/display.c                  | 618 ++++++++++++++++++------------------
 src/core/edge-resistance.c          |  50 +--
 src/core/edge-resistance.h          |   6 +-
 src/core/effects.c                  |  98 +++---
 src/core/effects.h                  |   8 +-
 src/core/errors.c                   |  40 +--
 src/core/eventqueue.c               |  34 +-
 src/core/eventqueue.h               |   6 +-
 src/core/frame-private.h            |   8 +-
 src/core/frame.c                    |  64 ++--
 src/core/group-private.h            |   6 +-
 src/core/group-props.c              |  44 +--
 src/core/group-props.h              |   6 +-
 src/core/group.c                    |  42 +--
 src/core/group.h                    |   6 +-
 src/core/iconcache.c                |  22 +-
 src/core/iconcache.h                |   6 +-
 src/core/keybindings.c              | 376 +++++++++++-----------
 src/core/keybindings.h              |   8 +-
 src/core/main.c                     |  50 +--
 src/core/marco-Xatomtype.h          |   8 +-
 src/core/place.c                    | 124 ++++----
 src/core/place.h                    |   6 +-
 src/core/prefs.c                    | 146 ++++-----
 src/core/schema-bindings.c          |  10 +-
 src/core/screen-private.h           |  18 +-
 src/core/screen.c                   | 426 ++++++++++++-------------
 src/core/session.c                  | 260 +++++++--------
 src/core/session.h                  |  12 +-
 src/core/stack.c                    | 226 ++++++-------
 src/core/stack.h                    |  14 +-
 src/core/testasyncgetprop.c         |  76 ++---
 src/core/testboxes.c                |  86 ++---
 src/core/util.c                     |  76 ++---
 src/core/window-private.h           |  60 ++--
 src/core/window-props.c             |  98 +++---
 src/core/window-props.h             |   6 +-
 src/core/workspace.c                |  80 ++---
 src/core/workspace.h                |   8 +-
 src/core/xprops.c                   | 194 +++++------
 src/include/all-keybindings.h       |  10 +-
 src/include/boxes.h                 |  10 +-
 src/include/common.h                |  14 +-
 src/include/core.h                  |   6 +-
 src/include/errors.h                |   8 +-
 src/include/main.h                  |   6 +-
 src/include/prefs.h                 |   6 +-
 src/include/resizepopup.h           |   6 +-
 src/include/tabpopup.h              |   8 +-
 src/include/ui.h                    |   6 +-
 src/include/util.h                  |   6 +-
 src/include/xprops.h                |  14 +-
 src/tools/marco-grayscale.c         |  26 +-
 src/tools/marco-mag.c               |  44 +--
 src/tools/marco-message.c           |   6 +-
 src/tools/marco-window-demo.c       | 180 +++++------
 src/ui/draw-workspace.c             |  42 +--
 src/ui/draw-workspace.h             |   8 +-
 src/ui/fixedtip.c                   |  22 +-
 src/ui/fixedtip.h                   |   8 +-
 src/ui/frames.c                     |  16 +-
 src/ui/frames.h                     |  10 +-
 src/ui/gradient.c                   | 128 ++++----
 src/ui/gradient.h                   |   6 +-
 src/ui/metaaccellabel.c             |   8 +-
 src/ui/preview-widget.c             |  88 ++---
 src/ui/preview-widget.h             |   8 +-
 src/ui/resizepopup.c                |  48 +--
 src/ui/tabpopup.c                   | 146 ++++-----
 src/ui/testgradient.c               |  32 +-
 src/ui/theme-parser.h               |   6 +-
 src/ui/theme-viewer.c               | 172 +++++-----
 src/ui/theme.c                      |  14 +-
 src/ui/theme.h                      |  48 +--
 src/ui/themewidget.c                |  40 +--
 src/ui/themewidget.h                |   6 +-
 src/wm-tester/focus-window.c        |   8 +-
 src/wm-tester/main.c                |  60 ++--
 src/wm-tester/test-gravity.c        |  68 ++--
 src/wm-tester/test-resizing.c       |  70 ++--
 src/wm-tester/test-size-hints.c     |  36 +--
 91 files changed, 2593 insertions(+), 2593 deletions(-)

commit 32050fd47713d9254e05344a6afd87202fa45d11
Author: infirit <infirit@gmail.com>
Date:   Tue Jun 24 23:17:43 2014 +0200

    Remove new keybinding from 69b7a0ad9277f21ad761c84ac1bae5455a2f879e
    
    The key never existed in mateconf so there is no need to convert.

 src/marco.convert | 1 -
 1 file changed, 1 deletion(-)

commit 69b7a0ad9277f21ad761c84ac1bae5455a2f879e
Author: Robert David <robert.david.public@gmail.com>
Date:   Mon Mar 10 11:58:07 2014 +0100

    Possible keybinding to switch to previous workspace.
    Disabled at default.

 src/50-marco-global-key.xml.in | 7 +++++++
 src/core/keybindings.c         | 8 ++++++++
 src/core/screen-private.h      | 3 +++
 src/core/workspace.c           | 3 +++
 src/core/workspace.h           | 3 ++-
 src/include/all-keybindings.h  | 3 +++
 src/marco.convert              | 1 +
 src/org.mate.marco.gschema.xml | 5 +++++
 8 files changed, 32 insertions(+), 1 deletion(-)

commit 897defba089400c910a520ca1302ca5573d3f1d7
Merge: 86de83b 064f1ff
Author: Sander Sweers <infirit@gmail.com>
Date:   Mon Jun 16 22:48:15 2014 +0200

    Merge pull request #107 from hordepfo/compositor-disappear-fix
    
    Possible fix for disappearing panels and windows

commit 064f1ff4d56da2d0fc6b9cce674c667c5d3c7ec4
Author: hordepfo <hordepfo@gmail.com>
Date:   Tue May 27 21:53:17 2014 +0100

    Ignore adding a window if it's already present
    
    If a window is added and it's already in the compositor's
    window list, then it won't be added again. This was causing
    strange behaviour in the compositor (windows and panels
    disappearing).

 src/compositor/compositor-xrender.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 86de83b061a4ff0901e563db3671180c79abf007
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat May 10 15:44:23 2014 +0200

    Enable new features by default

 src/org.mate.marco.gschema.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7efc3d6e3ba89ec456b99349364f72b5c861ad96
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon May 5 12:01:09 2014 +0200

    Dont destroy all windows with GTK2
    
    Regression introduced with http://git.mate-desktop.org/marco/commit/?id=3695f97acfd3d81e7f9ce23be3243d63fce35746

 src/core/display.c | 12 ------------
 1 file changed, 12 deletions(-)

commit 36697f556061dfb3c3776568510c5f3f692f7ce9
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sun Apr 27 14:05:27 2014 +0200

    Sync translations with transifex

 po/be.po | 60 +++++++++++++++++++++++++++++++-----------------------------
 po/mr.po | 13 +++++++------
 2 files changed, 38 insertions(+), 35 deletions(-)

commit ab8e72a4e6fe7cb8ee2dddb0d43d749078fd999c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Apr 23 19:06:44 2014 +0200

    GTK3 fixes

 src/ui/frames.c | 4 ++++
 src/ui/theme.c  | 4 ++++
 2 files changed, 8 insertions(+)

commit c758b429a0cf4045e3871e12936c36713fa607ef
Merge: 3695f97 42c6325
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Apr 23 18:54:15 2014 +0200

    Merge branch 'master' of github.com:mate-desktop/marco

commit 3695f97acfd3d81e7f9ce23be3243d63fce35746
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Sun Feb 23 13:10:12 2014 +0400

    gtk3: set event device

 src/core/display.c | 82 +++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 62 insertions(+), 20 deletions(-)

commit 96c7256d638b8c76c8abf786ba307e82a595dd67
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Fri Mar 7 00:04:47 2014 +0400

    gtk3: remove always on top square at 0x0-200x200
    
    Conflicts:
            src/ui/frames.c

 src/ui/frames.c | 48 +++++++++++++++++++-----------------------------
 src/ui/frames.h |  9 ++++++++-
 2 files changed, 27 insertions(+), 30 deletions(-)

commit fd2e0db8c8315fd8cecd45a422e9a8f161589841
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Apr 23 18:47:49 2014 +0200

    GTK3 fixes

 src/ui/fixedtip.c       |  15 +++--
 src/ui/frames.c         |  17 +++--
 src/ui/frames.h         |   4 ++
 src/ui/preview-widget.c | 168 ++++++++++++++++++++++++++++++++++++------------
 src/ui/theme.c          |  33 +++++++++-
 src/ui/theme.h          |   8 +++
 src/ui/ui.c             |  54 +++++++++++++++-
 7 files changed, 243 insertions(+), 56 deletions(-)

commit 42c63250abf2b4c7b1c704c907301bb5a5920b6e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 21 20:33:12 2014 +0200

    Tell to GTK3 that marco support _GTK_FRAME_EXTENTS hint
    
    Also if marco doesnt support it, but this currently fixes ugly dialog windows with GTK 3.12

 src/core/atomnames.h    | 1 +
 src/core/screen.c       | 1 +
 src/core/window-props.c | 9 +++++++++
 3 files changed, 11 insertions(+)

commit d07a3960e9b81aaf9864902e5398eadf801a531b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 22 16:31:41 2014 +0100

    Revert "gtk3: set event device"
    
    This reverts commit b6ee7f8d6cb49b7b87c073695f50a0576f42a599.

 src/core/display.c | 82 +++++++++++++-----------------------------------------
 1 file changed, 20 insertions(+), 62 deletions(-)

commit a152b0ec9d2e58a303f94de7765b0febcc9e5f94
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 22 16:26:34 2014 +0100

    Revert "gtk3: remove always on top square at 0x0-200x200"
    
    This reverts commit 2425d611fccb0fa43cfd85a967d41d0777ecd353.

 src/ui/frames.c | 48 +++++++++++++++++++++++++++++-------------------
 src/ui/frames.h |  9 +--------
 2 files changed, 30 insertions(+), 27 deletions(-)

commit 3d5bef24bdb30514e1758850693964cf0199653d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Mar 18 12:05:44 2014 +0100

    Fix missing zenity rename

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4ca01c20e0b8424918834503c83928366e589752
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Mar 17 19:08:15 2014 +0100

    Update NEWS

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 930127eb62fd118f40d3d91fa812b0fe0be49528
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Mar 17 19:07:45 2014 +0100

    Bump version to 1.9.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 22cec78be5c7a3887e695e9a787fc462102e0509
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Mar 17 19:07:26 2014 +0100

    Use zenity instead of mate-dialogs

 configure.ac    | 6 +++---
 src/core/util.c | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 43b1b7e5008ea2dc52a1e75dccebf5c6d056c796
Merge: 3f7f615 d5ad126
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Mar 10 13:53:38 2014 +0100

    Merge pull request #99 from robertek/fix_core_main.c
    
    fix core/main.c wait.h on nonlinux

commit d5ad1268c6f0ae1e9679433cf13ff24e49e744a6
Author: Robert David <robert.david.public@gmail.com>
Date:   Mon Mar 10 13:17:56 2014 +0100

    src/core/main.c sys/wait.h fix #2

 src/core/main.c | 4 ----
 1 file changed, 4 deletions(-)

commit 342296e0608dd5ce73738f6681dd6c0211a4daba
Author: Robert David <robert.david.public@gmail.com>
Date:   Mon Mar 10 12:03:39 2014 +0100

    fix core/main.c wait.h on nonlinux

 src/core/main.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 3f7f615fa98f9edbb28065d81b5e3e71d80613e8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 9 11:24:19 2014 +0100

    Sync translations with transifex

 po/hi.po | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 2510c85209f2017b9e8f99bf55bf0919415c3b0b
Merge: 935f9d2 2425d61
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Mar 7 00:00:39 2014 +0100

    Merge pull request #93 from dnk/square
    
    gtk3: remove always on top square at 0x0-200x200

commit 935f9d238557d34a6a4fb866f79c374ad9269551
Merge: fbf9468 b6ee7f8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Mar 7 00:00:31 2014 +0100

    Merge pull request #89 from dnk/event
    
    gtk3: set event device

commit 2425d611fccb0fa43cfd85a967d41d0777ecd353
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Fri Mar 7 00:04:47 2014 +0400

    gtk3: remove always on top square at 0x0-200x200
    
    Conflicts:
            src/ui/frames.c

 src/ui/frames.c | 48 +++++++++++++++++++-----------------------------
 src/ui/frames.h |  9 ++++++++-
 2 files changed, 27 insertions(+), 30 deletions(-)

commit fbf946868da97fdbc147951e48bf483d1ba15f4f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 1 11:26:18 2014 +0100

    Bump version to 1.8.0

 NEWS         | 2 +-
 configure.ac | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit f81bc823eb047bd22f97558b7542a116b56b949f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 1 11:25:53 2014 +0100

    Sync translations with transifex

 po/be.po | 351 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 176 insertions(+), 175 deletions(-)

commit b6ee7f8d6cb49b7b87c073695f50a0576f42a599
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Sun Feb 23 13:10:12 2014 +0400

    gtk3: set event device

 src/core/display.c | 82 +++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 62 insertions(+), 20 deletions(-)

commit 378e665b74bcef8ae04f7550657bd0fe1f788226
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 18 18:39:03 2014 +0100

    Sync translations with transifex

 po/es.po | 11 ++++++-----
 po/is.po | 49 +++++++++++++++++++++++++------------------------
 po/sk.po | 38 +++++++++++++++++++-------------------
 po/th.po | 11 ++++++-----
 4 files changed, 56 insertions(+), 53 deletions(-)

commit a7b525e6da3422f58eb49ba01f468677b6bb8c56
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 18 09:13:52 2014 +0100

    Bump version to 1.7.90

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 680ff55445993a762d73074304fd80dbd0b3ebbc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 18 09:13:29 2014 +0100

    Update NEWS

 NEWS | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 4cb39109089906abbddac34edad796114839d3dd
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 18 09:01:56 2014 +0100

    configure: Add check-news

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0630ffb92194c5a0aed1f3e6ad91f2ee01caeb8c
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Sep 12 17:46:47 2011 +0000

    window: remove warning about _NET_WM_MOVERESIZE's lack of timestamps
    
    The comments in the code about the protocol's inadequacies are enough, there's
    no need to spam our standard outputs.

 src/core/window.c | 3 ---
 1 file changed, 3 deletions(-)

commit 3feed0c67e8713fa9db08605ff21740d41d321c0
Author: Omer Akram <om26er@ubuntu.com>
Date:   Mon Feb 17 11:52:58 2014 +0100

    Cut with fading the Bar title when it's longer than the decoration bar.

 src/ui/theme.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit fc2a3980ffd50c3e79bfb13dfbfb3990d40eda93
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:   Mon Aug 6 18:38:28 2012 +0000

    portability: get WIFEXITED and WEXITSTATUS from sys/wait.h
    
    WIFEXITED and WEXITSTATUS are normally declared in sys/wait.h on all
    Unices system. Linux has a definition in stdlib.h as well but this is
    not portable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681328

 src/core/delete.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6880425e45a4e7856c0b8637bed5b4e6d164b70c
Merge: 404cedc bee9868
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 17 10:51:05 2014 +0100

    Merge pull request #86 from hekel/master
    
    Update Manual

commit 404cedc8e7dee02dca4a085b0cda446a0193b467
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Feb 15 15:10:48 2014 +0100

    Sync translations with transifex

 po/bg.po    |  13 ++--
 po/en_GB.po |   7 ++-
 po/sk.po    | 195 ++++++++++++++++++++++++++++++------------------------------
 po/sq.po    |  20 +++----
 4 files changed, 119 insertions(+), 116 deletions(-)

commit bee98687d69f90e831ad288fafb70fd4c4089c59
Author: hekel <hekel@archlinux.info>
Date:   Fri Feb 14 03:32:56 2014 -0500

    Update marco.1

 doc/man/marco.1 | 124 ++++++++++++++++++++++++++++++--------------------------
 1 file changed, 66 insertions(+), 58 deletions(-)

commit a2848df90ae71ae859c28d37cbd19ca6dbf9f8c0
Author: hekel <hekel@archlinux.info>
Date:   Fri Feb 14 03:32:34 2014 -0500

    Update marco-window-demo.1

 doc/man/marco-window-demo.1 | 35 +++++++++++++++++++----------------
 1 file changed, 19 insertions(+), 16 deletions(-)

commit 3e3541e1f47e74076f3e07e75726cfd1a98b0e6f
Author: hekel <hekel@archlinux.info>
Date:   Fri Feb 14 03:32:01 2014 -0500

    Update marco-theme-viewer.1

 doc/man/marco-theme-viewer.1 | 80 +++++++++++++++++++++++++-------------------
 1 file changed, 45 insertions(+), 35 deletions(-)

commit e256866ae89e7bf07c92f6303fffbe3ab6674cea
Author: hekel <hekel@archlinux.info>
Date:   Fri Feb 14 03:31:42 2014 -0500

    Update marco-message.1

 doc/man/marco-message.1 | 91 ++++++++++++++++++++-----------------------------
 1 file changed, 37 insertions(+), 54 deletions(-)

commit 83380f66a6f5f980c800d9153860e46b69c08549
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 11 10:28:57 2014 +0100

    Include autogen.sh in tarball

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 97b5cfa6fa36a56df9497be395c53168a4728074
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 9 20:39:20 2014 +0100

    Sync translations with transifex

 po/de.po | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 945fe4ba74e07befe1ef300949773270db87d0ef
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 24 13:45:40 2014 +0100

    Build marco-theme-viewer only with GTK2

 configure.ac    | 2 ++
 src/Makefile.am | 6 +++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 04caf5f569533871e975aca51164a4fa6065b27f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 24 12:36:48 2014 +0100

    tile-preview: Fix GTK3 support

 src/ui/tile-preview.c | 24 +++++++++++++++++-------
 1 file changed, 17 insertions(+), 7 deletions(-)

commit 70bbd54f4c3e574b9e574e1ea71a293cade0b5b3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 24 12:12:32 2014 +0100

    ui: Fix endif position

 src/ui/tile-preview.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b21c86f638514dd5ac4bd165601b2fef4743287
Merge: e34bef1 6ef9c10
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 24 11:30:54 2014 +0100

    Merge branch 'master' of github.com:mate-desktop/marco

commit e34bef124252b86e118019b78e2abbb8abfe0540
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 24 11:30:43 2014 +0100

    ui: Improve GTK3 support

 src/include/ui.h      |  16 ++---
 src/ui/frames.c       |  29 +++++++-
 src/ui/testgradient.c | 127 ++++++++++++++++++++++++++++++----
 src/ui/theme.c        |  30 ++++++--
 src/ui/ui.c           | 184 ++++++++++++++++++++++++++++++++++++++++----------
 5 files changed, 321 insertions(+), 65 deletions(-)

commit e7548428cd64022b6b1c39265e0a6fa63a7f78d8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 24 11:29:35 2014 +0100

    core: Improve GTK3 support

 src/core/display.c |  4 ++++
 src/core/errors.c  | 37 +++++++++++++++++++++++++++++++++++++
 src/core/screen.c  | 13 +++++++++++--
 3 files changed, 52 insertions(+), 2 deletions(-)

commit 6ef9c1061ec0bb78bf773f69a50d556ce8e23c01
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 24 09:51:52 2014 +0100

    tile-preview: Replace gtk_window_set_visual with gtk_widget_set_visual

 src/ui/tile-preview.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e61fae901f7c4f3d076cbb71fc1d6c473ba3e4a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 24 09:50:58 2014 +0100

    tile-preview: Add GTK3 support

 src/ui/tile-preview.c | 29 ++++++++++++++++++++++++++++-
 1 file changed, 28 insertions(+), 1 deletion(-)

commit 62bf199982e977236d040102efa13862f189c32b
Author: Extraterrestrial <f564264@gmail.com>
Date:   Sun Jun 23 04:13:40 2013 +0400

    Fix drag over the top screen edge

 src/core/window-private.h | 3 ++-
 src/core/window.c         | 6 +++++-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 6f4ee23657a8fbaed9cc89e56e08b543203fefd3
Merge: 534f563 a871571
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 24 09:21:38 2014 +0100

    Merge branch '1.7.0-window-snapping'

commit 534f563ef5647a5d6359078b3c0c8eaba1aec877
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Jan 21 21:00:43 2014 +0100

    Fix hyphen used as minus sign in man page

 doc/man/marco.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0769cbfaab7cdc584a02463bce595b8a0facfe05
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Jan 20 23:59:19 2014 +0100

    Sync translations with transifex

 po/LINGUAS        |    2 +
 po/am.po          |   18 +-
 po/ar.po          |   39 +-
 po/as.po          |   24 +-
 po/ast.po         |   18 +-
 po/az.po          |   20 +-
 po/be.po          |   20 +-
 po/bg.po          |   20 +-
 po/bn.po          |   20 +-
 po/bn_IN.po       |   18 +-
 po/br.po          |   20 +-
 po/bs.po          |   20 +-
 po/ca.po          |   18 +-
 po/ca@valencia.po |   20 +-
 po/cmn.po         | 1657 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/crh.po         |   20 +-
 po/cs.po          |   18 +-
 po/cy.po          |   20 +-
 po/da.po          |   22 +-
 po/de.po          |   18 +-
 po/dz.po          |   20 +-
 po/el.po          |   22 +-
 po/en_AU.po       |   18 +-
 po/en_CA.po       |   20 +-
 po/en_GB.po       |   18 +-
 po/eo.po          |   18 +-
 po/es.po          |   22 +-
 po/et.po          |   20 +-
 po/eu.po          |   18 +-
 po/fa.po          |   18 +-
 po/fi.po          |   20 +-
 po/fr.po          |   24 +-
 po/ga.po          |   20 +-
 po/gl.po          |   18 +-
 po/gu.po          |   20 +-
 po/ha.po          |   20 +-
 po/he.po          |   20 +-
 po/hi.po          |   18 +-
 po/hr.po          |   39 +-
 po/hu.po          |   20 +-
 po/hy.po          |   20 +-
 po/id.po          |   26 +-
 po/ig.po          |   20 +-
 po/is.po          |   20 +-
 po/it.po          |   22 +-
 po/ja.po          |   24 +-
 po/ka.po          |   20 +-
 po/kk.po          | 1656 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/kn.po          |   18 +-
 po/ko.po          |   29 +-
 po/ku.po          |   18 +-
 po/ky.po          |   18 +-
 po/lt.po          |   18 +-
 po/lv.po          |   18 +-
 po/mai.po         |   20 +-
 po/mg.po          |   20 +-
 po/mk.po          |   20 +-
 po/ml.po          |   18 +-
 po/mn.po          |   20 +-
 po/mr.po          |   20 +-
 po/ms.po          |  294 +++++-----
 po/nb.po          |   18 +-
 po/nds.po         |   20 +-
 po/ne.po          |   20 +-
 po/nl.po          |   20 +-
 po/nn.po          |   20 +-
 po/oc.po          |   20 +-
 po/or.po          |   20 +-
 po/pa.po          |   20 +-
 po/pl.po          |   29 +-
 po/pt.po          |   22 +-
 po/pt_BR.po       |   22 +-
 po/ro.po          |   20 +-
 po/ru.po          |   22 +-
 po/si.po          |   20 +-
 po/sk.po          |   18 +-
 po/sl.po          |  143 +++--
 po/sq.po          |   71 +--
 po/sr.po          |   20 +-
 po/sr@latin.po    |   20 +-
 po/sv.po          |   18 +-
 po/ta.po          |   20 +-
 po/te.po          |   20 +-
 po/th.po          |   18 +-
 po/tr.po          |   24 +-
 po/uk.po          |   18 +-
 po/vi.po          |   20 +-
 po/wa.po          |   20 +-
 po/xh.po          |   20 +-
 po/yo.po          |   20 +-
 po/zh_CN.po       |   18 +-
 po/zh_HK.po       |   18 +-
 po/zh_TW.po       |   20 +-
 93 files changed, 3833 insertions(+), 1770 deletions(-)

commit e7f50837683fc30d29768ce6b00e0b1c6b476b48
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Jan 18 18:03:10 2014 +0100

    ui: Some GTK3 fixes

 src/ui/ui.c | 40 ++++++++++++++++++++++++++++++++++------
 1 file changed, 34 insertions(+), 6 deletions(-)

commit 4ae2cbdc153d7f7bc1d96616cb4da1b01c8d5ed5
Merge: 62a708d 1b63865
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 15 06:43:43 2014 -0800

    Merge pull request #79 from infirit/master
    
    constraints: don't apply fullscreen workarounds for CSD windows

commit 1b638654a247ae17bf0aa3d9d78f8f8e16453810
Author: infirit <infirit@gmail.com>
Date:   Wed Jan 15 15:14:53 2014 +0100

    constraints: don't apply fullscreen workarounds for CSD windows
    
    If you maximize a CSD window on a monitor without struts, it ends up
    taking the whole monitor size, but it doesn't mean that the application
    wants to fullscreen.
    
    Gnome Bug:
    https://bugzilla.gnome.org/show_bug.cgi?id=708718
    Gnome Commit:
    https://git.gnome.org/browse/mutter/commit/src/core/constraints.c?id=4eeeb1557a3a0caff6ef1debd92aeb541ae1b556

 src/core/constraints.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 62a708d461e08275d6b85985f5fa13fa8fbc85f7
Merge: 0403454 0747246
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Dec 12 10:06:11 2013 -0800

    Merge pull request #70 from infirit/master
    
    Use GTK_API_VERSION in pkgconfig in file

commit 07472469bf2895a060a9d1f6f0bf9a983eeabb6c
Author: infirit <infirit@gmail.com>
Date:   Thu Dec 12 18:58:41 2013 +0100

    Use GTK_API_VERSION in pkgconfig in file

 src/libmarco-private.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0403454e7f3c456effaa8ae83fad4afa7dcca581
Merge: cf101a0 39f4aae
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Nov 15 10:02:39 2013 -0800

    Merge pull request #67 from ryandoyle/master
    
    Regression fix and typo

commit 39f4aae72c83c5fa79b8ea84ac78e53a50d908ea
Author: Ryan Doyle <ryan@doylenet.net>
Date:   Sat Nov 16 00:57:53 2013 +1100

    Fix typo in function name

 src/ui/tabpopup.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 47c59747230a1d72f29c5784b069614ae388ed57
Author: Ryan Doyle <ryan@doylenet.net>
Date:   Sat Nov 16 00:43:46 2013 +1100

    As of 5804817, the call to generate_pixmap():2353 was changed to pass by
    reference. This broke the GTK2 implementation of generate_pixmap().
    
    This commit updates the GTK2 function to work with the changes.

 src/ui/frames.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit cf101a024b8749a1b2109e3a3b49a7a760124d2d
Merge: 5804817 89e368b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Nov 14 03:46:02 2013 -0800

    Merge pull request #66 from infirit/master
    
    Remove unneeded files plus various cleanup/fixes

commit 89e368b69cdcce2eb643012921e499ba078ac4b9
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 8 17:45:24 2013 +0100

    Remove unneeded files

 doc/creating_themes/C/calstblx.dtd |  215 -
 doc/creating_themes/C/dbcentx.mod  |  384 --
 doc/creating_themes/C/dbgenent.mod |   41 -
 doc/creating_themes/C/dbhierx.mod  | 2193 ---------
 doc/creating_themes/C/dbnotnx.mod  |  101 -
 doc/creating_themes/C/dbpoolx.mod  | 8701 ------------------------------------
 doc/creating_themes/C/docbookx.dtd |  170 -
 doc/creating_themes/C/htmltblx.mod |  245 -
 doc/creating_themes/C/soextblx.dtd |  321 --
 9 files changed, 12371 deletions(-)

commit 3df8d193268be8d7dfb2264a2dfad5dc5b78b84f
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 8 17:20:05 2013 +0100

    INCLUDES -> AM_CPPFLAGS

 src/Makefile.am           | 2 +-
 src/tools/Makefile.am     | 2 +-
 src/wm-tester/Makefile.am | 4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 8ccbdf3e2447fe5df685ee5045991c01e0cfa7d1
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 8 17:14:17 2013 +0100

    Silence autofoo warnings

 Makefile.am  | 2 ++
 configure.ac | 1 +
 2 files changed, 3 insertions(+)

commit 58048178cefe6627278bb21d15889685ecd7c8f8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Oct 26 14:28:48 2013 +0200

    Bump version to 1.7.0

 configure.ac | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 35d540dd3c9269ec39bf3bc10a98b9714963291b
Author: Laszlo Boros <iamsemmu@gmail.com>
Date:   Sat Oct 26 14:27:58 2013 +0200

    Starting to add GTK3 support

 src/tools/marco-mag.c         |   9 ++
 src/tools/marco-window-demo.c | 110 ++++++++++++++
 src/ui/draw-workspace.c       |  38 ++++-
 src/ui/draw-workspace.h       |   4 +
 src/ui/fixedtip.c             |  24 +++
 src/ui/frames.c               | 253 ++++++++++++++++++++++++++++++-
 src/ui/menu.c                 |  29 ++++
 src/ui/metaaccellabel.c       | 169 ++++++++++++++++++++-
 src/ui/preview-widget.c       | 132 ++++++++++++++--
 src/ui/preview-widget.h       |   9 ++
 src/ui/resizepopup.c          |  14 ++
 src/ui/tabpopup.c             | 227 +++++++++++++++++++++++++---
 src/ui/theme.c                | 341 +++++++++++++++++++++++++++++++++++++++---
 src/ui/theme.h                |  36 +++++
 src/ui/themewidget.c          | 129 +++++++++++++++-
 src/ui/themewidget.h          |  17 ++-
 src/wm-tester/main.c          |   4 +
 17 files changed, 1488 insertions(+), 57 deletions(-)

commit 46ba8ca5fc9665c1a4758e56fda6761ac993c62e
Merge: e677d14 59e877d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Oct 17 15:42:33 2013 -0700

    Merge pull request #64 from NiceandGently/master
    
    rename to marco and remove distro folder

commit 59e877def6c3736c1fb17a301c44c6f054414155
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Oct 17 23:03:05 2013 +0200

    remove Distro folder

 distro/archlinux/PKGBUILD                    | 37 ----------------------------
 distro/archlinux/mate-window-manager.install | 17 -------------
 2 files changed, 54 deletions(-)

commit 03231bf437d7a1a6b8988741ad94980564069eac
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Oct 17 23:01:21 2013 +0200

    rename to marco

 HACKING    | 4 ++--
 README     | 2 +-
 autogen.sh | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit e677d1440f6f5a3b51a35dea8bc09a99d442bbf5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Oct 17 21:42:46 2013 +0200

    Package name is marco

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 450918aa889e144dfc5595de4250f50acf91e3cf
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Aug 6 08:42:55 2013 +0200

    Sync translations with transifex

 po/am.po    |  35 ++++-----
 po/ar.po    |  11 +--
 po/ca.po    |  10 +--
 po/cs.po    |  13 ++--
 po/de.po    |   9 ++-
 po/en_AU.po |  10 +--
 po/en_GB.po |  15 ++--
 po/gl.po    | 107 +++++++++++++-------------
 po/ky.po    |  71 +++++++++---------
 po/lv.po    |  11 +--
 po/ms.po    | 245 ++++++++++++++++++++++++++++++------------------------------
 po/sk.po    |  13 ++--
 po/uk.po    |  18 +++--
 po/zh_CN.po |  11 +--
 14 files changed, 296 insertions(+), 283 deletions(-)

commit f46847b158fb717ab39f8909f4856d39fdc56837
Merge: 1e86786 7f7eecc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Aug 3 09:45:36 2013 -0700

    Merge pull request #55 from infirit/yelptools
    
    Use yelp-tools instead of mate-doc-utils

commit 7f7eeccf65d7f7f69ff78e2444d454cfdf765af8
Author: infirit <infirit@gmail.com>
Date:   Thu Aug 1 12:45:57 2013 +0200

    Use yelp-tools instead of mate-doc-utils

 autogen.sh                                               |  5 +++++
 configure.ac                                             |  4 ++--
 .../C/{creating-marco-themes.xml => index.docbook}       |  0
 doc/creating_themes/Makefile.am                          | 16 ++++++----------
 4 files changed, 13 insertions(+), 12 deletions(-)

commit 1e8678642d984fc205fd803fffe915417802139f
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sat Jun 8 18:34:08 2013 -0400

    Bump version to 1.6.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a87157176ca6e01c8c4047999ee584f00b63c11e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri May 31 16:22:39 2013 +0200

    Implement side-by-side tiling
    
    Patch by Florian Müllner for Metacity
    https://bugzilla.gnome.org/show_bug.cgi?id=607694
    
    When dragging a window over a screen edge and dropping it there,
    maximize it vertically and scale it horizontally to cover the
    corresponding half of the current monitor.
    
    Whenever a "hot area" which triggers this behavior is entered, an
    indication of window's target size is displayed after a short delay
    to avoid distraction when moving a window between monitors.

 src/Makefile.am                |   2 +
 src/core/constraints.c         |  65 ++++++++++-
 src/core/core.c                |  30 +++++
 src/core/prefs.c               |  16 +++
 src/core/screen-private.h      |   5 +
 src/core/screen.c              |  66 ++++++++++-
 src/core/window-private.h      |  18 ++-
 src/core/window.c              | 175 ++++++++++++++++++++++++----
 src/include/core.h             |   4 +
 src/include/prefs.h            |   2 +
 src/include/tile-preview.h     |  37 ++++++
 src/include/ui.h               |   1 +
 src/org.mate.marco.gschema.xml |   5 +
 src/ui/tile-preview.c          | 251 +++++++++++++++++++++++++++++++++++++++++
 14 files changed, 650 insertions(+), 27 deletions(-)

commit cc760e2586cd0f98f8c60382ab8ff1f7373d9c1d
Author: Scott Balneaves <sbalneav@mate-desktop.org>
Date:   Fri May 17 15:00:14 2013 -0500

    Revert deprecations for issue #41

 src/core/display.c     | 4 ----
 src/core/keybindings.c | 4 ----
 2 files changed, 8 deletions(-)

commit 7318946f007404ed8b44cc030358c3d278d1b8cf
Merge: 749fe70 861e3d6
Author: Scott Balneaves <sbalneav@mate-desktop.org>
Date:   Fri May 17 14:06:35 2013 -0500

    Merge branch 'master' of github.com:mate-desktop/mate-window-manager

commit 749fe7090053afe610914aee368028bce06fd666
Author: Scott Balneaves <sbalneav@mate-desktop.org>
Date:   Fri May 17 14:05:54 2013 -0500

    Closes #44

 src/core/place.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 861e3d658f2942a8ec72700fd1935ee5743d34a1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu May 16 16:51:39 2013 +0200

    Fix 'make dist'

 Makefile.am     | 2 +-
 configure.ac    | 4 ++--
 src/Makefile.am | 3 ++-
 3 files changed, 5 insertions(+), 4 deletions(-)

commit 99113c80a6c3ba2c0686ee9ebeb748953e5e5354
Author: Scott Balneaves <sbalneav@mate-desktop.org>
Date:   Wed May 15 14:09:17 2013 -0500

    Fix for white line problem.  Cribbed from https://git.gnome.org/browse/mutter/commit/?id=ecf812db833db5bf663c5e6b2fa02856f890a47e.  Thanks stefano-k

 src/ui/frames.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 15c665078cb324591c27c9887840cc9e257b5203
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed May 15 17:52:33 2013 +0200

    core: Re-add window->fullscreen initialization
    
    Previously removed in a metacity commit

 src/core/window.c | 1 +
 1 file changed, 1 insertion(+)

commit b535c86a0adc25ea292b33280af2d0b0be9f3cc4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed May 15 11:12:44 2013 +0200

    Fix uninitialized variables
    
    Patch from:
    https://build.opensuse.org/package/view_file?expand=1&file=metacity-uninitialized-variables.patch&package=metacity&project=GNOME%3AFactory

 src/core/window.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 1450d60b21ab2d20a47dfde8f6ef9f5b952818b9
Author: Scott Balneaves <sbalneav@mate-desktop.org>
Date:   Tue May 14 22:56:16 2013 -0500

    Fix memory leak in marco.  Cribbed from https://git.gnome.org/browse/metacity/commit/?id=d2b82ba621df8693e560bf0e10c6c56d155cb107

 src/core/display.c | 28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

commit 211d77058a63db3017a0b2d91131876c897ebb4e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Apr 9 11:37:52 2013 +0200

    Bump version to 1.6.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d6f65a7e6f4cd1a5f71884781d03c24ce3535928
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Apr 9 00:41:09 2013 +0200

    Set maximum workspaces number to 36
    Closes https://github.com/mate-desktop/mate-window-manager/issues/42

 src/core/prefs.c               |   2 +-
 src/org.mate.marco.gschema.xml | 102 ++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 102 insertions(+), 2 deletions(-)

commit d6cc1de269ca4fa4404137d075d6e59fc20dc4fb
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Apr 7 20:48:15 2013 +0200

    Fix window screenshot keybinding

 src/include/all-keybindings.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8002f5e0c7187dd63add8d1dc676a96ec4cca4f3
Merge: 0abfe9c 45f5b61
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Apr 5 01:57:53 2013 -0700

    Merge pull request #40 from jothan/master
    
    Pull for fixing issue #39 for the missing schema declarations.

commit 45f5b612c402856de6d84c0b617bc129d9ee2972
Author: Jonathan Bastien-Filiatrault <joe@x2a.org>
Date:   Thu Apr 4 22:48:27 2013 -0400

    Add missing command-N corresponding to run_command-N for global keybindings.
    
    Also, would a default value of an empty string be better than a single space ?

 src/org.mate.marco.gschema.xml | 55 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

commit 0abfe9cfcbcfd2f515162ecead0de7c05d84625b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 31 22:03:39 2013 +0200

    Sync translations with transifex

 po/zh_CN.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 59436115d18c8e6159bb040b4feee38ab01453b4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 31 21:40:36 2013 +0200

    Bump version to 1.6.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e9a5788785d5005e190b9f83cc6a0feef6daf0ac
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 31 21:40:04 2013 +0200

    Sync translations with transifex

 po/as.po    |  9 +++------
 po/es.po    |  9 +++++----
 po/ja.po    |  5 +++--
 po/ky.po    | 10 +++++-----
 po/zh_CN.po | 11 ++++++-----
 5 files changed, 22 insertions(+), 22 deletions(-)

commit 1aef880aff66f3f73a637cddcf964544c3ee4cb7
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 31 21:30:49 2013 +0200

    Add empty ChangeLog to allow build from git

 ChangeLog | 2 ++
 1 file changed, 2 insertions(+)

commit abb049a6eecb120e73c1c17eb562ed42255991c3
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sun Mar 24 16:33:12 2013 -0400

    "Removed ChangeLog"

 ChangeLog | 1057 -------------------------------------------------------------
 1 file changed, 1057 deletions(-)

commit 87fccc0b3dd653e9db320c2de29a77b2d5f44137
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 23 01:11:45 2013 +0100

    Fix translations

 po/as.po | 6 +++++-
 po/ja.po | 2 +-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit dd78243073d3cfcf858fc693a40c786cbd5b23cd
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 23 00:44:33 2013 +0100

    Bump version to 1.5.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d12e63d4587b74a437fcb7c3a6fed6f356168210
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 23 00:44:10 2013 +0100

    Use Menta as default theme

 src/org.mate.marco.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9624f80ecb1ca7e84f6a08d6709c58f629a28704
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 23 00:42:04 2013 +0100

    Sync translations with transifex

 po/LINGUAS        |    1 +
 po/am.po          | 1121 +++++++++++------------------------
 po/ar.po          | 1125 +++++++++++-------------------------
 po/as.po          | 1125 +++++++++++-------------------------
 po/ast.po         | 1121 +++++++++++------------------------
 po/az.po          | 1121 +++++++++++------------------------
 po/be.po          | 1121 +++++++++++------------------------
 po/bg.po          | 1125 +++++++++++-------------------------
 po/bn.po          | 1123 +++++++++++------------------------
 po/bn_IN.po       | 1125 +++++++++++-------------------------
 po/br.po          | 1119 +++++++++++------------------------
 po/bs.po          | 1121 +++++++++++------------------------
 po/ca.po          | 1125 +++++++++++-------------------------
 po/ca@valencia.po | 1123 +++++++++++------------------------
 po/crh.po         | 1123 +++++++++++------------------------
 po/cs.po          | 1123 +++++++++++------------------------
 po/cy.po          | 1121 +++++++++++------------------------
 po/da.po          | 1131 +++++++++++-------------------------
 po/de.po          | 1125 +++++++++++-------------------------
 po/dz.po          | 1121 +++++++++++------------------------
 po/el.po          | 1127 +++++++++++-------------------------
 po/en_AU.po       | 1123 +++++++++++------------------------
 po/en_CA.po       | 1121 +++++++++++------------------------
 po/en_GB.po       | 1123 +++++++++++------------------------
 po/eo.po          | 1123 +++++++++++------------------------
 po/es.po          | 1127 +++++++++++-------------------------
 po/et.po          | 1125 +++++++++++-------------------------
 po/eu.po          | 1123 +++++++++++------------------------
 po/fa.po          | 1123 +++++++++++------------------------
 po/fi.po          | 1123 +++++++++++------------------------
 po/fr.po          | 1127 +++++++++++-------------------------
 po/ga.po          | 1119 +++++++++++------------------------
 po/gl.po          | 1125 +++++++++++-------------------------
 po/gu.po          | 1123 +++++++++++------------------------
 po/ha.po          | 1121 +++++++++++------------------------
 po/he.po          | 1129 +++++++++++-------------------------
 po/hi.po          | 1123 +++++++++++------------------------
 po/hr.po          | 1119 +++++++++++------------------------
 po/hu.po          | 1132 +++++++++++-------------------------
 po/hy.po          | 1119 +++++++++++------------------------
 po/id.po          | 1132 +++++++++++-------------------------
 po/ig.po          | 1121 +++++++++++------------------------
 po/is.po          | 1119 +++++++++++------------------------
 po/it.po          | 1126 +++++++++++-------------------------
 po/ja.po          | 1132 +++++++++++-------------------------
 po/ka.po          | 1119 +++++++++++------------------------
 po/kn.po          | 1125 +++++++++++-------------------------
 po/ko.po          | 1125 +++++++++++-------------------------
 po/ku.po          | 1119 +++++++++++------------------------
 po/ky.po          | 1671 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/lt.po          | 1123 +++++++++++------------------------
 po/lv.po          | 1130 +++++++++++-------------------------
 po/mai.po         | 1121 +++++++++++------------------------
 po/mg.po          | 1121 +++++++++++------------------------
 po/mk.po          | 1121 +++++++++++------------------------
 po/ml.po          | 1125 +++++++++++-------------------------
 po/mn.po          | 1121 +++++++++++------------------------
 po/mr.po          | 1123 +++++++++++------------------------
 po/ms.po          | 1123 +++++++++++------------------------
 po/nb.po          | 1125 +++++++++++-------------------------
 po/nds.po         | 1119 +++++++++++------------------------
 po/ne.po          | 1121 +++++++++++------------------------
 po/nl.po          | 1125 +++++++++++-------------------------
 po/nn.po          | 1121 +++++++++++------------------------
 po/oc.po          | 1123 +++++++++++------------------------
 po/or.po          | 1123 +++++++++++------------------------
 po/pa.po          | 1123 +++++++++++------------------------
 po/pl.po          | 1123 +++++++++++------------------------
 po/pt.po          | 1131 +++++++++++-------------------------
 po/pt_BR.po       | 1126 +++++++++++-------------------------
 po/ro.po          | 1123 +++++++++++------------------------
 po/ru.po          | 1125 +++++++++++-------------------------
 po/si.po          | 1119 +++++++++++------------------------
 po/sk.po          | 1125 +++++++++++-------------------------
 po/sl.po          | 1128 +++++++++++-------------------------
 po/sq.po          | 1125 +++++++++++-------------------------
 po/sr.po          | 1123 +++++++++++------------------------
 po/sr@latin.po    | 1123 +++++++++++------------------------
 po/sv.po          | 1125 +++++++++++-------------------------
 po/ta.po          | 1123 +++++++++++------------------------
 po/te.po          | 1123 +++++++++++------------------------
 po/th.po          | 1125 +++++++++++-------------------------
 po/tr.po          | 1172 ++++++++++++-------------------------
 po/uk.po          | 1125 +++++++++++-------------------------
 po/vi.po          | 1121 +++++++++++------------------------
 po/wa.po          | 1119 +++++++++++------------------------
 po/xh.po          | 1121 +++++++++++------------------------
 po/yo.po          | 1121 +++++++++++------------------------
 po/zh_CN.po       | 1128 +++++++++++-------------------------
 po/zh_HK.po       | 1125 +++++++++++-------------------------
 po/zh_TW.po       | 1170 ++++++++++++-------------------------
 91 files changed, 31212 insertions(+), 70549 deletions(-)

commit 8f182c2eb834b2397fa2e0b167d9b0ff85420f33
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Mar 15 20:29:36 2013 +0100

    Fix keybindings issue due to migration from MateConf
    Closes https://github.com/mate-desktop/mate-window-manager/issues/36

 src/core/prefs.c | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit c6edc7df4d957c9cf56c1e80d7f7f597ad3df71c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Mar 15 18:26:19 2013 +0100

    Add transifex configuration file

 .tx/config | 7 +++++++
 1 file changed, 7 insertions(+)

commit 329e418f0d728458ad3956d4356dc4b18aff9797
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Feb 21 22:37:20 2013 +0100

    Fix no-return-in-nonvoid-function

 src/core/place.c | 1 +
 1 file changed, 1 insertion(+)

commit 11d66624eccc547a87e7e5ab2423d20894640b0f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Feb 21 21:15:18 2013 +0100

    Updated NEWS

 NEWS | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5a8a261fef4087429b8ddfbf40fc1e64471cdb58
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Feb 21 21:13:54 2013 +0100

    Bump version to 1.5.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7587daf105c72f55916a82b34ae0f58cfd592c42
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Feb 20 21:59:56 2013 +0100

    Add option to open new windows on the center of the screen
    Adapted from patch by Chad Glendenin available at:
    http://chad.glendenin.com/metacity/patch.html
    Closes: http://chad.glendenin.com/metacity/patch.html

 src/core/place.c               | 19 +++++++++++++++----
 src/core/prefs.c               | 29 +++++++++++++++++++++++++++--
 src/include/prefs.h            |  4 ++++
 src/org.mate.marco.gschema.xml |  5 +++++
 4 files changed, 51 insertions(+), 6 deletions(-)

commit 737c9e0cd5817617551bb02a48700404b0e7e2e9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 17 19:58:01 2013 +0100

    Fixed typos to solve run terminal issue
    Closes https://github.com/mate-desktop/mate-control-center/issues/25

 src/include/all-keybindings.h | 74 +++++++++++++++++++++----------------------
 1 file changed, 37 insertions(+), 37 deletions(-)

commit 32d1a250d337ed2498cf496c1b7a734ec22c5df2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 10 13:07:20 2013 +0100

    Sync translations with transifex

 po/LINGUAS  |    1 +
 po/en_AU.po | 2132 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2133 insertions(+)

commit 306b773ee116de9a92dcd78e81cba328331e7c5a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 10 13:06:43 2013 +0100

    Update POTFILES.in

 po/POTFILES.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c932cbea641e74dde84b49f4531c716bbeb23e03
Merge: da75aac 83923f0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jan 29 01:56:07 2013 -0800

    Merge pull request #33 from dmashal/master
    
    fix incorrect FSF address

commit 83923f09de289abb5d536110fbcec34de73d5c09
Author: Dan Mashal <dan.mashal@fedoraproject.org>
Date:   Tue Jan 29 00:52:35 2013 -0800

    fix incorrect FSF address

 COPYING | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da75aacb91087ed629f421516022545f7b4756fc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Jan 20 21:23:33 2013 +0100

    Fix GSettings paths

 src/org.mate.marco.gschema.xml | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 20533670104c31d52f9ef321362fff39d5c90521
Author: Elan Ruusamäe <glen@delfi.ee>
Date:   Tue Jan 15 18:45:08 2013 +0200

    rename configure.in to configure.ac to be liked by autoconf 1.12
    
    aclocal-1.12: warning: autoconf input should be named 'configure.ac', not 'configure.in'

 autogen.sh                   | 2 +-
 configure.in => configure.ac | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

commit 66f5cfb7af210bc32f80c0741fb8aaf9c22c78c7
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sun Jan 13 16:26:50 2013 -0500

    Preparing for 1.5.3 release.

 ChangeLog    | 371 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in |   2 +-
 2 files changed, 372 insertions(+), 1 deletion(-)

commit 3328432d7f8e963a37065308fa8a681c1b741741
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 11 22:56:52 2013 +0100

    Fix update of GSettings enum preferences

 src/core/prefs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2ef215448099a7a3cc83c2d8a5780b42227e484
Merge: 3ba5164 f86f199
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Dec 20 01:31:20 2012 -0800

    Merge pull request #29 from cygwinports/master
    
    [marco] Add mateconf-gsettings-data-convert file

commit f86f19970944d3e396eb94bc6b7ec368aae7063f
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Wed Dec 19 22:00:34 2012 -0600

    Add mateconf-gsettings-data-convert file

 src/Makefile.am   |   4 ++
 src/marco.convert | 153 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 157 insertions(+)

commit 3ba516419041962944da9f9bdf0cb55810a2ad02
Merge: d72b5f2 3c82397
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Tue Nov 20 20:57:16 2012 -0800

    Merge pull request #26 from sbalneav/master
    
    Deprecations and warnings

commit 3c82397d3fdbbaa8d1614a6f5eeeaad4ef20d3f6
Author: Scott Balneaves <sbalneav@alburg.net>
Date:   Tue Nov 20 22:50:33 2012 -0600

    Fix deprecations and compile warnings.  Clean compile

 src/compositor/compositor-xrender.c | 10 ++++++++--
 src/core/boxes.c                    |  2 --
 src/core/display.c                  |  4 ++++
 src/core/errors.c                   |  8 +++++++-
 src/core/keybindings.c              |  4 ++++
 src/core/main.c                     | 12 +++++++++++-
 src/core/prefs.c                    | 35 ++++++++++++++++++++---------------
 src/core/screen.c                   |  4 ++--
 src/core/testasyncgetprop.c         |  8 +++++++-
 src/core/window.c                   | 14 ++++++++++----
 src/ui/testgradient.c               |  8 +++++++-
 src/ui/themewidget.c                |  8 +++++++-
 12 files changed, 87 insertions(+), 30 deletions(-)

commit d72b5f2a0bbd035a98979c3519de90a194f67e05
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sun Nov 18 20:57:29 2012 -0500

    fixed incorrect fsf addresses.

 src/compositor/compositor-private.h | 4 ++--
 src/compositor/compositor-xrender.c | 4 ++--
 src/compositor/compositor-xrender.h | 4 ++--
 src/compositor/compositor.c         | 4 ++--
 src/core/atomnames.h                | 4 ++--
 src/core/bell.c                     | 4 ++--
 src/core/bell.h                     | 4 ++--
 src/core/boxes.c                    | 4 ++--
 src/core/constraints.c              | 4 ++--
 src/core/constraints.h              | 4 ++--
 src/core/core.c                     | 4 ++--
 src/core/delete.c                   | 4 ++--
 src/core/display-private.h          | 4 ++--
 src/core/display.c                  | 4 ++--
 src/core/edge-resistance.c          | 4 ++--
 src/core/edge-resistance.h          | 4 ++--
 src/core/effects.c                  | 4 ++--
 src/core/effects.h                  | 4 ++--
 src/core/errors.c                   | 4 ++--
 src/core/eventqueue.c               | 4 ++--
 src/core/eventqueue.h               | 4 ++--
 src/core/frame-private.h            | 4 ++--
 src/core/frame.c                    | 4 ++--
 src/core/group-private.h            | 4 ++--
 src/core/group-props.c              | 4 ++--
 src/core/group-props.h              | 4 ++--
 src/core/group.c                    | 4 ++--
 src/core/group.h                    | 4 ++--
 src/core/iconcache.c                | 4 ++--
 src/core/iconcache.h                | 4 ++--
 src/core/keybindings.c              | 4 ++--
 src/core/keybindings.h              | 4 ++--
 src/core/main.c                     | 4 ++--
 src/core/place.c                    | 4 ++--
 src/core/place.h                    | 4 ++--
 src/core/prefs.c                    | 4 ++--
 src/core/schema-bindings.c          | 4 ++--
 src/core/screen-private.h           | 4 ++--
 src/core/screen.c                   | 4 ++--
 src/core/session.c                  | 4 ++--
 src/core/session.h                  | 4 ++--
 src/core/stack.c                    | 4 ++--
 src/core/stack.h                    | 4 ++--
 src/core/testboxes.c                | 4 ++--
 src/core/util.c                     | 4 ++--
 src/core/window-private.h           | 4 ++--
 src/core/window-props.c             | 4 ++--
 src/core/window-props.h             | 4 ++--
 src/core/window.c                   | 4 ++--
 src/core/workspace.c                | 4 ++--
 src/core/workspace.h                | 4 ++--
 src/core/xprops.c                   | 4 ++--
 src/include/all-keybindings.h       | 4 ++--
 src/include/boxes.h                 | 4 ++--
 src/include/common.h                | 4 ++--
 src/include/compositor.h            | 4 ++--
 src/include/core.h                  | 4 ++--
 src/include/display.h               | 4 ++--
 src/include/errors.h                | 4 ++--
 src/include/frame.h                 | 4 ++--
 src/include/main.h                  | 4 ++--
 src/include/prefs.h                 | 4 ++--
 src/include/resizepopup.h           | 4 ++--
 src/include/screen.h                | 4 ++--
 src/include/tabpopup.h              | 4 ++--
 src/include/types.h                 | 4 ++--
 src/include/ui.h                    | 4 ++--
 src/include/util.h                  | 4 ++--
 src/include/window.h                | 4 ++--
 src/include/xprops.h                | 4 ++--
 src/tools/marco-grayscale.c         | 4 ++--
 src/tools/marco-mag.c               | 4 ++--
 src/tools/marco-message.c           | 4 ++--
 src/tools/marco-window-demo.c       | 4 ++--
 src/ui/draw-workspace.c             | 4 ++--
 src/ui/draw-workspace.h             | 4 ++--
 src/ui/fixedtip.c                   | 4 ++--
 src/ui/fixedtip.h                   | 4 ++--
 src/ui/frames.c                     | 4 ++--
 src/ui/frames.h                     | 4 ++--
 src/ui/gradient.c                   | 4 ++--
 src/ui/gradient.h                   | 4 ++--
 src/ui/menu.c                       | 4 ++--
 src/ui/menu.h                       | 4 ++--
 src/ui/metaaccellabel.c             | 4 ++--
 src/ui/metaaccellabel.h             | 4 ++--
 src/ui/preview-widget.c             | 4 ++--
 src/ui/preview-widget.h             | 4 ++--
 src/ui/resizepopup.c                | 4 ++--
 src/ui/tabpopup.c                   | 4 ++--
 src/ui/testgradient.c               | 4 ++--
 src/ui/theme-parser.c               | 4 ++--
 src/ui/theme-parser.h               | 4 ++--
 src/ui/theme-viewer.c               | 4 ++--
 src/ui/theme.c                      | 4 ++--
 src/ui/theme.h                      | 4 ++--
 src/ui/themewidget.c                | 4 ++--
 src/ui/themewidget.h                | 4 ++--
 src/ui/ui.c                         | 4 ++--
 src/wm-tester/main.c                | 4 ++--
 100 files changed, 200 insertions(+), 200 deletions(-)

commit f92f68f71e49c87a21774df9afe91b4459774921
Merge: 366e3b6 6404a98
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Nov 11 09:19:47 2012 -0800

    Merge pull request #24 from ketheriel/master
    
    fix startup rendering effects with composite enabled

commit 6404a98fb79e7bb4c3e9c5ca9919e12c946679d7
Author: Nelson Marques <nmo.marques@gmail.com>
Date:   Sun Nov 11 16:58:20 2012 +0000

    fix startup rendering effect with composite enabled

 src/compositor/compositor-xrender.c | 2 ++
 1 file changed, 2 insertions(+)

commit 366e3b67f24f3f93a47222aeae16173a9039bd16
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Oct 31 15:20:55 2012 +0100

    set maximum workspaces number to 16

 src/core/prefs.c               | 2 +-
 src/org.mate.marco.gschema.xml | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 545ba2f33c2cf0bdd3842f0ff823010ee7f9e05b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Oct 27 16:55:23 2012 +0200

    bump version to 1.5.2

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2021a69960802a6ee2562b7047a3c0eb968c470b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Oct 27 16:37:04 2012 +0200

    migrate keybindings xml files for gsettings

 src/50-marco-desktop-key.xml.in |  17 +--
 src/50-marco-global-key.xml.in  | 131 +++++++++++++++++++
 src/50-marco-key.xml.in         | 269 ----------------------------------------
 src/50-marco-window-key.xml.in  | 201 ++++++++++++++++++++++++++++++
 src/Makefile.am                 |   5 +-
 5 files changed, 342 insertions(+), 281 deletions(-)

commit 44205a3b8439614e1a2b176006e9f8e6a6c49439
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Oct 27 15:44:51 2012 +0200

    schema-id is new in glib 2.32

 src/core/prefs.c | 4 ++++
 1 file changed, 4 insertions(+)

commit f5946af8359cebfebb23f2174678cbdc7c31d3eb
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Oct 27 15:39:59 2012 +0200

    fix get schema name

 src/core/prefs.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ac9664dd0310fe98caf30e6cca3af4d3886c9291
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Oct 17 12:27:59 2012 +0200

    bump version to 1.5.1

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 01e99a95e4f03c36fa227e462ab1b1937a1ba225
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Oct 17 12:27:21 2012 +0200

    update NEWS file

 NEWS | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit cab5893d5e33fa40a14ca3a471c03532075f73c3
Merge: 23656ae 354fc0e
Author: Nelson Marques <nmo.marques@gmail.com>
Date:   Tue Oct 16 09:48:54 2012 -0700

    Merge pull request #17 from ketheriel/master
    
    improve support for button layout (ported from Ubuntu)

commit 354fc0e850efbfa44065bcd2f9f3fb1b2267f135
Author: Nelson Marques <nmo.marques@gmail.com>
Date:   Tue Oct 16 17:34:30 2012 +0100

    improve button theming - taken from Ubuntu

 src/ui/theme.c | 52 +++++++++++++++++++++++++++-------------------------
 src/ui/theme.h |  2 ++
 2 files changed, 29 insertions(+), 25 deletions(-)

commit 23656ae5a7fa38ab90cb35fe9ad2604253fb1185
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Oct 11 16:57:24 2012 +0200

    function call needs to pass NULL-pointer as last argument

 src/core/prefs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f516a620bbde0463b6464ee1ac12c2b86ab7746
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Oct 1 22:52:51 2012 +0200

    bump version to 1.5.0

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f595187a140a45ee5ba2fc2b9c068b46d829f79
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Oct 1 22:52:14 2012 +0200

    migrate to gsettings

 HACKING                        |    8 +-
 README                         |   31 +-
 configure.in                   |   37 +-
 po/POTFILES.in                 |    3 -
 src/Makefile.am                |   30 +-
 src/core/core.c                |   42 +-
 src/core/keybindings.c         |    4 +-
 src/core/prefs.c               | 1189 ++++++++++------------------------------
 src/core/screen.c              |    6 +-
 src/include/all-keybindings.h  |  394 +++++--------
 src/include/prefs.h            |    4 +-
 src/marco.schemas.in.in        |  611 ---------------------
 src/org.mate.marco.gschema.xml |  722 ++++++++++++++++++++++++
 13 files changed, 1193 insertions(+), 1888 deletions(-)

commit 2c0d59c170ac3ef987d21599cfac7c909e8fe729
Merge: 4829cf1 467e86c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Aug 31 14:44:58 2012 -0700

    Merge pull request #12 from NiceandGently/master
    
    desktop-file-validate error with marco-wm.desktop

commit 467e86c24efe67adfccd786d37bc9a73ed4c81d0
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Sep 1 00:38:41 2012 +0300

    Update src/marco-wm.desktop.in

 src/marco-wm.desktop.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4829cf1bbcbc0b30c439b48d85ff29139561280b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Aug 28 11:31:40 2012 +0200

    fix HACKING file
    https://github.com/mate-desktop/mate-window-manager/issues/11

 HACKING | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 631ad4f4051a99919e6e4ea0e5e08b990f4ffa22
Merge: d4b4416 ae71d9d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Aug 27 07:56:36 2012 -0700

    Merge pull request #10 from stefanct/master
    
    Allow alt+tab etc while drag'n'drop is active

commit ae71d9d2a8cb95fee662a997bde3329796b3cdb3
Author: Stefan Tauner <stefan.tauner@gmx.at>
Date:   Thu Aug 23 16:37:30 2012 +0200

    Fix key handling while drag and drop is active
    
    This is still not fixed "upstream" (i.e. in metacity) but many distributions
    ship with this patch. The patch is from Matthias Clasen (Redhat).
    See https://bugzilla.gnome.org/show_bug.cgi?id=135056#c33 and
    https://bugs.launchpad.net/ubuntu/+source/metacity/+bug/111939
    for details.

 src/core/display.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4b44167b9b14ee37479061ca3cd413ace1bd3ad
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Tue Aug 21 15:41:33 2012 -0400

    Preparing for 1.4.1 release.

 ChangeLog    | 60 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in |  2 +-
 2 files changed, 61 insertions(+), 1 deletion(-)

commit eef48c40861ebe35c088adc80bdde1600acda22e
Author: Perberos <perberos@gmail.com>
Date:   Sun Aug 12 18:35:51 2012 -0300

    removing metacity-restartstyle.patch, because it was already included

 distro/archlinux/PKGBUILD                    |   3 +-
 distro/archlinux/metacity-restartstyle.patch | 139 ---------------------------
 2 files changed, 1 insertion(+), 141 deletions(-)

commit de92a9f787d80c681a1678c027dfe3dababbc8a3
Author: Perberos <perberos@gmail.com>
Date:   Sun Aug 12 16:36:34 2012 -0300

    Update src/compositor/compositor-xrender.c
    
    manually edit from fix-grey-compositor.patch sent by Leandro Vital to set the default background to black (instead of grey) when compositing.

 src/compositor/compositor-xrender.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a32218e8141e13dc83d88ddf5e11afe1dc8fbd4f
Merge: 4877f47 d97bf7a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Aug 1 08:33:31 2012 -0700

    Merge pull request #6 from NiceandGently/master
    
    apply Should-set-RestartStyleHint-to-RestartIfRunning-wh.patch for issue #2

commit d97bf7aab0358d423cfc2b3a00079662fc821dff
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Aug 1 13:16:42 2012 +0200

    apply Should-set-RestartStyleHint-to-RestartIfRunning-wh.patch

 src/core/display-private.h |  2 +-
 src/core/display.c         | 15 ++++-----------
 src/core/main.c            |  5 ++---
 src/core/session.c         |  8 --------
 4 files changed, 7 insertions(+), 23 deletions(-)

commit 4877f47e6d29289e49a4e1b4a12e8b736711678c
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Jul 13 00:23:53 2012 -0300

    Added newline to as.po

 po/as.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 891fd1ae0d6a4cb9174c4afb38a6e04e7df750e7
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Tue Jul 10 21:46:09 2012 -0400

    Preparing for 1.4 release.

 ChangeLog | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 610f6f0fc37d01619c36b9e4bb6a18f2f61fe1e0
Author: Perberos <perberos@gmail.com>
Date:   Tue Jul 10 00:34:39 2012 -0300

    Adjust the icon size according to the size of the title bar

 src/themes/Spidey/metacity-theme-1.xml | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit e0d1023a4940dea7d3ddc8ad0e21823b9f48fe0c
Author: Perberos <perberos@gmail.com>
Date:   Tue Jul 10 00:32:41 2012 -0300

    Adjust the icon size according to the size of the title bar

 src/themes/Spidey-Left/metacity-theme-1.xml | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit fd1e4d0c7a34cd53937436c665cf833f582e2366
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Thu Jul 5 14:21:46 2012 -0400

    Preparing for 1.4 release.

 ChangeLog    | 229 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 configure.in |   2 +-
 2 files changed, 226 insertions(+), 5 deletions(-)

commit 9cbe69d61f9826fd368d1eaec939d35fe851b775
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jul 4 16:01:28 2012 +0200

    sync translations with transifex

 po/am.po          | 3048 +++++++++++++++--------------------
 po/ar.po          | 2101 ++++---------------------
 po/as.po          | 2417 +++++-----------------------
 po/ast.po         | 1353 ++++++----------
 po/az.po          | 3925 +++++++++++++++++----------------------------
 po/be.po          | 3094 +++++++++++++++++-------------------
 po/bg.po          | 1037 +++++-------
 po/bn.po          | 2135 ++++---------------------
 po/bn_IN.po       | 1137 +++++---------
 po/br.po          | 2119 +++++++++++++------------
 po/bs.po          | 4014 +++++++++++++++++-----------------------------
 po/ca.po          | 2567 +++++-------------------------
 po/ca@valencia.po | 2561 +++++-------------------------
 po/crh.po         | 1241 +++++----------
 po/cs.po          |  941 +++++------
 po/cy.po          | 3937 +++++++++++++---------------------------------
 po/da.po          | 1166 ++++----------
 po/de.po          | 2458 +++++------------------------
 po/dz.po          | 3201 ++++++++++++++++---------------------
 po/el.po          | 1113 +++++--------
 po/en_CA.po       | 4546 ++++++++++++++++++-----------------------------------
 po/en_GB.po       | 2349 +++++----------------------
 po/eo.po          |  627 ++++----
 po/es.po          | 2482 +++++------------------------
 po/et.po          | 1034 +++++++-----
 po/eu.po          |  955 +++++------
 po/fa.po          | 3969 +++++++++++++++++-----------------------------
 po/fi.po          |  985 +++++-------
 po/fr.po          | 1176 +++++---------
 po/ga.po          |  780 +++++----
 po/gl.po          | 1020 +++++-------
 po/gu.po          | 1036 +++++-------
 po/ha.po          | 2598 +++++++-----------------------
 po/he.po          | 2280 ++++-----------------------
 po/hi.po          | 1145 +++++---------
 po/hr.po          | 3696 +++++++++++++------------------------------
 po/hu.po          | 1033 +++++-------
 po/hy.po          | 3386 ++++++++++++++++-----------------------
 po/id.po          |  812 +++++-----
 po/ig.po          | 2490 +++++++----------------------
 po/is.po          | 3191 +++++++++++++++----------------------
 po/it.po          | 1173 +++++---------
 po/ja.po          | 2249 ++++----------------------
 po/ka.po          | 4414 ++++++++++++++++++---------------------------------
 po/kn.po          | 1028 +++++-------
 po/ko.po          |  900 ++++-------
 po/ku.po          |  954 +++++------
 po/lt.po          | 2565 +++++-------------------------
 po/lv.po          |  983 ++++--------
 po/mai.po         |  913 +++++------
 po/mg.po          | 4179 +++++++++++++++++-------------------------------
 po/mk.po          | 3755 ++++++++++++++-----------------------------
 po/ml.po          |  852 ++++------
 po/mn.po          | 4073 +++++++++++++++++------------------------------
 po/mr.po          |  850 ++++------
 po/ms.po          | 3277 ++++++++++++++++----------------------
 po/nb.po          |  868 ++++------
 po/nds.po         |  753 +++++----
 po/ne.po          | 3931 ++++++++++++++++-----------------------------
 po/nl.po          | 1085 +++++--------
 po/nn.po          | 2642 ++++++-------------------------
 po/oc.po          | 1109 +++++--------
 po/or.po          | 1176 +++++---------
 po/pa.po          | 2092 ++++--------------------
 po/pl.po          | 1085 +++++--------
 po/pt.po          | 2528 +++++------------------------
 po/pt_BR.po       | 2536 +++++-------------------------
 po/ro.po          | 1027 +++++-------
 po/ru.po          | 1015 +++++-------
 po/si.po          | 3218 ++++++++++++++-----------------------
 po/sk.po          | 2397 +++++-----------------------
 po/sl.po          |  857 +++++-----
 po/sq.po          | 3576 ++++++++++-------------------------------
 po/sr.po          | 2434 +++++-----------------------
 po/sr@latin.po    | 2434 +++++-----------------------
 po/sv.po          |  861 +++++-----
 po/ta.po          |  874 ++++------
 po/te.po          | 1031 +++++-------
 po/th.po          | 2103 ++++---------------------
 po/tk.po          | 3022 +++++++++++++++--------------------
 po/tr.po          | 2501 ++++++-----------------------
 po/uk.po          | 1027 +++++-------
 po/vi.po          | 3855 +++++++++++++--------------------------------
 po/wa.po          | 3200 +++++++++++++++----------------------
 po/xh.po          | 4031 +++++++++++++++++------------------------------
 po/yo.po          | 2462 +++++++----------------------
 po/zh_CN.po       |  831 ++++------
 po/zh_HK.po       | 1855 ++++------------------
 po/zh_TW.po       | 2033 ++++--------------------
 89 files changed, 56387 insertions(+), 129382 deletions(-)

commit bfeb5339f7eadbee5a3ee067dff7ebe3b1353c1b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jul 4 15:54:35 2012 +0200

    add po gnome copyrights file

 po/gnome-copyrights.txt | 1128 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1128 insertions(+)

commit 919e73331003c911f8767050dc629f4057f246b1
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sat May 26 12:52:34 2012 -0400

    Bumped version to 1.3.0

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07e8c1019b0e3b8fc49304bae6c074e282053925
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sat May 26 12:42:33 2012 -0400

    Fixes https://github.com/mate-desktop/mate-window-manager/issues/4

 src/core/prefs.c        | 38 ++++++++++++++++++++++++++++++++++++++
 src/core/screen.c       |  8 +++++++-
 src/include/prefs.h     |  4 ++++
 src/marco.schemas.in.in | 15 +++++++++++++++
 4 files changed, 64 insertions(+), 1 deletion(-)

commit ce3d3a4b6e0a93eea4d54ac4bc2907b7432e136b
Merge: 6e5c6ab e2d0da8
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Thu May 10 13:08:46 2012 -0700

    Merge pull request #3 from benpicco/features
    
    new marco features

commit e2d0da87ec3f7add9643c7f7f424df080d95d8dc
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Jan 9 17:55:18 2012 +0100

    Introduce key combination to switch between windows on all workspaces taken from https://bugzilla.gnome.org/show_bug.cgi?id=577699

 src/core/display-private.h    |   3 +-
 src/core/display.c            | 121 +++++++++++++++++++++++++++---------------
 src/core/keybindings.c        |  11 ++++
 src/include/all-keybindings.h |   6 +++
 src/include/common.h          |   2 +
 5 files changed, 100 insertions(+), 43 deletions(-)

commit dacdbd19b2d6037235aa4ed1bd28f89286236046
Author: Benjamin Valentin <benpicco@zedat.fu-berlin.de>
Date:   Mon Jan 9 17:47:29 2012 +0100

    implement option for classic and toroidal workspace switching, based on https://bugzilla.gnome.org/show_bug.cgi?id=89315

 src/core/prefs.c        | 25 +++++++++++++-
 src/core/workspace.c    | 87 ++++++++++++++++++++++++++++++++++++++++++++-----
 src/include/common.h    |  7 ++++
 src/include/prefs.h     |  2 ++
 src/marco.schemas.in.in | 23 +++++++++++++
 5 files changed, 134 insertions(+), 10 deletions(-)

commit 3f122b87a866edb62d0402058f83974cf8a8fd54
Author: Dylan McCall <dylanmccall@ubuntu.com>
Date:   Mon Jan 9 02:36:16 2012 +0100

    Use positional sound for audible window bell
    
